var xindex = [["COMMON-LISP____DOCUMENTATION","Documentation","DOCUMENTATION",[693],"Information about options for downloading and viewing the ACL2 \u000A documentation, contributing documentation, and the available tools for \u000A documenting your own books."],
 ["COMMON-LISP____DEFUN","Defun","DEFUN",[77,124],"Define a function symbol"],
 ["COMMON-LISP____DECLARE","Declare","DECLARE",[124,130],"Extra declarations that can occur in function definitions, <see topic=\"COMMON-LISP____LET\">let</see> \u000A  bindings, and so forth."],
 ["ACL2____XARGS","Xargs","XARGS",[1,2],"Extra arguments, for example to give <see topic=\"ACL2____HINTS\">hints</see> to <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>"],
 ["ACL2____WORLD","World","WORLD",[9],"ACL2 property lists and the ACL2 logical database"],
 ["ACL2____THEORIES","Theories","THEORIES",[693],"Sets of <see topic=\"ACL2____RUNE\">rune</see>s to <see topic=\"ACL2____ENABLE\">enable</see>/<see topic=\"ACL2____DISABLE\">disable</see> in concert"],
 ["ACL2____TERM","Term","TERM",[572],"The three senses of well-formed ACL2 expressions or formulas"],
 ["ACL2____TABLE","Table","TABLE",[77],"User-managed tables"],
 ["ACL2____STOBJ","Stobj","STOBJ",[124],"Single-threaded objects or ``von Neumann bottlenecks''"],
 ["ACL2____STATE","State","STATE",[124],"The von Neumannesque ACL2 state object"],
 ["ACL2____RUNE","Rune","RUNE",[5],"A rule name"],
 ["ACL2____RULE-CLASSES","Rule-classes","RULE-CLASSES",[693],"Adding rules to the database"],
 ["ACL2____REWRITE","Rewrite","REWRITE",[11],"Make some <v>:rewrite</v> rules (possibly conditional ones)"],
 ["ACL2____MAKE-EVENT","Make-event","MAKE-EVENT",[77,723],"Evaluate (expand) a given form and then evaluate the result"],
 ["ACL2____LINEAR","Linear","LINEAR",[11],"Make some arithmetic inequality rules"],
 ["ACL2____LD","Ld","LD",[572],"The ACL2 read-eval-print loop, file loader, and <see topic=\"ACL2____COMMAND\">command</see> processor"],
 ["ACL2____IO","Io","IO",[1162,9,124],"Input/output facilities in ACL2"],
 ["ACL2____INTRODUCTION-TO-THE-THEOREM-PROVER","Introduction-to-the-theorem-prover","INTRODUCTION-TO-THE-THEOREM-PROVER",[353],"How the theorem prover works &mdash; level 0"],
 ["ACL2____INCLUDE-BOOK","Include-book","INCLUDE-BOOK",[940,1143,77],"Load the <see topic=\"ACL2____EVENTS\">events</see> in a file"],
 ["ACL2____HINTS","Hints","HINTS",[572],"Advice to the theorem proving process"],
 ["ACL2____FORCE","Force","FORCE",[12,14,26,28,27],"Identity function used to force a hypothesis"],
 ["ACL2____ENCAPSULATE","Encapsulate","ENCAPSULATE",[77],"Hide some <see topic=\"ACL2____EVENTS\">events</see> and/or constrain some functions"],
 ["ACL2____DEFUN-MODE","Defun-mode","DEFUN-MODE",[1],"Determines whether a function definition is a logical act"],
 ["ACL2____DEFTTAG","Defttag","DEFTTAG",[1162,77],"Introduce a trust tag (ttag)"],
 ["ACL2____CERTIFY-BOOK","Certify-book","CERTIFY-BOOK",[940,1143],"How to produce a <see topic=\"ACL2____CERTIFICATE\">certificate</see> for a book"],
 ["ACL2____APPLY_42","Apply$","APPLY$",[130,124],"Apply a badged function or tame lambda to arguments"],
 ["ACL2____TYPE-PRESCRIPTION","Type-prescription","TYPE-PRESCRIPTION",[11],"Make a rule that specifies the type of a term"],
 ["ACL2____META","Meta","META",[11],"Make a <v>:meta</v> rule (a hand-written simplifier)"],
 ["ACL2____DEFINITION","Definition","DEFINITION",[11],"Make a rule that acts like a function definition"],
 ["ACL2____SYSTEM-UTILITIES","System-utilities","SYSTEM-UTILITIES",[124],"Some built-in programming utilities pertaining to the ACL2 system"],
 ["ACL2____MEMOIZE","Memoize","MEMOIZE",[124,98,77],"Turn on memoization for a specified function"],
 ["ACL2____DEFPKG","Defpkg","DEFPKG",[77,700,124],"Define a new symbol package"],
 ["ACL2____VERIFY-GUARDS","Verify-guards","VERIFY-GUARDS",[77,82],"Verify the <see topic=\"ACL2____GUARD\">guard</see>s of a function"],
 ["ACL2____CERTIFICATE","Certificate","CERTIFICATE",[1143],"A file specifying validity of a given book"],
 ["ACL2____BREAK-REWRITE","Break-rewrite","BREAK-REWRITE",[512],"The read-eval-print loop entered to <see topic=\"ACL2____MONITOR\">monitor</see> rules"],
 ["ACL2____DEFSTOBJ","Defstobj","DEFSTOBJ",[77,8],"Define a new single-threaded object"],
 ["ACL2____DEFATTACH","Defattach","DEFATTACH",[77],"Execute constrained functions using corresponding attached functions"],
 ["ACL2____FMT","Fmt","FMT",[16,130],"Formatted printing"],
 ["ACL2____WORMHOLE","Wormhole","WORMHOLE",[9,15],"<tt><see topic=\"ACL2____LD\">ld</see></tt> without <tt><see topic=\"ACL2____STATE\">state</see></tt> &mdash; a short-cut to a parallel universe"],
 ["ACL2____ACL2-DEFAULTS-TABLE","ACL2-defaults-table","ACL2-DEFAULTS-TABLE",[7],"A <see topic=\"ACL2____TABLE\">table</see> specifying certain defaults, e.g., the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>"],
 ["ACL2____SIGNATURE","Signature","SIGNATURE",[21],"How to specify the arity of a constrained function"],
 ["ACL2____ARRAYS","Arrays","ARRAYS",[124],"ACL2 arrays and operations on them"],
 ["ACL2____PROOF-BUILDER","Proof-builder","PROOF-BUILDER",[693,512],"An interactive tool for controlling ACL2's proof processes."],
 ["ACL2____BOOKS","Books","BOOKS",[693],"<i>Books</i> are files of ACL2 <see topic=\"ACL2____EVENTS\">events</see>&mdash;they are the main \u000Away to split up large ACL2 developments into separate modules."],
 ["ACL2____MUTUAL-RECURSION","Mutual-recursion","MUTUAL-RECURSION",[77,124,1],"Define some mutually recursive functions"],
 ["ACL2____SET-GUARD-CHECKING","Set-guard-checking","SET-GUARD-CHECKING",[82],"Control checking <see topic=\"ACL2____GUARD\">guard</see>s during execution of top-level forms"],
 ["COMMON-LISP____LET","Let","LET",[635,130],"Binding of lexically scoped (local) variables"],
 ["ACL2____TRACE_42","Trace$","TRACE$",[550],"Trace function evaluations"],
 ["ACL2____TAU-SYSTEM","Tau-system","TAU-SYSTEM",[11],"Make a rule for the ACL2 ``type checker''"],
 ["ACL2____PROGRAMMING-WITH-STATE","Programming-with-state","PROGRAMMING-WITH-STATE",[9,124],"Programming using the von Neumannesque ACL2 <see topic=\"ACL2____STATE\">state</see> object"],
 ["ACL2____DEFUN-SK","Defun-sk","DEFUN-SK",[77],"Define a function whose body has an outermost quantifier"],
 ["ACL2____MBE","Mbe","MBE",[82,124,130],"Attach code for execution"],
 ["ACL2____LOOP_42","Loop$","LOOP$",[130,124],"Iteration with an analogue of the Common Lisp <v>loop</v> macro"],
 ["COMMON-LISP____LAMBDA","Lambda","LAMBDA",[6,25],"Lambda expressions, <v>LAMBDA</v> objects, and <v>lambda$</v> expressions"],
 ["ACL2____MONITOR","Monitor","MONITOR",[34],"To monitor the attempted application of a rule name"],
 ["ACL2____CLAUSE-PROCESSOR","Clause-processor","CLAUSE-PROCESSOR",[11],"Make or apply a <v>:clause-processor</v> rule (goal-level simplifier)"],
 ["ACL2____TYPE-SET","Type-set","TYPE-SET",[572],"How type information is encoded in ACL2"],
 ["ACL2____CHARACTERS","Characters","CHARACTERS",[124],"Characters in ACL2 and operations on them"],
 ["ACL2____FORWARD-CHAINING","Forward-chaining","FORWARD-CHAINING",[11],"Make a rule to forward chain when a certain trigger arises"],
 ["ACL2____HIDE","Hide","HIDE",[12],"Hide a term from the rewriter"],
 ["ACL2____ACCUMULATED-PERSISTENCE","Accumulated-persistence","ACCUMULATED-PERSISTENCE",[512],"To get statistics on which <see topic=\"ACL2____RUNE\">rune</see>s are being tried"],
 ["ACL2____LEMMA-INSTANCE","Lemma-instance","LEMMA-INSTANCE",[19,1325],"An object denoting an instance of a theorem"],
 ["ACL2____EQUIVALENCE","Equivalence","EQUIVALENCE",[11],"Mark a relation as an equivalence relation"],
 ["ACL2____DEFWARRANT","Defwarrant","DEFWARRANT",[25,130],"Issue a warrant for a function so <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> can use it in proofs"],
 ["ACL2____FREE-VARIABLES","Free-variables","FREE-VARIABLES",[11,12],"Free variables in rules"],
 ["ACL2____DEFABSSTOBJ","Defabsstobj","DEFABSSTOBJ",[77,8],"Define a new abstract single-threaded object"],
 ["ACL2____WARRANT","Warrant","WARRANT",[25],"Giving <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> permission to handle a user-defined function in proofs"],
 ["ACL2____BADGE","Badge","BADGE",[25],"Syntactic requirements on a function symbol to be used by <v>apply$</v>"],
 ["ACL2____REDUNDANT-EVENTS","Redundant-events","REDUNDANT-EVENTS",[77],"Allowing a name to be introduced ``twice''"],
 ["ACL2____CONSTRAINT","Constraint","CONSTRAINT",[21],"Restrictions on certain functions introduced in <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt> <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____PORTCULLIS","Portcullis","PORTCULLIS",[1143],"The gate guarding the entrance to a certified book"],
 ["ACL2____ACL2-DOC","ACL2-doc","ACL2-DOC",[0],"A custom Emacs browser for reading ACL2 <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see>"],
 ["ACL2____OVERRIDE-HINTS","Override-hints","OVERRIDE-HINTS",[19],"A list of hints given priority in every proof attempt"],
 ["ACL2____EXECUTABLE-COUNTERPART","Executable-counterpart","EXECUTABLE-COUNTERPART",[11],"A rule for computing the value of a function"],
 ["ACL2____BRR","Brr","BRR",[34],"To enable or disable the breaking of rewrite rules"],
 ["ACL2____VERIFY-TERMINATION","Verify-termination","VERIFY-TERMINATION",[77],"Convert a function from :program mode to :logic mode"],
 ["ACL2____SYS-CALL","Sys-call","SYS-CALL",[1162,130],"Make a system call to the host operating system"],
 ["ACL2____EVENTS","Events","EVENTS",[693],"Functions that extend the logic"],
 ["ACL2____RETURN-LAST","Return-last","RETURN-LAST",[635,130],"Return the last argument, perhaps with side effects"],
 ["ACL2____LD-SKIP-PROOFSP","Ld-skip-proofsp","LD-SKIP-PROOFSP",[15],"How carefully ACL2 processes your <see topic=\"ACL2____COMMAND\">command</see>s"],
 ["ACL2____EXTENDED-METAFUNCTIONS","Extended-metafunctions","EXTENDED-METAFUNCTIONS",[27],"State and context sensitive metafunctions"],
 ["ACL2____PROGRAM","Program","PROGRAM",[22],"To set the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> to <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>"],
 ["ACL2____GUARD","Guard","GUARD",[124,3],"Restricting the domain of a function"],
 ["ACL2____LOCAL","Local","LOCAL",[77],"Hiding an event in an encapsulation or book"],
 ["ACL2____COMP","Comp","COMP",[104,77,130],"Compile some ACL2 functions"],
 ["ACL2____DEFTHM","Defthm","DEFTHM",[77],"Prove and name a theorem"],
 ["ACL2____SYNTAXP","Syntaxp","SYNTAXP",[12,28,14,27],"Attach a heuristic filter on a rule"],
 ["ACL2____LOOP-STOPPER","Loop-stopper","LOOP-STOPPER",[12],"Limit application of permutative rewrite rules"],
 ["ACL2____LAMBDA_42","Lambda$","LAMBDA$",[25],"Lambda object constructor for use with <v>apply$</v>"],
 ["ACL2____EMBEDDED-EVENT-FORM","Embedded-event-form","EMBEDDED-EVENT-FORM",[77],"Forms that may be embedded in other <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____CONGRUENCE","Congruence","CONGRUENCE",[11],"The relations to maintain while simplifying arguments"],
 ["ACL2____COMPUTED-HINTS","Computed-hints","COMPUTED-HINTS",[19],"Computing advice to the theorem proving process"],
 ["ACL2____WITH-OUTPUT","With-output","WITH-OUTPUT",[528],"Suppressing or turning on specified output for an event"],
 ["ACL2____TIME_42","Time$","TIME$",[124,130],"Time an evaluation"],
 ["ACL2____SKIP-PROOFS","Skip-proofs","SKIP-PROOFS",[77],"Skip proofs for a given form &mdash; a quick way to introduce unsoundness"],
 ["ACL2____SET-RAW-MODE","Set-raw-mode","SET-RAW-MODE",[23],"Enter or exit ``raw mode,'' a raw Lisp environment"],
 ["ACL2____ORDINALS","Ordinals","ORDINALS",[572],"Ordinals in ACL2"],
 ["ACL2____O-P","O-p","O-P",[96,130],"A recognizer for the ordinals up to epsilon-0"],
 ["ACL2____HONS-AND-MEMOIZATION","Hons-and-memoization","HONS-AND-MEMOIZATION",[693],"Hash cons, function memoization, and applicative hash tables"],
 ["ACL2____HISTORY","History","HISTORY",[693],"Functions to display or change contents of the logical <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____BIND-FREE","Bind-free","BIND-FREE",[12,14,28],"To bind free variables of a rewrite, definition, or linear rule"],
 ["ACL2____INDUCTION","Induction","INDUCTION",[11],"Make a rule that suggests a certain induction"],
 ["ACL2____EVALUATION","Evaluation","EVALUATION",[124],"Evaluating ACL2 expressions"],
 ["ACL2____EQUALITY-VARIANTS","Equality-variants","EQUALITY-VARIANTS",[124],"Versions of a function using different equality tests"],
 ["ACL2____COMPILATION","Compilation","COMPILATION",[124],"Compiling ACL2 functions"],
 ["ACL2____CBD","Cbd","CBD",[940,49,130],"Connected book directory string"],
 ["ACL2____PROGN_12","Progn!","PROGN!",[77],"Evaluate some forms, not necessarily <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____EC-CALL","Ec-call","EC-CALL",[82,130],"Execute a call in the ACL2 logic instead of raw Lisp"],
 ["ACL2____SET-EVISC-TUPLE","Set-evisc-tuple","SET-EVISC-TUPLE",[16],"Control suppression of details when printing"],
 ["ACL2____Pages_02Written_02Especially_02for_02the_02Tours","Pages Written Especially for the Tours","Pages Written Especially for the Tours",[353],"Pages Written Especially for the Tours"],
 ["ACL2____MV-LET","Mv-let","MV-LET",[126,635,130],"Calling multi-valued ACL2 functions"],
 ["ACL2____LOGIC","Logic","LOGIC",[22],"To set the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> to <v>:logic</v>"],
 ["ACL2____LD-REDEFINITION-ACTION","Ld-redefinition-action","LD-REDEFINITION-ACTION",[15],"To allow redefinition without <see topic=\"ACL2____UNDOING\">undoing</see>"],
 ["ACL2____VALUE-TRIPLE","Value-triple","VALUE-TRIPLE",[77,130,734],"Compute a value, optionally checking that it is not <v>nil</v>"],
 ["ACL2____TAME","Tame","TAME",[25],"Definitions of the various notions of tameness"],
 ["ACL2____SUMMARY","Summary","SUMMARY",[528],"The summary printed at the conclusion of an event"],
 ["ACL2____SET-GAG-MODE","Set-gag-mode","SET-GAG-MODE",[528],"Modify the nature of proof output"],
 ["ACL2____LP","Lp","LP",[15],"The Common Lisp entry to ACL2"],
 ["ACL2____DEFCHOOSE","Defchoose","DEFCHOOSE",[77],"Define a Skolem (witnessing) function"],
 ["ACL2____PROOF-TREE","Proof-tree","PROOF-TREE",[512],"Proof tree displays"],
 ["ACL2____IN-THEORY","In-theory","IN-THEORY",[77,5],"Designate ``current'' theory (enabling its rules)"],
 ["COMMON-LISP____DEFMACRO","Defmacro","DEFMACRO",[723,77,124],"Define a macro"],
 ["ACL2____PL","Pl","PL",[99],"Print the rules for the given name or term"],
 ["ACL2____TYPE-SPEC","Type-spec","TYPE-SPEC",[2,315],"Type specifiers can be used in Common Lisp type declarations and \u000A <see topic=\"COMMON-LISP____THE\">the</see> forms, and may result in improved efficiency of execution."],
 ["ACL2____PROGRAMMING","Programming","PROGRAMMING",[693],"Programming in ACL2"],
 ["ACL2____PARALLELISM","Parallelism","PARALLELISM",[693],"Experimental extension for parallel execution and proofs"],
 ["ACL2____MV","Mv","MV",[635,130],"Returning a multiple value"],
 ["ACL2____FORWARD-CHAINING-REPORTS","Forward-chaining-reports","FORWARD-CHAINING-REPORTS",[58,512],"To see reports about the forward chaining process"],
 ["ACL2____DEFCONST","Defconst","DEFCONST",[77,124],"Define a constant"],
 ["ACL2____COMMAND","Command","COMMAND",[99],"Forms you type at the top-level, but..."],
 ["ACL2____ACL2-BUILT-INS","ACL2-built-ins","ACL2-BUILT-INS",[124],"''Catch-all'' topic for built-in ACL2 functions"],
 ["ACL2____SET-IPRINT","Set-iprint","SET-IPRINT",[16],"Control whether abbreviated output can be read back in"],
 ["ACL2____DISABLE","Disable","DISABLE",[5,521],"Deletes names from current theory"],
 ["ACL2____BACKCHAIN-LIMIT","Backchain-limit","BACKCHAIN-LIMIT",[12,27,14,26],"Limiting the effort expended on relieving hypotheses"],
 ["ACL2____BOOKS-CERTIFICATION","Books-certification","BOOKS-CERTIFICATION",[381],"Instructions for certifying the ACL2 <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>."],
 ["ACL2____PUFF","Puff","PUFF",[99],"Replace a compound <see topic=\"ACL2____COMMAND\">command</see> by its immediate subevents"],
 ["ACL2____O_C3","O&lt;","O<",[96,130],"The well-founded less-than relation on ordinals up to <v>epsilon-0</v>"],
 ["ACL2____NOTE-2-8","Note-2-8","NOTE-2-8",[186],"ACL2 Version  2.8 (March, 2004) Notes"],
 ["ACL2____INTRODUCTION-TO-THE-TAU-SYSTEM","Introduction-to-the-tau-system","INTRODUCTION-TO-THE-TAU-SYSTEM",[48],"A decision procedure for runtime types"],
 ["COMMON-LISP____MEMBER","Member","MEMBER",[343,130],"Membership predicate"],
 ["ACL2____SAVE-EXEC","Save-exec","SAVE-EXEC",[1162,1417],"Save an executable image and a wrapper script"],
 ["ACL2____NON-LINEAR-ARITHMETIC","Non-linear-arithmetic","NON-LINEAR-ARITHMETIC",[14],"Non-linear Arithmetic"],
 ["ACL2____META-EXTRACT","Meta-extract","META-EXTRACT",[27,55],"Meta reasoning using valid terms extracted from context or <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____DOUBLE-REWRITE","Double-rewrite","DOUBLE-REWRITE",[12],"Cause a term to be rewritten twice"],
 ["ACL2____ACL2-CUSTOMIZATION","ACL2-customization","ACL2-CUSTOMIZATION",[572],"File of initial commands for ACL2 to run at <see topic=\"ACL2____STARTUP\">startup</see>"],
 ["ACL2____WITH-PROVER-STEP-LIMIT","With-prover-step-limit","WITH-PROVER-STEP-LIMIT",[572],"Limit the number of steps for proofs"],
 ["ACL2____THEORY-INVARIANT","Theory-invariant","THEORY-INVARIANT",[77],"User-specified invariants on <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____STOBJ-TABLE","Stobj-table","STOBJ-TABLE",[8,190],"A <see topic=\"ACL2____STOBJ\">stobj</see> field mapping stobj names to stobjs"],
 ["ACL2____PRINT-GV","Print-gv","PRINT-GV",[82,512],"Print a form whose evaluation caused a guard violation"],
 ["ACL2____HINTS-AND-THE-WATERFALL","Hints-and-the-waterfall","HINTS-AND-THE-WATERFALL",[19],"How <see topic=\"ACL2____HINTS\">hints</see> fit into the ACL2 proof waterfall"],
 ["ACL2____DMR","Dmr","DMR",[512,34,60],"Dynamically monitor rewrites and other prover activity"],
 ["ACL2____DEFEVALUATOR","Defevaluator","DEFEVALUATOR",[77],"Introduce an evaluator function"],
 ["COMMON-LISP____PROGN","Progn","PROGN",[77],"Evaluate some <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____WITH-PROVER-TIME-LIMIT","With-prover-time-limit","WITH-PROVER-TIME-LIMIT",[572],"Limit the time for proofs"],
 ["ACL2____USELESS-RUNES","Useless-runes","USELESS-RUNES",[24,60],"Speed up proofs by disabling useless <see topic=\"ACL2____RUNE\">rune</see>s"],
 ["ACL2____SPLITTER","Splitter","SPLITTER",[512],"Reporting of rules whose application may have caused case splits"],
 ["ACL2____SET-PROVER-STEP-LIMIT","Set-prover-step-limit","SET-PROVER-STEP-LIMIT",[572],"Sets the step-limit used by the ACL2 prover"],
 ["ACL2____DEFBADGE","Defbadge","DEFBADGE",[25,130],"Issue a badge for a function so <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> can evaluate with it"],
 ["ACL2____PC","Pc","PC",[99],"Print the <see topic=\"ACL2____COMMAND\">command</see> described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____NOTE-2-7","Note-2-7","NOTE-2-7",[186],"ACL2 Version  2.7 (November, 2002) Notes"],
 ["ACL2____PRINT-CONTROL","Print-control","PRINT-CONTROL",[16],"Advanced controls of ACL2 printing"],
 ["ACL2____PRINT-CL-CACHE","Print-cl-cache","PRINT-CL-CACHE",[25],"Information about the cache supporting <v>apply$</v>"],
 ["ACL2____DEFUN-INLINE","Defun-inline","DEFUN-INLINE",[1,77],"Define a potentially inlined function symbol and associated macro"],
 ["ACL2____COMPOUND-RECOGNIZER","Compound-recognizer","COMPOUND-RECOGNIZER",[11],"Make a rule used by the typing mechanism"],
 ["ACL2____COMMENT","Comment","COMMENT",[59,130],"Variant of <tt><see topic=\"ACL2____PROG2_42\">prog2$</see></tt> to help debug evaluation failures during \u000A proofs"],
 ["ACL2____A_02Tiny_02Warning_02Sign","A Tiny Warning Sign","A Tiny Warning Sign",[109],"A Tiny Warning Sign"],
 ["ACL2____INSTRUCTIONS","Instructions","INSTRUCTIONS",[42],"Instructions to the interactive proof-builder"],
 ["ACL2____ELIM","Elim","ELIM",[11],"Make a destructor elimination rule"],
 ["ACL2____SET-INHIBIT-OUTPUT-LST","Set-inhibit-output-lst","SET-INHIBIT-OUTPUT-LST",[528],"Control output"],
 ["ACL2____RULERS","Rulers","RULERS",[1],"Control for ACL2's termination and induction analyses"],
 ["ACL2____LD-ERROR-ACTION","Ld-error-action","LD-ERROR-ACTION",[15],"Determines <tt><see topic=\"ACL2____LD\">ld</see></tt>'s response to an error"],
 ["ACL2____GUARD-DEBUG","Guard-debug","GUARD-DEBUG",[82,512],"Generate markers to indicate sources of <see topic=\"ACL2____GUARD\">guard</see> proof obligations"],
 ["ACL2____GOAL-SPEC","Goal-spec","GOAL-SPEC",[19,528],"To indicate where a hint is to be used"],
 ["ACL2____CW","Cw","CW",[16,130],"Print to the comment window"],
 ["ACL2____BOOKS-CERTIFICATION-CLASSIC","Books-certification-classic","BOOKS-CERTIFICATION-CLASSIC",[134],"Classic ACL2 `make'-based certification of <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2_____A2ACL2-EXPORTS_A2","*ACL2-exports*","*ACL2-EXPORTS*",[700,130],"Symbols that are often imported into new <see topic=\"ACL2____PACKAGES\">packages</see> to provide \u000A easy access to ACL2 functionality."],
 ["ACL2____SET-CASE-SPLIT-LIMITATIONS","Set-case-split-limitations","SET-CASE-SPLIT-LIMITATIONS",[572],"Set the <see topic=\"ACL2____CASE-SPLIT-LIMITATIONS\">case-split-limitations</see>"],
 ["ACL2____REWRITE-QUOTED-CONSTANT","Rewrite-quoted-constant","REWRITE-QUOTED-CONSTANT",[11],"Make a rule to rewrite a quoted constant"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED","Logic-knowledge-taken-for-granted","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED",[17],"Background knowledge in ACL2 logic for theorem prover tutorial"],
 ["ACL2____LD-HISTORY","Ld-history","LD-HISTORY",[15,99],"Saving and querying command history"],
 ["ACL2____ADVANCED-FEATURES","Advanced-features","ADVANCED-FEATURES",[353,124],"Some advanced features of ACL2"],
 ["COMMON-LISP____FLET","Flet","FLET",[635,130],"Local binding of function symbols"],
 ["ACL2____TERM-ORDER","Term-order","TERM-ORDER",[6,130],"The ordering relation on terms used by ACL2"],
 ["ACL2____SUBVERSIVE-RECURSIONS","Subversive-recursions","SUBVERSIVE-RECURSIONS",[572],"Why we restrict <see topic=\"ACL2____ENCAPSULATE\">encapsulate</see>d recursive functions"],
 ["ACL2____SET-WRITE-ACL2X","Set-write-ACL2x","SET-WRITE-ACL2X",[940],"Cause <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt> to write out a <v>.acl2x</v> file"],
 ["ACL2____SET-WATERFALL-PARALLELISM","Set-waterfall-parallelism","SET-WATERFALL-PARALLELISM",[125],"For ACL2(p): configuring the parallel execution of the waterfall"],
 ["ACL2____RELEASE-NOTES","Release-notes","RELEASE-NOTES",[862],"Pointers to what has changed"],
 ["ACL2____REDO-FLAT","Redo-flat","REDO-FLAT",[512],"Redo on failure of a <tt><see topic=\"COMMON-LISP____PROGN\">progn</see></tt>, <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt>, or <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt>"],
 ["ACL2____PROVISIONAL-CERTIFICATION","Provisional-certification","PROVISIONAL-CERTIFICATION",[134],"Certify a book in stages for improved book-level parallelism"],
 ["ACL2____OOPS","Oops","OOPS",[99],"Undo a <v>:u</v> or <v>:</v><tt><see topic=\"ACL2____UBT\">ubt</see></tt>"],
 ["ACL2____NESTED-STOBJS","Nested-stobjs","NESTED-STOBJS",[8],"Using <see topic=\"ACL2____STOBJ\">stobj</see>s that contain stobjs"],
 ["ACL2____LOCAL-INCOMPATIBILITY","Local-incompatibility","LOCAL-INCOMPATIBILITY",[572],"When non-local <see topic=\"ACL2____EVENTS\">events</see> won't replay in isolation"],
 ["ACL2____LINEAR-ARITHMETIC","Linear-arithmetic","LINEAR-ARITHMETIC",[14],"A description of the linear arithmetic decision procedure"],
 ["ACL2____GUARDS-AND-EVALUATION","Guards-and-evaluation","GUARDS-AND-EVALUATION",[82],"The relationship between guards and evaluation"],
 ["ACL2____DEFINE-TRUSTED-CLAUSE-PROCESSOR","Define-trusted-clause-processor","DEFINE-TRUSTED-CLAUSE-PROCESSOR",[77],"Define a trusted (unverified) goal-level simplifier"],
 ["ACL2____WELL-FOUNDED-RELATION-RULE","Well-founded-relation-rule","WELL-FOUNDED-RELATION-RULE",[11],"Show that a relation is well-founded on a set"],
 ["ACL2____SET-DEBUGGER-ENABLE","Set-debugger-enable","SET-DEBUGGER-ENABLE",[512],"Control whether Lisp errors and breaks invoke the Lisp debugger"],
 ["ACL2____SET-CHECK-INVARIANT-RISK","Set-check-invariant-risk","SET-CHECK-INVARIANT-RISK",[124,180,82,512,400],"Affect certain <see topic=\"ACL2____PROGRAM\">program</see>-mode updates to <see topic=\"ACL2____STOBJ\">stobj</see>s or <see topic=\"ACL2____ARRAYS\">arrays</see>"],
 ["ACL2____PROOF-BUILDER-COMMANDS","Proof-builder-commands","PROOF-BUILDER-COMMANDS",[42],"List of commands for the interactive proof-builder"],
 ["ACL2____INTRODUCTION-TO-REWRITE-RULES-PART-1","Introduction-to-rewrite-rules-part-1","INTRODUCTION-TO-REWRITE-RULES-PART-1",[17],"Introduction to ACL2's notion of rewrite rules"],
 ["ACL2____ENABLE","Enable","ENABLE",[5,521],"Adds names to current theory"],
 ["ACL2____BOOK-COMPILED-FILE","Book-compiled-file","BOOK-COMPILED-FILE",[940],"Creating and loading of compiled and expansion files for <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____ADD-INCLUDE-BOOK-DIR","Add-include-book-dir","ADD-INCLUDE-BOOK-DIR",[940],"Link keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["COMMON-LISP____IF","If","IF",[635,130],"If-then-else function"],
 ["ACL2____WELL-FORMEDNESS-GUARANTEE","Well-formedness-guarantee","WELL-FORMEDNESS-GUARANTEE",[11],"Guarantee that a metafunction or clause-processor returns a \u000A well-formed answer"],
 ["ACL2____WELL-FORMED-LAMBDA-OBJECTP","Well-formed-lambda-objectp","WELL-FORMED-LAMBDA-OBJECTP",[25],"Predicate for recognizing well-formed <v>LAMBDA</v> objects"],
 ["ACL2____UNSUPPORTED-WATERFALL-PARALLELISM-FEATURES","Unsupported-waterfall-parallelism-features","UNSUPPORTED-WATERFALL-PARALLELISM-FEATURES",[1134],"Proof features not supported with waterfall-parallelism enabled"],
 ["ACL2____TIME-TRACKER","Time-tracker","TIME-TRACKER",[512,93,130],"Display time spent during specified evaluation"],
 ["ACL2____QUANTIFIER-TUTORIAL","Quantifier-tutorial","QUANTIFIER-TUTORIAL",[50],"A Beginner's Guide to Reasoning about Quantification in ACL2"],
 ["ACL2____LOOP_42-RECURSION","Loop$-recursion","LOOP$-RECURSION",[52],"Defining functions that recur from within <v>FOR</v> <v>loop$</v> expressions"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INDUCTIVE-PROOF","Logic-knowledge-taken-for-granted-inductive-proof","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INDUCTIVE-PROOF",[17],"A brief explanation of induction"],
 ["ACL2____INTRODUCTION-TO-KEY-CHECKPOINTS","Introduction-to-key-checkpoints","INTRODUCTION-TO-KEY-CHECKPOINTS",[17],"What questions to ask at key checkpoints"],
 ["ACL2____IF_A2","If*","IF*",[463],"For conditional rewriting with BDDs"],
 ["ACL2____GUARANTEES-OF-THE-TOP-LEVEL-LOOP","Guarantees-of-the-top-level-loop","GUARANTEES-OF-THE-TOP-LEVEL-LOOP",[15],"ACL2 interactive top-level read-eval-print loop"],
 ["ACL2____BUILT-IN-CLAUSE","Built-in-clause","BUILT-IN-CLAUSE",[11],"To build a clause into the simplifier"],
 ["ACL2____THE-METHOD","The-method","THE-METHOD",[353],"How to find proofs"],
 ["ACL2____SLOW-ARRAY-WARNING","Slow-array-warning","SLOW-ARRAY-WARNING",[41],"A warning or error issued when <see topic=\"ACL2____ARRAYS\">arrays</see> are used inefficiently"],
 ["ACL2____INTRODUCTION-TO-REWRITE-RULES-PART-2","Introduction-to-rewrite-rules-part-2","INTRODUCTION-TO-REWRITE-RULES-PART-2",[17],"How to arrange rewrite rules"],
 ["ACL2____INTRODUCTION-TO-APPLY_42","Introduction-to-apply$","INTRODUCTION-TO-APPLY$",[25],"Background knowledge on how to use <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt>, <tt><see topic=\"ACL2____DEFWARRANT\">defwarrant</see></tt>, etc."],
 ["ACL2____FORCING-ROUND","Forcing-round","FORCING-ROUND",[20],"A section of a proof dealing with <see topic=\"ACL2____FORCE\">force</see>d assumptions"],
 ["COMMON-LISP____EQUAL","Equal","EQUAL",[635,130],"True equality"],
 ["COMMON-LISP____CDR","Cdr","CDR",[457,130],"Returns the second element of a <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> pair, else <v>nil</v>"],
 ["COMMON-LISP____CAR","Car","CAR",[457,130],"Returns the first element of a non-empty list, else <v>nil</v>"],
 ["ACL2____ZERO-TEST-IDIOMS","Zero-test-idioms","ZERO-TEST-IDIOMS",[245],"How to test for 0"],
 ["ACL2____WITH-GLOBAL-STOBJ","With-global-stobj","WITH-GLOBAL-STOBJ",[8,130],"Operate on a global single-threaded object"],
 ["ACL2____USER-STOBJS-MODIFIED-WARNINGS","User-stobjs-modified-warnings","USER-STOBJS-MODIFIED-WARNINGS",[592,8],"Interactions of <tt><see topic=\"ACL2____TRANS-EVAL\">trans-eval</see></tt> with <see topic=\"ACL2____STOBJ\">stobj</see>s that violate \u000A applicative semantics"],
 ["ACL2____STOBJ-EXAMPLE-1","Stobj-example-1","STOBJ-EXAMPLE-1",[8],"An example of the use of single-threaded objects"],
 ["ACL2____SET-TAU-AUTO-MODE","Set-tau-auto-mode","SET-TAU-AUTO-MODE",[48],"Turn on or off automatic (``greedy'') generation of <v>:tau-system</v> \u000A  rules"],
 ["ACL2____REDUNDANT-ENCAPSULATE","Redundant-encapsulate","REDUNDANT-ENCAPSULATE",[21],"Redundancy of <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt> <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____READ-FILE-INTO-STRING","Read-file-into-string","READ-FILE-INTO-STRING",[16],"The contents of a file (or part of it) as a string"],
 ["ACL2____PARTIAL-ENCAPSULATE","Partial-encapsulate","PARTIAL-ENCAPSULATE",[77,21],"Introduce functions with some constraints unspecified"],
 ["ACL2____PARALLELISM-TUTORIAL","Parallelism-tutorial","PARALLELISM-TUTORIAL",[410],"A tutorial on how to use the parallelism library."],
 ["ACL2____MAKE-EVENT-EXAMPLE-2","Make-event-example-2","MAKE-EVENT-EXAMPLE-2",[13],"An example use of <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt>"],
 ["ACL2____MAKE-EVENT-DETAILS","Make-event-details","MAKE-EVENT-DETAILS",[13],"Details on <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt> expansion"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-PROPOSITIONAL-CALCULUS","Logic-knowledge-taken-for-granted-propositional-calculus","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-PROPOSITIONAL-CALCULUS",[17],"A brief explanation of propositional calculus"],
 ["ACL2____GUARD-SIMPLIFICATION","Guard-simplification","GUARD-SIMPLIFICATION",[445],"Levels of simplification for <see topic=\"ACL2____GUARD\">guard</see> proof obligations"],
 ["ACL2____GUARD-EVALUATION-TABLE","Guard-evaluation-table","GUARD-EVALUATION-TABLE",[82],"A table that shows combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____FAST-ALISTS","Fast-alists","FAST-ALISTS",[636,124,98],"Alists with hidden hash tables for faster execution"],
 ["ACL2____DO-LOOP_42","Do-loop$","DO-LOOP$",[52],"Iteration with <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt> using local variables and <see topic=\"ACL2____STOBJ\">stobj</see>s"],
 ["ACL2____DEFUN-MODE-CAVEAT","Defun-mode-caveat","DEFUN-MODE-CAVEAT",[567],"Potential soundness issue for functions with <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> \u000A  <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>"],
 ["ACL2____BDD-ALGORITHM","Bdd-algorithm","BDD-ALGORITHM",[463],"Summary of the BDD algorithm in ACL2"],
 ["ACL2____ASSERT-EVENT","Assert-event","ASSERT-EVENT",[77,734],"Assert that a given form returns a non-<v>nil</v> value"],
 ["COMMON-LISP____CONS","Cons","CONS",[457,130],"Pair and list constructor"],
 ["ACL2____WET","Wet","WET",[550],"Evaluate a form and print subsequent error trace"],
 ["ACL2____PATTERNED-CONGRUENCE","Patterned-congruence","PATTERNED-CONGRUENCE",[11],"Removing restrictions on classic <see topic=\"ACL2____CONGRUENCE\">congruence</see> rules"],
 ["ACL2____NUMBERS","Numbers","NUMBERS",[124],"Numbers in ACL2 and operations on them"],
 ["ACL2____FOR-LOOP_42","For-loop$","FOR-LOOP$",[52],"Iteration with <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt> over an interval of integers or a list"],
 ["ACL2____DEFEXEC","Defexec","DEFEXEC",[77,51],"Attach a terminating executable function to a definition"],
 ["ACL2____VERSION","Version","VERSION",[862],"ACL2 Version Number"],
 ["ACL2____TERMINATION-THEOREM-EXAMPLE","Termination-theorem-example","TERMINATION-THEOREM-EXAMPLE",[61,920,19],"How to use a previously-proved measure theorem"],
 ["ACL2____SPECIOUS-SIMPLIFICATION","Specious-simplification","SPECIOUS-SIMPLIFICATION",[572],"Nonproductive proof steps"],
 ["ACL2____NOTE-2-9-3","Note-2-9-3","NOTE-2-9-3",[186],"ACL2 Version  2.9.3 (August, 2005) Notes"],
 ["ACL2____NOTE-2-9-1","Note-2-9-1","NOTE-2-9-1",[186],"ACL2 Version  2.9.1 (December, 2004) Notes"],
 ["ACL2____NOTE-2-7-BUG-FIXES","Note-2-7-bug-fixes","NOTE-2-7-BUG-FIXES",[159],"ACL2 Version  2.7 Notes on Bug Fixes"],
 ["ACL2____MEMOIZE-PARTIAL","Memoize-partial","MEMOIZE-PARTIAL",[30],"<tt><see topic=\"ACL2____MEMOIZE\">Memoize</see></tt> a partial version of a limited (`clocked') function"],
 ["ACL2____INTRODUCTION-TO-A-FEW-SYSTEM-CONSIDERATIONS","Introduction-to-a-few-system-considerations","INTRODUCTION-TO-A-FEW-SYSTEM-CONSIDERATIONS",[17],"The mechanics of interaction with the theorem prover"],
 ["ACL2____EVALUATOR-RESTRICTIONS","Evaluator-restrictions","EVALUATOR-RESTRICTIONS",[27],"Some restrictions on the use of evaluators in meta-level rules"],
 ["ACL2____DEFPROXY","Defproxy","DEFPROXY",[77],"Define a non-executable <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>-mode function for \u000A  attachment"],
 ["ACL2____CONSERVATIVITY-OF-DEFCHOOSE","Conservativity-of-defchoose","CONSERVATIVITY-OF-DEFCHOOSE",[118],"Proof of conservativity of <tt><see topic=\"ACL2____DEFCHOOSE\">defchoose</see></tt>"],
 ["ACL2____BOOK-NAME","Book-name","BOOK-NAME",[1143],"Conventions associated with book names"],
 ["ACL2-PC____REWRITE","ACL2-pc::rewrite","REWRITE",[198],"(primitive) \u000Aapply a rewrite rule"],
 ["ACL2____WORMHOLE-EVAL","Wormhole-eval","WORMHOLE-EVAL",[38],"State-saving without <see topic=\"ACL2____STATE\">state</see> &mdash; a short-cut to a parallel universe"],
 ["ACL2____TIPS","Tips","TIPS",[353],"Some hints for using the ACL2 prover"],
 ["ACL2____RANDOM-REMARKS-ON-REWRITING","Random-remarks-on-rewriting","RANDOM-REMARKS-ON-REWRITING",[12,177],"Some basic facts about the ACL2 rewriter"],
 ["ACL2____NOTE-4-0","Note-4-0","NOTE-4-0",[186],"ACL2 Version  4.0 (July, 2010) Notes"],
 ["ACL2____NOTE-2-9-2","Note-2-9-2","NOTE-2-9-2",[186],"ACL2 Version  2.9.2 (April, 2005) Notes"],
 ["ACL2____NOTE-2-8-BUG-FIXES","Note-2-8-bug-fixes","NOTE-2-8-BUG-FIXES",[137],"ACL2 Version  2.8 Notes on Bug Fixes"],
 ["ACL2____NOTE-2-7-NEW-FUNCTIONALITY","Note-2-7-new-functionality","NOTE-2-7-NEW-FUNCTIONALITY",[159],"ACL2 Version  2.7 Notes on New Functionality"],
 ["ACL2____INTRODUCTION-TO-THE-DATABASE","Introduction-to-the-database","INTRODUCTION-TO-THE-DATABASE",[17],"How to update the database"],
 ["ACL2____INTERESTING-APPLICATIONS","Interesting-applications","INTERESTING-APPLICATIONS",[353],"Some industrial examples of ACL2 use"],
 ["ACL2____GUARD-EVALUATION-EXAMPLES-LOG","Guard-evaluation-examples-log","GUARD-EVALUATION-EXAMPLES-LOG",[82],"Log showing combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____GITHUB-COMMIT-CODE-USING-PUSH","Github-commit-code-using-push","GITHUB-COMMIT-CODE-USING-PUSH",[682],"How to commit code to the books using direct push access"],
 ["ACL2____EFFICIENCY","Efficiency","EFFICIENCY",[512,-1,124],"Efficiency considerations"],
 ["ACL2____COMPRESS1","Compress1","COMPRESS1",[41,130],"Remove irrelevant pairs from a 1-dimensional array"],
 ["ACL2____WORMHOLE-IMPLEMENTATION","Wormhole-implementation","WORMHOLE-IMPLEMENTATION",[38],"Notes on how wormholes are implemented"],
 ["ACL2____VERIFY-GUARDS-FOR-SYSTEM-FUNCTIONS","Verify-guards-for-system-functions","VERIFY-GUARDS-FOR-SYSTEM-FUNCTIONS",[75,32],"Arranging that source functions come up as guard-verified"],
 ["ACL2____USING-COMPUTED-HINTS-7","Using-computed-hints-7","USING-COMPUTED-HINTS-7",[964],"Using the <v>stable-under-simplificationp</v> flag"],
 ["ACL2____THEORIES-AND-PRIMITIVES","Theories-and-primitives","THEORIES-AND-PRIMITIVES",[5],"Warnings from disabling or enabling certain built-in functions"],
 ["ACL2____STOBJ-EXAMPLE-3","Stobj-example-3","STOBJ-EXAMPLE-3",[8],"Another example of a single-threaded object"],
 ["ACL2____REWRITE-LAMBDA-OBJECT","Rewrite-lambda-object","REWRITE-LAMBDA-OBJECT",[12],"rewriting lambda objects in :FN slots"],
 ["ACL2____PROOF-TREE-EXAMPLES","Proof-tree-examples","PROOF-TREE-EXAMPLES",[119],"Proof tree example"],
 ["ACL2____PROGRAMMING-KNOWLEDGE-TAKEN-FOR-GRANTED","Programming-knowledge-taken-for-granted","PROGRAMMING-KNOWLEDGE-TAKEN-FOR-GRANTED",[17],"Background knowledge in ACL2 programming for theorem prover tutorial"],
 ["ACL2____NOTE-7-0","Note-7-0","NOTE-7-0",[186],"ACL2 Version  7.0 (January, 2015) Notes"],
 ["ACL2____NOTE-3-6","Note-3-6","NOTE-3-6",[186],"ACL2 Version  3.6 (August, 2009) Notes"],
 ["ACL2____NOTE-3-3","Note-3-3","NOTE-3-3",[186],"ACL2 Version  3.3 (November, 2007) Notes"],
 ["ACL2____NOTE-3-2-1","Note-3-2-1","NOTE-3-2-1",[186],"ACL2 Version  3.2.1 (June, 2007) Notes"],
 ["ACL2____NOTE-3-0-1","Note-3-0-1","NOTE-3-0-1",[186],"ACL2 Version  3.0.1 (August, 2006) Notes"],
 ["ACL2____NOTE-2-9-5","Note-2-9-5","NOTE-2-9-5",[186],"Changes in Version  3.0 since Version  2.9.4"],
 ["ACL2____NOTE-2-8-NEW-FUNCTIONALITY","Note-2-8-new-functionality","NOTE-2-8-NEW-FUNCTIONALITY",[137],"ACL2 Version  2.8 Notes on New Functionality"],
 ["ACL2____NOTE-2-7-PROOFS","Note-2-7-proofs","NOTE-2-7-PROOFS",[159],"ACL2 Version  2.7 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-7-OTHER","Note-2-7-other","NOTE-2-7-OTHER",[159],"ACL2 Version  2.7 Notes on Miscellaneous Changes"],
 ["ACL2____NOTE-2-6-PROOFS","Note-2-6-proofs","NOTE-2-6-PROOFS",[898],"ACL2 Version  2.6 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-6-NEW-FUNCTIONALITY","Note-2-6-new-functionality","NOTE-2-6-NEW-FUNCTIONALITY",[898],"ACL2 Version  2.6 Notes on New Functionality"],
 ["ACL2____NOTE-2-5","Note-2-5","NOTE-2-5",[186],"ACL2 Version  2.5 (June, 2000) Notes"],
 ["ACL2____NOTE-1-5","Note-1-5","NOTE-1-5",[186],"Acl2 Version 1.5 Notes"],
 ["ACL2____MIXED-MODE-FUNCTIONS","Mixed-mode-functions","MIXED-MODE-FUNCTIONS",[25],"<v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt> mode functions can <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt> mode functions"],
 ["ACL2____META-IMPLICIT-HYPOTHESIS","Meta-implicit-hypothesis","META-IMPLICIT-HYPOTHESIS",[27],"A potentially more efficient way of coding a hypothesis metafunction"],
 ["ACL2____LOOP_42-RECURSION-INDUCTION","Loop$-recursion-induction","LOOP$-RECURSION-INDUCTION",[52],"Advice on inductive theorems about <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt>-recursive functions"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING","Logic-knowledge-taken-for-granted-rewriting","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING",[17],"A brief explanation of rewriting from the logical perspective"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-4-ANSWER","Introductory-challenge-problem-4-answer","INTRODUCTORY-CHALLENGE-PROBLEM-4-ANSWER",[17],"Answer to challenge problem 4 for the new user of ACL2"],
 ["ACL2____INTRODUCTION-TO-PROGRAMMING-IN-ACL2-FOR-THOSE-WHO-KNOW-LISP","Introduction-to-programming-in-ACL2-for-those-who-know-lisp","INTRODUCTION-TO-PROGRAMMING-IN-ACL2-FOR-THOSE-WHO-KNOW-LISP",[124,17],"Introduction to programming in ACL2 for Lisp users"],
 ["ACL2____INTRODUCTION-TO-HINTS","Introduction-to-hints","INTRODUCTION-TO-HINTS",[17],"How to provide hints to the theorem prover"],
 ["ACL2____GUARD-MISCELLANY","Guard-miscellany","GUARD-MISCELLANY",[82],"Miscellaneous remarks about guards"],
 ["ACL2____GITHUB-COMMIT-CODE-USING-PULL-REQUESTS","Github-commit-code-using-pull-requests","GITHUB-COMMIT-CODE-USING-PULL-REQUESTS",[682],"How to commit code to the books using pull requests"],
 ["ACL2____FREE-VARIABLES-EXAMPLES-REWRITE","Free-variables-examples-rewrite","FREE-VARIABLES-EXAMPLES-REWRITE",[1189],"Examples pertaining to free variables in <see topic=\"ACL2____REWRITE\">rewrite</see> rules"],
 ["ACL2____EQUALITY-VARIANTS-DETAILS","Equality-variants-details","EQUALITY-VARIANTS-DETAILS",[103],"Details about <see topic=\"ACL2____EQUALITY-VARIANTS\">equality-variants</see>"],
 ["ACL2____DEALING-WITH-KEY-COMBINATIONS-OF-FUNCTION-SYMBOLS","Dealing-with-key-combinations-of-function-symbols","DEALING-WITH-KEY-COMBINATIONS-OF-FUNCTION-SYMBOLS",[17],"How to get rid of key combinations of function symbols"],
 ["ACL2____BOUNDERS","Bounders","BOUNDERS",[48],"Intervals, bounder functions, and bounder correctness"],
 ["ACL2____BOOK-EXAMPLE","Book-example","BOOK-EXAMPLE",[1143],"How to create, certify, and use a simple book"],
 ["ACL2____BDD-INTRODUCTION","Bdd-introduction","BDD-INTRODUCTION",[463],"Examples illustrating the use of BDDs in ACL2"],
 ["ACL2____ARCHITECTURE-OF-THE-PROVER","Architecture-of-the-prover","ARCHITECTURE-OF-THE-PROVER",[17],"A simple overview of how the prover works"],
 ["ACL2____ALTERNATIVE-INTRODUCTION","Alternative-introduction","ALTERNATIVE-INTRODUCTION",[353],"Introduction to ACL2"],
 ["ACL2____ACKNOWLEDGMENTS","Acknowledgments","ACKNOWLEDGMENTS",[862],"Some contributors to the well-being of ACL2"],
 ["ACL2____ACCUMULATED-PERSISTENCE-SUBTLETIES","Accumulated-persistence-subtleties","ACCUMULATED-PERSISTENCE-SUBTLETIES",[60],"Some subtle aspects of the counting done by <tt><see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see></tt>"],
 ["ACL2-PC____APPLY-LINEAR","ACL2-pc::apply-linear","APPLY-LINEAR",[198],"(primitive) \u000Aapply a linear rule"],
 ["COMMON-LISP____THE","The","THE",[82,104,130],"<v>The</v> is a special form that can be used to optimize the execution \u000A efficiency of <see topic=\"ACL2____GUARD\">guard</see>-verified ACL2 definitions, or (less frequently) to \u000A carry out a low-level run-time type checks. (Advanced)"],
 ["COMMON-LISP____APPEND","Append","APPEND",[343,130],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> zero or more lists"],
 ["ACL2_____A2COMMON-LISP-SYMBOLS-FROM-MAIN-LISP-PACKAGE_A2","*common-lisp-symbols-from-main-lisp-package*","*COMMON-LISP-SYMBOLS-FROM-MAIN-LISP-PACKAGE*",[700,130],"Symbols that are often imported into new packages to provide easy \u000A access to Common Lisp functionality."],
 ["ACL2____USING-COMPUTED-HINTS-6","Using-computed-hints-6","USING-COMPUTED-HINTS-6",[964],"Using the computed-hint-replacement feature"],
 ["ACL2____TAIL-BITING","Tail-biting","TAIL-BITING",[512],"Rewriting a true term to <v>NIL</v>"],
 ["ACL2____REDEFINING-PROGRAMS","Redefining-programs","REDEFINING-PROGRAMS",[124],"An explanation of why we restrict redefinitions"],
 ["ACL2____POINTERS","Pointers","POINTERS",[0],"Links pointing to relevant documentation topics"],
 ["ACL2____NOTE-8-3","Note-8-3","NOTE-8-3",[186],"ACL2 Version  8.3 (April, 2020) Notes"],
 ["ACL2____NOTE-8-1","Note-8-1","NOTE-8-1",[186],"ACL2 Version  8.1 (September, 2018) Notes"],
 ["ACL2____NOTE-7-0-MEMOIZE","Note-7-0-memoize","NOTE-7-0-MEMOIZE",[282],"ACL2 Version  7.0 Notes on Changes to Memoization Implementation"],
 ["ACL2____NOTE-6-1","Note-6-1","NOTE-6-1",[186],"ACL2 Version  6.1 (February, 2013) Notes"],
 ["ACL2____NOTE-4-3","Note-4-3","NOTE-4-3",[186],"ACL2 Version  4.3 (July, 2011) Notes"],
 ["ACL2____NOTE-4-2","Note-4-2","NOTE-4-2",[186],"ACL2 Version  4.2 (January, 2011) Notes"],
 ["ACL2____NOTE-4-1","Note-4-1","NOTE-4-1",[186],"ACL2 Version  4.1 (September, 2010) Notes"],
 ["ACL2____NOTE-3-5","Note-3-5","NOTE-3-5",[186],"ACL2 Version  3.5 (May, 2009) Notes"],
 ["ACL2____NOTE-3-4","Note-3-4","NOTE-3-4",[186],"ACL2 Version  3.4 (August, 2008) Notes"],
 ["ACL2____NOTE-3-2","Note-3-2","NOTE-3-2",[186],"ACL2 Version  3.2 (April, 2007) Notes"],
 ["ACL2____NOTE-3-0-2","Note-3-0-2","NOTE-3-0-2",[186],"ACL2 Version  3.0.2 (December, 2006) Notes"],
 ["ACL2____NOTE-2-9-4","Note-2-9-4","NOTE-2-9-4",[186],"ACL2 Version  2.9.4 (February, 2006) Notes"],
 ["ACL2____NOTE-2-9-3-PPR-CHANGE","Note-2-9-3-ppr-change","NOTE-2-9-3-PPR-CHANGE",[251],"Change in pretty-printing for ACL2 Version_2.9.3"],
 ["ACL2____NOTE-2-9","Note-2-9","NOTE-2-9",[186],"ACL2 Version  2.9 (October, 2004) Notes"],
 ["ACL2____NOTE-2-8-PROOFS","Note-2-8-proofs","NOTE-2-8-PROOFS",[137],"ACL2 Version  2.8 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-6-OTHER","Note-2-6-other","NOTE-2-6-OTHER",[898],"ACL2 Version  2.6 Notes on Other (Minor) Changes"],
 ["ACL2____NOTE-1-8","Note-1-8","NOTE-1-8",[186],"ACL2 Version 1.8 (May, 1995) Notes"],
 ["ACL2____NOTE-1-7","Note-1-7","NOTE-1-7",[186],"ACL2 Version 1.7 (released October 1994) Notes"],
 ["ACL2____NOTE-1-6","Note-1-6","NOTE-1-6",[186],"Acl2 Version 1.6 Notes"],
 ["ACL2____NOTE-1-4","Note-1-4","NOTE-1-4",[186],"Acl2 Version 1.4 Notes"],
 ["ACL2____NOTE-1-3","Note-1-3","NOTE-1-3",[186],"Acl2 Version 1.3 Notes"],
 ["ACL2____LISTS","Lists","LISTS",[124],"Lists of objects, the classic Lisp data structure."],
 ["ACL2____FUTURE-WORK-RELATED-TO-THE-TAU-SYSTEM","Future-work-related-to-the-tau-system","FUTURE-WORK-RELATED-TO-THE-TAU-SYSTEM",[138],"Some tau system problems that we hope someone will address"],
 ["ACL2____FURTHER-INFORMATION-ON-REWRITING","Further-information-on-rewriting","FURTHER-INFORMATION-ON-REWRITING",[17],"A grab bag of advice and information on rewriting"],
 ["ACL2____FREQUENTLY-ASKED-QUESTIONS-BY-NEWCOMERS","Frequently-asked-questions-by-newcomers","FREQUENTLY-ASKED-QUESTIONS-BY-NEWCOMERS",[17],"Some questions newcomers frequently ask"],
 ["ACL2____FAILED-FORCING","Failed-forcing","FAILED-FORCING",[20,512],"How to deal with a proof <see topic=\"ACL2____FAILURE\">failure</see> in a forcing round"],
 ["ACL2____DEALING-WITH-TAU-PROBLEMS","Dealing-with-tau-problems","DEALING-WITH-TAU-PROBLEMS",[138],"Some advice on dealing with problems caused by the tau system"],
 ["ACL2____CCL-INSTALLATION-EXTRA","Ccl-installation-extra","CCL-INSTALLATION-EXTRA",[735],"Clozure Common Lisp (CCL) installation and implementation details"],
 ["ACL2____BOOKS-CERTIFICATION-ALT","Books-certification-alt","BOOKS-CERTIFICATION-ALT",[134],"Alternate instructions for certifying the <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>, \u000A from the perspective of the <v>acl2-sources</v> directory."],
 ["ACL2____BOOKDATA","Bookdata","BOOKDATA",[43],"An optional tool for writing out small files with meta-data about \u000A the books that are being certified."],
 ["ACL2____BOOK-HASH-MISMATCH","Book-hash-mismatch","BOOK-HASH-MISMATCH",[405],"Deeming a book uncertified because of a <see topic=\"ACL2____BOOK-HASH\">book-hash</see> mismatch"],
 ["ACL2____ACL2-TUTORIAL","ACL2-tutorial","ACL2-TUTORIAL",[693],"Tutorial introduction to ACL2"],
 ["COMMON-LISP____REAL","Real","REAL",[693],"ACL2(r) support for real numbers"],
 ["ACL2____USING-COMPUTED-HINTS-4","Using-computed-hints-4","USING-COMPUTED-HINTS-4",[964],"Computing the Hints"],
 ["ACL2____USING-COMPUTED-HINTS-3","Using-computed-hints-3","USING-COMPUTED-HINTS-3",[964],"Hints as a Function of the Goal (not its Name)"],
 ["ACL2____TUTORIAL3-PHONEBOOK-EXAMPLE","Tutorial3-phonebook-example","TUTORIAL3-PHONEBOOK-EXAMPLE",[447],"A Phonebook Specification"],
 ["ACL2____TUTORIAL1-TOWERS-OF-HANOI","Tutorial1-towers-of-hanoi","TUTORIAL1-TOWERS-OF-HANOI",[447],"The Towers of Hanoi Example"],
 ["ACL2____SYNTAXP-EXAMPLES","Syntaxp-examples","SYNTAXP-EXAMPLES",[86],"Examples pertaining to syntaxp hypotheses"],
 ["ACL2____RULE-CLASSES-INTRODUCTION","Rule-classes-introduction","RULE-CLASSES-INTRODUCTION",[11],"Selecting which kind of rule to create"],
 ["ACL2____PROHIBITION-OF-LOOP_42-AND-LAMBDA_42","Prohibition-of-loop$-and-lambda$","PROHIBITION-OF-LOOP$-AND-LAMBDA$",[128,121,31],"Certain events do not allow <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt>s or <tt><see topic=\"ACL2____LAMBDA_42\">lambda$</see></tt>s"],
 ["ACL2____NOTE-8-5","Note-8-5","NOTE-8-5",[186],"ACL2 Version  8.5 (July, 2022) Notes"],
 ["ACL2____NOTE-8-4","Note-8-4","NOTE-8-4",[186],"ACL2 Version  8.4 (August, 2021) Notes"],
 ["ACL2____NOTE-8-2","Note-8-2","NOTE-8-2",[186],"ACL2 Version  8.2 (May, 2019) Notes"],
 ["ACL2____NOTE-8-0","Note-8-0","NOTE-8-0",[186],"ACL2 Version  8.0 (December, 2017) Notes"],
 ["ACL2____NOTE-7-4","Note-7-4","NOTE-7-4",[186],"ACL2 Version  7.4 (March, 2017) Notes"],
 ["ACL2____NOTE-7-3","Note-7-3","NOTE-7-3",[186],"ACL2 Version  7.3 (December, 2016) Notes"],
 ["ACL2____NOTE-7-2","Note-7-2","NOTE-7-2",[186],"ACL2 Version  7.2 (January, 2016) Notes"],
 ["ACL2____NOTE-7-1","Note-7-1","NOTE-7-1",[186],"ACL2 Version  7.1 (May, 2015) Notes"],
 ["ACL2____NOTE-6-5","Note-6-5","NOTE-6-5",[186],"ACL2 Version  6.5 (August, 2014) Notes"],
 ["ACL2____NOTE-6-4","Note-6-4","NOTE-6-4",[186],"ACL2 Version  6.4 (January, 2014) Notes"],
 ["ACL2____NOTE-6-3","Note-6-3","NOTE-6-3",[186],"ACL2 Version  6.3 (October, 2013) Notes"],
 ["ACL2____NOTE-6-2","Note-6-2","NOTE-6-2",[186],"ACL2 Version  6.2 (June, 2013) Notes"],
 ["ACL2____NOTE-6-0","Note-6-0","NOTE-6-0",[186],"ACL2 Version  6.0 (December, 2012) Notes"],
 ["ACL2____NOTE-5-0","Note-5-0","NOTE-5-0",[186],"ACL2 Version  5.0 (August, 2012) Notes"],
 ["ACL2____MUTUAL-RECURSION-PROOF-EXAMPLE","Mutual-recursion-proof-example","MUTUAL-RECURSION-PROOF-EXAMPLE",[1309,44],"A small proof about mutually recursive functions"],
 ["ACL2____EXTEND-PE-TABLE","Extend-pe-table","EXTEND-PE-TABLE",[99],"Replace <see topic=\"ACL2____EVENTS\">events</see> displayed by <see topic=\"ACL2____HISTORY\">history</see> commands"],
 ["ACL2____ER","Er","ER",[734,130],"Print an error message and ``cause an error''"],
 ["ACL2____SPECIFIC-KINDS-OF-FORMULAS-AS-REWRITE-RULES","Specific-kinds-of-formulas-as-rewrite-rules","SPECIFIC-KINDS-OF-FORMULAS-AS-REWRITE-RULES",[17],"Advice about how to handle commonly occurring formulas as rewrite rules"],
 ["ACL2____PSEUDO-TERMP","Pseudo-termp","PSEUDO-TERMP",[6,130],"A predicate for recognizing term-like s-expressions"],
 ["ACL2____COMMUNITY-BOOKS","Community-books","COMMUNITY-BOOKS",[43],"Libraries of ACL2 <see topic=\"ACL2____BOOKS\">books</see> developed by the ACL2 community."],
 ["ACL2-PC____SEQUENCE","ACL2-pc::sequence","SEQUENCE",[198],"(meta) \u000Arun the given list of instructions according to a multitude of \u000Aoptions"],
 ["ACL2____MAGIC-EV-FNCALL","Magic-ev-fncall","MAGIC-EV-FNCALL",[27],"Call the named function on the given arguments and return the value."],
 ["ACL2____PSO","Pso","PSO",[528],"Show the most recently saved output"],
 ["ACL2____PROOF-OF-WELL-FOUNDEDNESS","Proof-of-well-foundedness","PROOF-OF-WELL-FOUNDEDNESS",[96],"A proof that <tt><see topic=\"ACL2____O_C3\">o&lt;</see></tt> is well-founded on <tt><see topic=\"ACL2____O-P\">o-p</see></tt>s"],
 ["ACL2____LOGICAL-NAME","Logical-name","LOGICAL-NAME",[77,4],"A name created by a logical event"],
 ["ACL2____MBT","Mbt","MBT",[51,130],"Introduce a test into the logic that, however, evaluates to <v>t</v>"],
 ["ACL2____FAILURE","Failure","FAILURE",[512],"How to deal with a failure to admit an event"],
 ["ACL2____STRONG-REWRITE-RULES","Strong-rewrite-rules","STRONG-REWRITE-RULES",[17],"Formulating good rewrite rules"],
 ["ACL2____REMOVE-UNTOUCHABLE","Remove-untouchable","REMOVE-UNTOUCHABLE",[23],"Remove names from lists of untouchable symbols"],
 ["ACL2____INFECTED-CONSTRAINTS","Infected-constraints","INFECTED-CONSTRAINTS",[21],"<tt><see topic=\"COMMON-LISP____DEFUN\">Defun</see></tt>s affecting <see topic=\"ACL2____CONSTRAINT\">constraint</see>s of <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt>s"],
 ["ACL2____DEFUN-NX","Defun-nx","DEFUN-NX",[1,77],"Define a non-executable function symbol"],
 ["ACL2____SLOW-ALIST-WARNING","Slow-alist-warning","SLOW-ALIST-WARNING",[237],"Warnings/errors issued when <tt><see topic=\"ACL2____FAST-ALISTS\">fast-alists</see></tt> are used inefficiently"],
 ["ACL2____PUFF_A2","Puff*","PUFF*",[99],"Replace a compound <see topic=\"ACL2____COMMAND\">command</see> by its subevents"],
 ["ACL2____IRRELEVANT-FORMALS","Irrelevant-formals","IRRELEVANT-FORMALS",[124],"Formals that are used but only insignificantly"],
 ["ACL2____ADD-MATCH-FREE-OVERRIDE","Add-match-free-override","ADD-MATCH-FREE-OVERRIDE",[64],"Set <v>:match-free</v> value to <v>:once</v> or <v>:all</v> in existing \u000A  rules"],
 ["COMMON-LISP_____B2","+","+",[245,130],"Addition macro"],
 ["ACL2____LD-POST-EVAL-PRINT","Ld-post-eval-print","LD-POST-EVAL-PRINT",[15],"Determines whether and how <tt><see topic=\"ACL2____LD\">ld</see></tt> prints the result of evaluation"],
 ["ACL2____LAST-PROVER-STEPS","Last-prover-steps","LAST-PROVER-STEPS",[156,145,49,130],"The number of prover steps most recently taken"],
 ["ACL2____INVARIANT-RISK","Invariant-risk","INVARIANT-RISK",[124,180,82,512],"Potential slowdown for <see topic=\"ACL2____PROGRAM\">program</see>-mode updates to <see topic=\"ACL2____STOBJ\">stobj</see>s \u000A or <see topic=\"ACL2____ARRAYS\">arrays</see>"],
 ["COMMON-LISP____NOT","Not","NOT",[635,130],"Logical negation"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-3","Practice-formulating-strong-rules-3","PRACTICE-FORMULATING-STRONG-RULES-3",[17],"Rules suggested by <v>(<see topic=\"COMMON-LISP____MEMBER\">MEMBER</see> (FOO A) (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (BAR B) (MUM C)))</v>"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-1","Practice-formulating-strong-rules-1","PRACTICE-FORMULATING-STRONG-RULES-1",[17],"Rules suggested by <v>(<see topic=\"ACL2____TRUE-LISTP\">TRUE-LISTP</see> (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (FOO A) (BAR B)))</v>"],
 ["ACL2____GRATUITOUS-LAMBDA-OBJECT-RESTRICTIONS","Gratuitous-lambda-object-restrictions","GRATUITOUS-LAMBDA-OBJECT-RESTRICTIONS",[25],"Enforcement of logically unnecessary restrictions on <v>:FN</v> slots"],
 ["ACL2____BOOK-HASH","Book-hash","BOOK-HASH",[43],"Assigning ``often unique'' fingerprints to <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____UBT","Ubt","UBT",[99,429],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back through a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____STOBJ-EXAMPLE-1-PROOFS","Stobj-example-1-proofs","STOBJ-EXAMPLE-1-PROOFS",[8],"Some proofs involving the <v>counters</v> stobj"],
 ["ACL2____LD-KEYWORD-ALIASES","Ld-keyword-aliases","LD-KEYWORD-ALIASES",[15],"Abbreviation of some keyword commands"],
 ["ACL2____About_02the_02Prompt","About the Prompt","About the Prompt",[109],"About the Prompt"],
 ["ACL2____PARALLEL-PROGRAMMING","Parallel-programming","PARALLEL-PROGRAMMING",[125],"Parallel programming in ACL2(p)"],
 ["ACL2____MAKE-EVENT-EXAMPLE-1","Make-event-example-1","MAKE-EVENT-EXAMPLE-1",[13],"An example use of <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt>"],
 ["ACL2____WITH-GUARD-CHECKING","With-guard-checking","WITH-GUARD-CHECKING",[82,130],"Suppress or enable guard-checking for a form"],
 ["ACL2____GENERALIZED-BOOLEANS","Generalized-booleans","GENERALIZED-BOOLEANS",[567],"Potential soundness issues related to ACL2 predicates"],
 ["ACL2____CONTEXT-MESSAGE-PAIR","Context-message-pair","CONTEXT-MESSAGE-PAIR",[-1,-1],"A common ACL2 programming idiom: <see topic=\"ACL2____ERROR-TRIPLE\">error-triple</see>s without <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____UNCERTIFIED-BOOKS","Uncertified-books","UNCERTIFIED-BOOKS",[43],"Invalid <see topic=\"ACL2____CERTIFICATE\">certificate</see>s and uncertified <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____MSG","Msg","MSG",[16,130],"Construct a ``message'' suitable for the <v>~@</v> directive of <tt><see topic=\"ACL2____FMT\">fmt</see></tt>"],
 ["ACL2____MEASURE-DEBUG","Measure-debug","MEASURE-DEBUG",[920,512],"Generate markers to indicate sources of <see topic=\"ACL2____MEASURE\">measure</see> proof obligations"],
 ["ACL2____DEFINDUCTOR","Definductor","DEFINDUCTOR",[209],"Create an induction scheme for a <v>loop$</v>-recursive function"],
 ["COMMON-LISP____NTH","Nth","NTH",[343,130],"The nth element (zero-based) of a list"],
 ["ACL2____PRINTING-TO-STRINGS","Printing-to-strings","PRINTING-TO-STRINGS",[16],"Printing to strings instead of files or standard output"],
 ["ACL2____DEAD-EVENTS","Dead-events","DEAD-EVENTS",[512],"Using proof supporters to identify dead code and unused theorems"],
 ["ACL2____USING-COMPUTED-HINTS-2","Using-computed-hints-2","USING-COMPUTED-HINTS-2",[964],"One Hint to Every Top-Level Goal in a Forcing Round"],
 ["ACL2____TRUE-LISTP","True-listp","TRUE-LISTP",[343,130],"Recognizer for proper (<v>nil</v>-terminated) lists"],
 ["ACL2____TRACE_12","Trace!","TRACE!",[550],"Trace the indicated functions after creating an active trust tag"],
 ["ACL2____SET-INHIBIT-ER-SOFT","Set-inhibit-er-soft","SET-INHIBIT-ER-SOFT",[528,734],"Control the error output"],
 ["ACL2____HONS-ACONS","Hons-acons","HONS-ACONS",[237,130],"<v>(<see topic=\"ACL2____HONS-ACONS\">hons-acons</see> key val alist)</v> is the main way to create or extend \u000A<see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____GENERALIZING-KEY-CHECKPOINTS","Generalizing-key-checkpoints","GENERALIZING-KEY-CHECKPOINTS",[17],"Getting rid of unnecessary specificity"],
 ["ACL2____BREAK-LEMMA","Break-lemma","BREAK-LEMMA",[34],"A quick introduction to breaking rewrite rules in ACL2"],
 ["ACL2____UNDO","Undo","UNDO",[99],"Undoing and perhaps redefining"],
 ["ACL2____MACRO-ALIASES-TABLE","Macro-aliases-table","MACRO-ALIASES-TABLE",[723],"A <see topic=\"ACL2____TABLE\">table</see> used to associate function names with macro names"],
 ["ACL2____FINALIZE-EVENT-USER","Finalize-event-user","FINALIZE-EVENT-USER",[528],"User-supplied code to complete <see topic=\"ACL2____EVENTS\">events</see>, e.g., with extra <see topic=\"ACL2____SUMMARY\">summary</see> output"],
 ["ACL2____DEFUN-MODE-LAMBDAS","Defun-mode-lambdas","DEFUN-MODE-LAMBDAS",[22],":program mode functions in <tt><see topic=\"COMMON-LISP____LAMBDA\">lambda</see></tt> objects"],
 ["ACL2____TIDBITS","Tidbits","TIDBITS",[353],"Some basic hints for using ACL2"],
 ["ACL2____SET-SKIP-META-TERMP-CHECKS","Set-skip-meta-termp-checks","SET-SKIP-META-TERMP-CHECKS",[27,55],"Skip output checks for <see topic=\"ACL2____META\">meta</see> functions and <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see>s"],
 ["ACL2____PROOF-BUILDER-COMMANDS-SHORT-LIST","Proof-builder-commands-short-list","PROOF-BUILDER-COMMANDS-SHORT-LIST",[42,198],"Perhaps the most commonly used <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> commands"],
 ["ACL2____NORMED","Normed","NORMED",[503],"Normed objects are ACL2 Objects that are \"canonical\" or \"unique\" \u000A in a certain sense."],
 ["ACL2____MV-NTH","Mv-nth","MV-NTH",[126,130],"The mv-nth element (zero-based) of a list"],
 ["ACL2____INVARIANT-RISK-DETAILS","Invariant-risk-details","INVARIANT-RISK-DETAILS",[400],"More details about <see topic=\"ACL2____INVARIANT-RISK\">invariant-risk</see>"],
 ["ACL2____DEFABBREV","Defabbrev","DEFABBREV",[723,77,124],"A convenient form of macro definition for simple expansions"],
 ["ACL2____ADD-CUSTOM-KEYWORD-HINT","Add-custom-keyword-hint","ADD-CUSTOM-KEYWORD-HINT",[77],"Add a new custom keyword hint"],
 ["ACL2____SET-STATE-OK","Set-state-ok","SET-STATE-OK",[9],"Allow the use of STATE as a formal parameter"],
 ["ACL2____NOTE-2-6-RULES","Note-2-6-rules","NOTE-2-6-RULES",[898],"ACL2 Version  2.6 Notes on Changes in Rules and Constants"],
 ["COMMON-LISP____EQL","Eql","EQL",[220,103,130],"Test equality (of two numbers, symbols, or <see topic=\"ACL2____CHARACTERS\">characters</see>)"],
 ["ACL2____MACRO-ARGS","Macro-args","MACRO-ARGS",[723],"The formals list of a macro definition"],
 ["ACL2____GUARD-FORMULA-UTILITIES","Guard-formula-utilities","GUARD-FORMULA-UTILITIES",[82],"Utilities that show guard proof obligations"],
 ["ACL2____CURRENT-PACKAGE","Current-package","CURRENT-PACKAGE",[15],"The package used for reading and printing"],
 ["ACL2____ANNOTATED-ACL2-SCRIPTS","Annotated-ACL2-scripts","ANNOTATED-ACL2-SCRIPTS",[353],"Examples of ACL2 scripts"],
 ["COMMON-LISP____AND","And","AND",[635,130],"Conjunction"],
 ["ACL2____WITH-LOCAL-STOBJ","With-local-stobj","WITH-LOCAL-STOBJ",[8,130],"Locally bind a single-threaded object"],
 ["ACL2____REGENERATE-TAU-DATABASE","Regenerate-tau-database","REGENERATE-TAU-DATABASE",[77,138],"Regenerate the tau database relative to the current enabled theory"],
 ["ACL2____SET-ENFORCE-REDUNDANCY","Set-enforce-redundancy","SET-ENFORCE-REDUNDANCY",[68],"Require most events to be redundant"],
 ["ACL2____PROG2_42","Prog2$","PROG2$",[1367,130],"Execute two forms and return the value of the second one"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q1-ANSWER","Logic-knowledge-taken-for-granted-q1-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q1-ANSWER",[17],"The inductive step of the <v>rev-rev</v> proof &mdash; Answer to Question 1"],
 ["ACL2____GUARD-HOLDERS","Guard-holders","GUARD-HOLDERS",[11,6,82],"Remove trivial calls from a <see topic=\"ACL2____TERM\">term</see>"],
 ["ACL2____GUARD-EXAMPLE","Guard-example","GUARD-EXAMPLE",[1309,82],"A brief transcript illustrating <see topic=\"ACL2____GUARD\">guard</see>s in ACL2"],
 ["ACL2____GRANULARITY","Granularity","GRANULARITY",[410],"Limit the amount of parallelism"],
 ["ACL2____CONSES","Conses","CONSES",[124],"A <b>cons</b> is an ordered pair.  In ACL2, data structures like \u000A <see topic=\"ACL2____LISTS\">lists</see>, <see topic=\"ACL2____ALISTS\">alists</see>, etc., are made up of conses."],
 ["ACL2____ASET1","Aset1","ASET1",[41,130],"Set the elements of a 1-dimensional array"],
 ["COMMON-LISP____TYPE","Type","TYPE",[321],"Disambiguation page for <i>type</i>-related concepts."],
 ["ACL2____WHY-BRR","Why-brr","WHY-BRR",[34],"An explanation of why ACL2 has an explicit <tt><see topic=\"ACL2____BRR\">brr</see></tt> mode"],
 ["ACL2____LD-QUERY-CONTROL-ALIST","Ld-query-control-alist","LD-QUERY-CONTROL-ALIST",[15],"How to default answers to queries"],
 ["ACL2____EVISC-TUPLE","Evisc-tuple","EVISC-TUPLE",[16],"Control suppression of details when printing"],
 ["ACL2____BDD","Bdd","BDD",[693],"Ordered binary decision diagrams with rewriting"],
 ["ACL2____PUSH-UNTOUCHABLE","Push-untouchable","PUSH-UNTOUCHABLE",[23],"Add name or list of names to the list of untouchable symbols"],
 ["ACL2____NOTE-1-9","Note-1-9","NOTE-1-9",[186],"ACL2 Version 1.9 (Fall, 1996) Notes"],
 ["ACL2____METAFUNCTION-CONTEXT","Metafunction-context","METAFUNCTION-CONTEXT",[80],"A structure that holds data supporting extended meta reasoning"],
 ["COMMON-LISP____SEARCH","Search","SEARCH",[343,627,130],"Search for a string or list in another string or list"],
 ["ACL2_____04","@","@",[49,130],"Get the value of a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____STATE-GLOBAL-LET_A2","State-global-let*","STATE-GLOBAL-LET*",[49,130],"Bind <see topic=\"ACL2____STATE\">state</see> global variables"],
 ["ACL2____IMPLIES","Implies","IMPLIES",[635,130],"Logical implication"],
 ["ACL2____ERROR-TRIPLE","Error-triple","ERROR-TRIPLE",[734,49],"A common ACL2 programming idiom"],
 ["ACL2____DEFREC","Defrec","DEFREC",[77],"Introduce a record structure, like a <v>struct</v> in C."],
 ["ACL2____CASE-SPLIT-LIMITATIONS","Case-split-limitations","CASE-SPLIT-LIMITATIONS",[572],"Limiting the number of immediate subgoals"],
 ["ACL2____CASE-SPLIT","Case-split","CASE-SPLIT",[12,14,26,28,27,58],"Like force but immediately splits the top-level goal on the hypothesis"],
 ["ACL2____USER-DEFINED-FUNCTIONS-TABLE","User-defined-functions-table","USER-DEFINED-FUNCTIONS-TABLE",[723],"An advanced <see topic=\"ACL2____TABLE\">table</see> used to replace certain system functions"],
 ["ACL2____TYPE-PRESCRIPTION-DEBUGGING","Type-prescription-debugging","TYPE-PRESCRIPTION-DEBUGGING",[512,26],"Improve a built-in <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rule"],
 ["ACL2____NOTE-2-6-GUARDS","Note-2-6-guards","NOTE-2-6-GUARDS",[898],"ACL2 Version  2.6 Notes on Guard-related Changes"],
 ["ACL2____ASSIGN","Assign","ASSIGN",[49,130],"Assign to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["COMMON-LISP____PATHNAME","Pathname","PATHNAME",[940],"Introduction to filename conventions in ACL2"],
 ["ACL2____STOBJ-EXAMPLE-1-DEFUNS","Stobj-example-1-defuns","STOBJ-EXAMPLE-1-DEFUNS",[8],"The defuns created by the <v>counters</v> stobj"],
 ["ACL2____SET-RW-CACHE-STATE","Set-rw-cache-state","SET-RW-CACHE-STATE",[12],"Set the default rw-cache-state"],
 ["ACL2____SET-GC-STRATEGY","Set-gc-strategy","SET-GC-STRATEGY",[572,130],"Set the garbage collection strategy (CCL only)"],
 ["ACL2____SET-FC-CRITERIA","Set-fc-criteria","SET-FC-CRITERIA",[127],"To set the tracking criteria for forward chaining reports"],
 ["ACL2____IN-TAU-INTERVALP","In-tau-intervalp","IN-TAU-INTERVALP",[48,130],"Boolean membership in a tau interval"],
 ["ACL2____DEFTHEORY","Deftheory","DEFTHEORY",[77,5],"Define a theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2-PC_____D3","ACL2-pc::=","=",[198,435],"(atomic macro) \u000Aattempt an equality (or equivalence) substitution"],
 ["COMMON-LISP____LET_A2","Let*","LET*",[635,130],"Binding of lexically scoped (local) variables"],
 ["ACL2____PAND","Pand","PAND",[410,130],"Parallel, Boolean version of <tt><see topic=\"COMMON-LISP____AND\">and</see></tt>"],
 ["ACL2____BRR_04","Brr@","BRR@",[34],"To access context sensitive information within <tt><see topic=\"ACL2____BREAK-REWRITE\">break-rewrite</see></tt>"],
 ["ACL2____SET-WATERFALL-PRINTING","Set-waterfall-printing","SET-WATERFALL-PRINTING",[125],"For ACL2(p): configuring the printing that occurs within the parallelized waterfall"],
 ["ACL2____SET-INHIBIT-WARNINGS","Set-inhibit-warnings","SET-INHIBIT-WARNINGS",[528],"Control warnings"],
 ["ACL2____SET-ABSSTOBJ-DEBUG","Set-absstobj-debug","SET-ABSSTOBJ-DEBUG",[65],"Get more information when atomic update fails for an abstract stobj"],
 ["ACL2____PE","Pe","PE",[99],"Print the events named by a logical name"],
 ["ACL2____NAME","Name","NAME",[77],"Syntactic rules on logical names"],
 ["ACL2____INTERSECTION_42","Intersection$","INTERSECTION$",[343,130],"Elements common to the given lists"],
 ["ACL2____HONS-NOTE","Hons-note","HONS-NOTE",[503],"Notes about <see topic=\"ACL2____HONS\">hons</see>, especially pertaining to expensive resizing \u000A operations"],
 ["ACL2____HARD-ERROR","Hard-error","HARD-ERROR",[734,130],"Print an error message and stop execution"],
 ["ACL2____GCL","Gcl","GCL",[572],"Tips on building and using ACL2 based on Gnu Common Lisp"],
 ["ACL2____CONS-WITH-HINT","Cons-with-hint","CONS-WITH-HINT",[457,130],"Alternative to <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> that tries to avoid consing when a \u000A suitable <v>cons</v> structure is provided as a hint."],
 ["ACL2____PSTACK","Pstack","PSTACK",[512],"Seeing what the prover is up to"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-6","Practice-formulating-strong-rules-6","PRACTICE-FORMULATING-STRONG-RULES-6",[17],"Rules suggested by <v>(<see topic=\"COMMON-LISP____MEMBER\">MEMBER</see> (FOO A) (NATS-BELOW (BAR B)))</v>"],
 ["ACL2____NOTE-2-2","Note-2-2","NOTE-2-2",[186],"ACL2 Version  2.2 (August, 1998) Notes"],
 ["ACL2____HONS","Hons","HONS",[124,98,130],"<v>(<see topic=\"ACL2____HONS\">hons</see> x y)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object equal to <v>(<see topic=\"COMMON-LISP____CONS\">cons</see> x\u000A  y)</v>."],
 ["ACL2____FAST-ALIST-FORK","Fast-alist-fork","FAST-ALIST-FORK",[237,130],"<v>(<see topic=\"ACL2____FAST-ALIST-FORK\">fast-alist-fork</see> alist ans)</v> can be used to eliminate \u000A\"shadowed pairs\" from an alist or to copy <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____DEFTHEORY-STATIC","Deftheory-static","DEFTHEORY-STATIC",[77,5],"Define a `static' theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2____DEFAULT-DEFUN-MODE","Default-defun-mode","DEFAULT-DEFUN-MODE",[572],"The default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> of <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>'d functions"],
 ["ACL2____SCION","Scion","SCION",[25],"A function ancestrally dependent on <v>apply$</v>"],
 ["ACL2____GUARD-QUICK-REFERENCE","Guard-quick-reference","GUARD-QUICK-REFERENCE",[82],"Brief summary of guard checking and guard verification"],
 ["ACL2____GUARD-OBLIGATION","Guard-obligation","GUARD-OBLIGATION",[445],"The guard proof obligation"],
 ["ACL2____EXAMPLE-INDUCTIONS","Example-inductions","EXAMPLE-INDUCTIONS",[17],"Some examples of induction schemes in ACL2"],
 ["ACL2____DEFCONG","Defcong","DEFCONG",[77],"Prove <see topic=\"ACL2____CONGRUENCE\">congruence</see> rule"],
 ["ACL2____DEBUGGING","Debugging","DEBUGGING",[1402,693],"Tools for debugging failed or slow proofs, or misbehaving \u000A functions."],
 ["ACL2____UNION_42","Union$","UNION$",[343,130],"A list that contains exactly the elements of the given lists"],
 ["ACL2____TUTORIAL2-EIGHTS-PROBLEM","Tutorial2-eights-problem","TUTORIAL2-EIGHTS-PROBLEM",[447],"The Eights Problem Example"],
 ["ACL2____STARTUP","Startup","STARTUP",[353],"How to start using ACL2; the ACL2 <see topic=\"ACL2____COMMAND\">command</see> loop"],
 ["ACL2____SET-VERIFY-GUARDS-EAGERNESS","Set-verify-guards-eagerness","SET-VERIFY-GUARDS-EAGERNESS",[82],"The eagerness with which <see topic=\"ACL2____GUARD\">guard</see> verification is tried."],
 ["ACL2-PC____S","ACL2-pc::s","S",[198,435],"(primitive) \u000Asimplify the current subterm"],
 ["ACL2-PC____EXIT","ACL2-pc::exit","EXIT",[198,435],"(meta) exit the interactive proof-builder"],
 ["ACL2____WITH-SERIALIZE-CHARACTER","With-serialize-character","WITH-SERIALIZE-CHARACTER",[868,130],"Control output mode for <v>print-object$</v>"],
 ["ACL2____THM","Thm","THM",[572],"Prove a theorem"],
 ["ACL2____THEORY-FUNCTIONS","Theory-functions","THEORY-FUNCTIONS",[5],"Functions for obtaining or producing <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____SYS-CALL_B2","Sys-call+","SYS-CALL+",[76,130],"Make a system call to the host OS, returning status and output"],
 ["ACL2____SET-REGISTER-INVARIANT-RISK","Set-register-invariant-risk","SET-REGISTER-INVARIANT-RISK",[124,180,82,512,400],"Avoid <see topic=\"ACL2____INVARIANT-RISK\">invariant-risk</see> checking for specified functions"],
 ["ACL2____NOTE-2-7-SYSTEM","Note-2-7-system","NOTE-2-7-SYSTEM",[159],"ACL2 Version  2.7 Notes on System-level Changes"],
 ["ACL2____GUARDS-FOR-SPECIFICATION","Guards-for-specification","GUARDS-FOR-SPECIFICATION",[82],"Guards as a specification device"],
 ["ACL2____ACL2-AS-STANDALONE-PROGRAM","ACL2-as-standalone-program","ACL2-AS-STANDALONE-PROGRAM",[353],"Calling ACL2 from another program"],
 ["ACL2____PROGRAM-WRAPPER","Program-wrapper","PROGRAM-WRAPPER",[81,124,180],"Avoiding expensive <see topic=\"ACL2____GUARD\">guard</see> checks using <see topic=\"ACL2____PROGRAM\">program</see>-mode functions"],
 ["ACL2____OUTPUT-CONTROLS","Output-controls","OUTPUT-CONTROLS",[693,16],"Methods for controlling the output produced by the ACL2 prover"],
 ["ACL2____IGNORED-ATTACHMENT","Ignored-attachment","IGNORED-ATTACHMENT",[36,128,121,31],"Why attachments are sometimes not used"],
 ["ACL2____HONS-RESIZE","Hons-resize","HONS-RESIZE",[503,130],"<v>(<see topic=\"ACL2____HONS-RESIZE\">hons-resize</see> ...)</v> can be used to manually adjust the sizes of \u000Athe hash tables that govern which ACL2 Objects are considered <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____FULL-BOOK-NAME","Full-book-name","FULL-BOOK-NAME",[940],"Book naming conventions assumed by ACL2"],
 ["ACL2____COMMAND-DESCRIPTOR","Command-descriptor","COMMAND-DESCRIPTOR",[99],"An object describing a particular <see topic=\"ACL2____COMMAND\">command</see> typed by the user"],
 ["ACL2____BRR-COMMANDS","Brr-commands","BRR-COMMANDS",[34],"<see topic=\"ACL2____BREAK-REWRITE\">Break-Rewrite</see> Commands"],
 ["COMMON-LISP____EQ","Eq","EQ",[220,103,130],"Equality of symbols"],
 ["ACL2____SHOW-BDD","Show-bdd","SHOW-BDD",[463],"Inspect failed BDD proof attempts"],
 ["ACL2____OBSERVATION","Observation","OBSERVATION",[16,130],"Print an observation"],
 ["ACL2____MAKE-TAU-INTERVAL","Make-tau-interval","MAKE-TAU-INTERVAL",[48,130],"Make a tau interval"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q2-ANSWER","Logic-knowledge-taken-for-granted-q2-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q2-ANSWER",[17],"The inductive step of the <v>rev-rev</v> proof &mdash; Answer to Question 2"],
 ["ACL2____BOOK-CONTENTS","Book-contents","BOOK-CONTENTS",[1143],"Restrictions on the forms inside <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____SET-DEFAULT-HINTS","Set-default-hints","SET-DEFAULT-HINTS",[745],"Set the default hints"],
 ["ACL2____GUARD-EVALUATION-EXAMPLES-SCRIPT","Guard-evaluation-examples-script","GUARD-EVALUATION-EXAMPLES-SCRIPT",[82],"A script to show combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____EVISC-TABLE","Evisc-table","EVISC-TABLE",[77],"Support for abbreviated output"],
 ["ACL2____ACL2_02Symbols","ACL2 Symbols","ACL2 Symbols",[109],"ACL2 Symbols"],
 ["ACL2-PC____TYPE-ALIST","ACL2-pc::type-alist","TYPE-ALIST",[198],"(macro) \u000Adisplay the <see topic=\"ACL2____TYPE-ALIST\">type-alist</see> from the current context"],
 ["ACL2____TYPE-ALIST","Type-alist","TYPE-ALIST",[56],"An ACL2 representation of contextual knowledge"],
 ["ACL2____TOP-LEVEL","Top-level","TOP-LEVEL",[572],"Evaluate a top-level form as a function body"],
 ["ACL2____SET-MATCH-FREE-DEFAULT","Set-match-free-default","SET-MATCH-FREE-DEFAULT",[64],"Provide default for <v>:match-free</v> in future rules"],
 ["ACL2____LD-PROMPT","Ld-prompt","LD-PROMPT",[15],"Determines the <see topic=\"ACL2____PROMPT\">prompt</see> printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____KEYWORD-COMMANDS","Keyword-commands","KEYWORD-COMMANDS",[15],"How keyword commands like <v>:u</v> and <v>:pbt</v> are processed"],
 ["COMMON-LISP____TRACE","Trace","TRACE",[512],"Tracing functions in ACL2"],
 ["COMMON-LISP____CONSP","Consp","CONSP",[457,130],"Recognizer for <see topic=\"COMMON-LISP____CONS\">cons</see> pairs"],
 ["ACL2_____A2STANDARD-CO_A2","*standard-co*","*STANDARD-CO*",[16,130],"The ACL2 analogue of CLTL's <v>*standard-output*</v>"],
 ["ACL2____HONS-ACONS_12","Hons-acons!","HONS-ACONS!",[237,130],"<v>(<see topic=\"ACL2____HONS-ACONS_12\">hons-acons!</see> key val alist)</v> is an alternative to <tt><see topic=\"ACL2____HONS-ACONS\">hons-acons</see></tt> that produces <see topic=\"ACL2____NORMED\">normed</see>, fast alists."],
 ["ACL2____DISASSEMBLE_42","Disassemble$","DISASSEMBLE$",[104,512],"Disassemble a function"],
 ["ACL2____CASE-MATCH","Case-match","CASE-MATCH",[635,130],"Pattern matching or destructuring"],
 ["ACL2____AREF1","Aref1","AREF1",[41,130],"Access the elements of a 1-dimensional array"],
 ["ACL2____ZP","Zp","ZP",[245,130],"Testing a ``natural'' against 0"],
 ["ACL2____VERIFY-GUARDS_B2","Verify-guards+","VERIFY-GUARDS+",[77],"Verify the <see topic=\"ACL2____GUARD\">guard</see>s of a function"],
 ["ACL2____UNSUPPORTED-PARALLELISM-FEATURES","Unsupported-parallelism-features","UNSUPPORTED-PARALLELISM-FEATURES",[125],"ACL2 features not supported in ACL2(p)"],
 ["ACL2____NIL-GOAL","Nil-goal","NIL-GOAL",[512],"How to proceed when the prover generates a goal of <v>NIL</v>"],
 ["ACL2____MAKE-SUMMARY-DATA","Make-summary-data","MAKE-SUMMARY-DATA",[55],"Return summary data from a <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see> function"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING-REPEATEDLY","Logic-knowledge-taken-for-granted-rewriting-repeatedly","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING-REPEATEDLY",[17],"Further information on expanding definitions via rewriting"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-4","Introductory-challenge-problem-4","INTRODUCTORY-CHALLENGE-PROBLEM-4",[17],"Challenge problem 4 for the new user of ACL2"],
 ["ACL2____GUARD-INTRODUCTION","Guard-introduction","GUARD-INTRODUCTION",[82],"Introduction to <see topic=\"ACL2____GUARD\">guard</see>s in ACL2"],
 ["ACL2____DEFLOCK","Deflock","DEFLOCK",[410],"Define a wrapper macro that provides mutual exclusion in ACL2(p)"],
 ["ACL2____DEFAXIOM","Defaxiom","DEFAXIOM",[77],"Add an axiom"],
 ["ACL2____COMMON-LISP","Common-lisp","COMMON-LISP",[862],"Relation to Common Lisp, including deviations from the spec"],
 ["COMMON-LISP____POSITION","Position","POSITION",[343,627,130],"Position of an item in a string or a list"],
 ["ACL2____TALKS","Talks","TALKS",[353],"Some talks about ACL2"],
 ["ACL2____REFINEMENT","Refinement","REFINEMENT",[11],"Record that one equivalence relation refines another"],
 ["ACL2____NOTE-2-8-OTHER","Note-2-8-other","NOTE-2-8-OTHER",[137],"ACL2 Version  2.8 Notes on Miscellaneous Changes"],
 ["ACL2____MISCELLANEOUS","Miscellaneous","MISCELLANEOUS",[693],"A miscellany of documented functions and concepts \u000A               (often cited in more accessible <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see>)"],
 ["ACL2____GET-INTERNAL-TIME","Get-internal-time","GET-INTERNAL-TIME",[124,130],"Runtime vs. realtime in ACL2 timings"],
 ["ACL2____BIND-FREE-EXAMPLES","Bind-free-examples","BIND-FREE-EXAMPLES",[100],"Examples pertaining to <tt><see topic=\"ACL2____BIND-FREE\">bind-free</see></tt> hypotheses"],
 ["COMMON-LISP_____C3","&lt;","<",[245,130],"Less-than"],
 ["COMMON-LISP____REMOVE-DUPLICATES","Remove-duplicates","REMOVE-DUPLICATES",[343,627,130],"Remove duplicates from a string or a list"],
 ["ACL2____PKG-IMPORTS","Pkg-imports","PKG-IMPORTS",[700],"List of symbols imported into a given package"],
 ["ACL2____GTHM","Gthm","GTHM",[99,445],"The <see topic=\"ACL2____GUARD\">guard</see> theorem for a given function symbol"],
 ["ACL2____EQUIVALENT-FORMULAS-DIFFERENT-REWRITE-RULES","Equivalent-formulas-different-rewrite-rules","EQUIVALENT-FORMULAS-DIFFERENT-REWRITE-RULES",[17],"Logically equivalent formulas can generate radically different rules"],
 ["ACL2____ADD-INCLUDE-BOOK-DIR_12","Add-include-book-dir!","ADD-INCLUDE-BOOK-DIR!",[940],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly link keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> \u000Aand <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["COMMON-LISP____OR","Or","OR",[635,130],"Disjunction"],
 ["COMMON-LISP____LIST","List","LIST",[343,130],"Build a list"],
 ["ACL2____USING-TABLES-EFFICIENTLY","Using-tables-efficiently","USING-TABLES-EFFICIENTLY",[7],"Notes on how to use tables efficiently"],
 ["ACL2____TIME-TRACKER-TAU","Time-tracker-tau","TIME-TRACKER-TAU",[48],"Messages about expensive use of the <see topic=\"ACL2____TAU-SYSTEM\">tau-system</see>"],
 ["ACL2____TERMP","Termp","TERMP",[6,130],"recognizer for the quotation of a <see topic=\"ACL2____TERM\">term</see>"],
 ["ACL2____SET-COMPILE-FNS","Set-compile-fns","SET-COMPILE-FNS",[104],"Have each function compiled as you go along."],
 ["ACL2____PARALLELISM-AT-THE-TOP-LEVEL","Parallelism-at-the-top-level","PARALLELISM-AT-THE-TOP-LEVEL",[410],"Parallel execution in the ACL2 top-level loop"],
 ["ACL2____PARALLEL-PUSHING-OF-SUBGOALS-FOR-INDUCTION","Parallel-pushing-of-subgoals-for-induction","PARALLEL-PUSHING-OF-SUBGOALS-FOR-INDUCTION",[1134],"Consequences of how parallelized proofs of subgoals are pushed for induction"],
 ["ACL2____CW-GSTACK","Cw-gstack","CW-GSTACK",[34,512],"Debug a rewriting loop or stack overflow"],
 ["ACL2____BREAK-ON-ERROR","Break-on-error","BREAK-ON-ERROR",[550,130],"Break when encountering a hard or soft error caused by ACL2"],
 ["ACL2____TYPE-SET-INVERTER","Type-set-inverter","TYPE-SET-INVERTER",[11],"Exhibit a new decoding for an ACL2 type-set"],
 ["ACL2____TRANS-EVAL","Trans-eval","TRANS-EVAL",[29],"Evaluate a form"],
 ["ACL2____DOC","Doc","DOC",[0],"<see topic=\"COMMON-LISP____DOCUMENTATION\">Documentation</see> at the terminal"],
 ["ACL2____Common_02Lisp","Common Lisp","Common Lisp",[109],"Common Lisp"],
 ["ACL2-PC____IN-THEORY","ACL2-pc::in-theory","IN-THEORY",[198,435],"(primitive) \u000Aset the current proof-builder theory"],
 ["ACL2____TRANS","Trans","TRANS",[723],"Print the macroexpansion of a form"],
 ["ACL2____RESET-PREHISTORY","Reset-prehistory","RESET-PREHISTORY",[99],"Reset the prehistory"],
 ["ACL2____READER","Reader","READER",[572],"Reading expressions in the ACL2 read-eval-print loop"],
 ["ACL2____NOTE-1-8-UPDATE","Note-1-8-update","NOTE-1-8-UPDATE",[186],"ACL2 Version 1.8 (Summer, 1995) Notes"],
 ["ACL2____NON-EXEC","Non-exec","NON-EXEC",[82,130],"Mark code as non-executable"],
 ["ACL2____HONS-WASH","Hons-wash","HONS-WASH",[503,130],"<v>(<see topic=\"ACL2____HONS-WASH\">hons-wash</see>)</v> is like <tt><see topic=\"ACL2____GC_42\">gc$</see></tt> but can also garbage collect \u000A<see topic=\"ACL2____NORMED\">normed</see> objects (CCL and GCL Only)."],
 ["ACL2____HIDDEN-DEATH-PACKAGE","Hidden-death-package","HIDDEN-DEATH-PACKAGE",[700,31],"Handling <tt><see topic=\"ACL2____DEFPKG\">defpkg</see></tt> <see topic=\"ACL2____EVENTS\">events</see> that are <tt><see topic=\"ACL2____LOCAL\">local</see></tt>"],
 ["ACL2____CURRENT-THEORY","Current-theory","CURRENT-THEORY",[5,521],"Currently <see topic=\"ACL2____ENABLE\">enable</see>d rules as of logical name"],
 ["ACL2____BREAKS","Breaks","BREAKS",[734],"Common Lisp breaks"],
 ["COMMON-LISP_____A2","*","*",[245,130],"Multiplication macro"],
 ["ACL2____STANDARD-OI","Standard-oi","STANDARD-OI",[16,130],"The standard object input ``channel''"],
 ["ACL2____REDEF_B2","Redef+","REDEF+",[15],"System hacker's redefinition <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____REBUILD","Rebuild","REBUILD",[15],"A convenient way to reconstruct your old <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____QUANTIFIERS","Quantifiers","QUANTIFIERS",[50],"Issues about quantification in ACL2"],
 ["ACL2____NOTE-3-5_82R_92","Note-3-5(r)","NOTE-3-5(R)",[186],"ACL2 Version  3.5(r) (May, 2009) Notes"],
 ["ACL2____FUNCTIONAL-INSTANTIATION-EXAMPLE","Functional-instantiation-example","FUNCTIONAL-INSTANTIATION-EXAMPLE",[1325,1309],"A small proof demonstrating functional instantiation"],
 ["ACL2____DECLARE-STOBJS","Declare-stobjs","DECLARE-STOBJS",[8,2],"Declaring a formal parameter name to be a single-threaded object"],
 ["ACL2____CHECKSUM","Checksum","CHECKSUM",[33],"Assigning ``often unique'' integers to files and objects"],
 ["ACL2____About_02Types","About Types","About Types",[109],"About Types"],
 ["ACL2____WITHOUT-EVISC","Without-evisc","WITHOUT-EVISC",[16,130],"Print output in full"],
 ["ACL2____WALKABOUT","Walkabout","WALKABOUT",[512],"Explore an ACL2 cons tree"],
 ["ACL2____TRANS-EVAL-AND-STOBJS","Trans-eval-and-stobjs","TRANS-EVAL-AND-STOBJS",[592,8],"How user-defined <see topic=\"ACL2____STOBJ\">stobj</see>s are handled by <tt><see topic=\"ACL2____TRANS-EVAL\">trans-eval</see></tt>"],
 ["ACL2____PROOF-TREE-DETAILS","Proof-tree-details","PROOF-TREE-DETAILS",[119],"Proof tree details not covered elsewhere"],
 ["ACL2____POST-INDUCTION-KEY-CHECKPOINTS","Post-induction-key-checkpoints","POST-INDUCTION-KEY-CHECKPOINTS",[17],"Reading post-induction key checkpoints"],
 ["ACL2____NOTE-2-6-SYSTEM","Note-2-6-system","NOTE-2-6-SYSTEM",[898],"ACL2 Version  2.6 Notes on System-level Changes"],
 ["ACL2____NOTE-2-3","Note-2-3","NOTE-2-3",[186],"ACL2 Version  2.3 (October, 1998) Notes"],
 ["ACL2____GOOD-BYE","Good-bye","GOOD-BYE",[635,130],"Quit entirely out of Lisp"],
 ["ACL2____ADD-MACRO-FN","Add-macro-fn","ADD-MACRO-FN",[723],"Associate a function name with a macro name"],
 ["COMMON-LISP____INTERN","Intern","INTERN",[1205,700,130],"Create a new symbol in a given package"],
 ["ACL2____WITH-LOCAL-STATE","With-local-state","WITH-LOCAL-STATE",[8,130],"Locally bind state"],
 ["ACL2____TAU-INTERVALP","Tau-intervalp","TAU-INTERVALP",[48],"Boolean recognizer for tau intervals"],
 ["ACL2____STRINGS","Strings","STRINGS",[124],"Strings are atomic objects that contain character sequences, \u000A like <v>&quot;Hello World&quot;</v>."],
 ["ACL2____STOBJ-EXAMPLE-2","Stobj-example-2","STOBJ-EXAMPLE-2",[8],"An example of the use of arrays in single-threaded objects"],
 ["ACL2____STOBJ-EXAMPLE-1-IMPLEMENTATION","Stobj-example-1-implementation","STOBJ-EXAMPLE-1-IMPLEMENTATION",[8],"The implementation of the <v>counters</v> stobj"],
 ["ACL2____SPEC-MV-LET","Spec-mv-let","SPEC-MV-LET",[410,130],"Modification of <tt><see topic=\"ACL2____MV-LET\">mv-let</see></tt> supporting speculative and parallel execution"],
 ["ACL2____PROMPT","Prompt","PROMPT",[15],"The prompt printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____OTF-FLG","Otf-flg","OTF-FLG",[85,520,3],"Allow more than one initial subgoal to be pushed for induction"],
 ["ACL2____ERROR-TRIPLES-AND-PARALLELISM","Error-triples-and-parallelism","ERROR-TRIPLES-AND-PARALLELISM",[410],"How to avoid error triples in ACL2(p)"],
 ["ACL2____CHECK-VARS-NOT-FREE","Check-vars-not-free","CHECK-VARS-NOT-FREE",[723],"Avoid variable capture in macro calls"],
 ["ACL2____BASICS","Basics","BASICS",[124],"Basic control structures for <see topic=\"ACL2____PROGRAMMING\">programming</see> like <see topic=\"COMMON-LISP____IF\">if</see> and \u000A <see topic=\"COMMON-LISP____COND\">cond</see>, binding operators like <see topic=\"COMMON-LISP____LET\">let</see> and <see topic=\"COMMON-LISP____FLET\">flet</see>, multiple-value \u000A constructs like <see topic=\"ACL2____MV\">mv</see>, and so forth."],
 ["ACL2____ALISTS","Alists","ALISTS",[124],"Operations on association lists, which bind keys to values."],
 ["ACL2____ADD-DEFAULT-HINTS","Add-default-hints","ADD-DEFAULT-HINTS",[745],"Add to the default hints"],
 ["ACL2____SET-TOTAL-PARALLELISM-WORK-LIMIT","Set-total-parallelism-work-limit","SET-TOTAL-PARALLELISM-WORK-LIMIT",[125],"For ACL2(p): set thread limit for parallelism primitives"],
 ["ACL2____SET-PARALLEL-EXECUTION","Set-parallel-execution","SET-PARALLEL-EXECUTION",[125],"For ACL2(p): enabling parallel execution for four parallelism primitives"],
 ["ACL2____SET-GUARD-MSG","Set-guard-msg","SET-GUARD-MSG",[82,512],"Specify what is printed when a <see topic=\"ACL2____GUARD\">guard</see> is violated"],
 ["ACL2____SAFE-MODE","Safe-mode","SAFE-MODE",[82,723],"A mode that avoids <see topic=\"ACL2____GUARD\">guard</see> violations on <see topic=\"ACL2____PRIMITIVE\">primitive</see>s"],
 ["ACL2____HONS-CLEAR","Hons-clear","HONS-CLEAR",[503,130],"<v>(<see topic=\"ACL2____HONS-CLEAR\">hons-clear</see> gc)</v> is a drastic garbage collection mechanism that \u000Aclears out the underlying Hons Space."],
 ["ACL2____FORMULA","Formula","FORMULA",[99,4,130],"The formula of a name or <see topic=\"ACL2____RUNE\">rune</see>"],
 ["ACL2____FLUSH-COMPRESS","Flush-compress","FLUSH-COMPRESS",[41,130],"Flush the under-the-hood array for the given name"],
 ["ACL2-PC____EQUIV","ACL2-pc::equiv","EQUIV",[198],"(primitive) \u000Aattempt an equality (or congruence-based) substitution"],
 ["ACL2-PC____COMM","ACL2-pc::comm","COMM",[198,435],"(macro) \u000Adisplay instructions from the current interactive session"],
 ["ACL2-PC____CASESPLIT","ACL2-pc::casesplit","CASESPLIT",[198],"(primitive) \u000Asplit into two cases"],
 ["ACL2-PC____ADD-ABBREVIATION","ACL2-pc::add-abbreviation","ADD-ABBREVIATION",[198],"(primitive) \u000Aadd an abbreviation"],
 ["ACL2____WITH-FAST-ALIST","With-fast-alist","WITH-FAST-ALIST",[237,130],"<v>(<see topic=\"ACL2____WITH-FAST-ALIST\">with-fast-alist</see> name form)</v> causes <v>name</v> to be a fast alist \u000Afor the execution of <v>form</v>."],
 ["ACL2____The_02Event_02Summary","The Event Summary","The Event Summary",[109],"The Event Summary"],
 ["ACL2____STANDARD-CO","Standard-co","STANDARD-CO",[16,130],"The character output channel to which <tt><see topic=\"ACL2____LD\">ld</see></tt> prints"],
 ["ACL2____SPECIAL-CASES-FOR-REWRITE-RULES","Special-cases-for-rewrite-rules","SPECIAL-CASES-FOR-REWRITE-RULES",[17],"Convenient short forms for rewrite rule formulas"],
 ["ACL2____NQTHM-TO-ACL2","Nqthm-to-ACL2","NQTHM-TO-ACL2",[353],"ACL2 analogues of Nqthm functions and commands"],
 ["ACL2____LD-PRE-EVAL-PRINT","Ld-pre-eval-print","LD-PRE-EVAL-PRINT",[15],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> prints the forms to be <v>eval</v>'d"],
 ["ACL2____GET-EVENT-DATA","Get-event-data","GET-EVENT-DATA",[29,528],"Obtain data stored after at the conclusion of an event"],
 ["ACL2____CALLING-LD-IN-BAD-CONTEXTS","Calling-ld-in-bad-contexts","CALLING-LD-IN-BAD-CONTEXTS",[15],"Errors caused by calling <tt><see topic=\"ACL2____LD\">ld</see></tt> in inappropriate contexts"],
 ["ACL2____An_02Example_02of_02ACL2_02in_02Use","An Example of ACL2 in Use","An Example of ACL2 in Use",[109],"An Example of ACL2 in Use"],
 ["ACL2-PC____DV","ACL2-pc::dv","DV",[198,435],"(atomic macro) \u000Amove to the indicated subterm"],
 ["COMMON-LISP____ASSOC","Assoc","ASSOC",[636,130],"Look up key in association list"],
 ["ACL2____SHARP-F-READER","Sharp-f-reader","SHARP-F-READER",[598,245],"Read a rational number in floating-point (scientific notation) \u000A syntax"],
 ["ACL2____POR","Por","POR",[410,130],"Parallel, Boolean version of <tt><see topic=\"COMMON-LISP____OR\">or</see></tt>"],
 ["ACL2____INVISIBLE-FNS-TABLE","Invisible-fns-table","INVISIBLE-FNS-TABLE",[87],"Functions that are invisible to the <see topic=\"ACL2____LOOP-STOPPER\">loop-stopper</see> algorithm"],
 ["ACL2____FREE-VARIABLES-TYPE-PRESCRIPTION","Free-variables-type-prescription","FREE-VARIABLES-TYPE-PRESCRIPTION",[64],"Matching for free variable in <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rules"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-WITH-ACCUMULATORS","Example-induction-scheme-with-accumulators","EXAMPLE-INDUCTION-SCHEME-WITH-ACCUMULATORS",[17],"Induction scheme with accumulators"],
 ["ACL2____DOCUMENTATION-COPYRIGHT","Documentation-copyright","DOCUMENTATION-COPYRIGHT",[859,0],"Copyright and authorship of documentation"],
 ["ACL2____DEFUND","Defund","DEFUND",[1,77],"Define a function symbol and then disable it"],
 ["ACL2____BRR-EVISC-TUPLE","Brr-evisc-tuple","BRR-EVISC-TUPLE",[74,462],"Determines partial suppression of output from <see topic=\"ACL2____BRR-COMMANDS\">brr-commands</see>"],
 ["ACL2____ACL2-USER","ACL2-user","ACL2-USER",[700],"A package the ACL2 user may prefer"],
 ["ACL2-PC____HYPS","ACL2-pc::hyps","HYPS",[198],"(macro) \u000Aprint the hypotheses"],
 ["ACL2____The_02Tours","The Tours","The Tours",[109],"The Tours"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-5","Practice-formulating-strong-rules-5","PRACTICE-FORMULATING-STRONG-RULES-5",[17],"Rules suggested by <v>(<see topic=\"COMMON-LISP____SUBSETP\">SUBSETP</see> (FOO A) (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (BAR B) (MUM C)))</v>"],
 ["ACL2____MAKE-EVENT-EXAMPLE-3","Make-event-example-3","MAKE-EVENT-EXAMPLE-3",[13],"Using <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt> to define <tt><see topic=\"ACL2____THM\">thm</see></tt>"],
 ["COMMON-LISP____-","-","-",[245,130],"Macro for subtraction and negation"],
 ["ACL2____W","W","W",[9],"The current ACL2 <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____USELESS-RUNES-FAILURES","Useless-runes-failures","USELESS-RUNES-FAILURES",[388,154],"Failures caused by <see topic=\"ACL2____USELESS-RUNES\">useless-runes</see>"],
 ["ACL2____TRUST-MFC","Trust-mfc","TRUST-MFC",[80],"A macro that supports testing of extended metafunctions)"],
 ["ACL2____SET-MATCH-FREE-ERROR","Set-match-free-error","SET-MATCH-FREE-ERROR",[64],"Control error vs. warning when <v>:match-free</v> is missing"],
 ["ACL2____PR","Pr","PR",[99],"Print the rules stored by the event with the given name"],
 ["ACL2____OK-IF","Ok-if","OK-IF",[34],"Conditional exit from <v>break-rewrite</v>"],
 ["ACL2____LEN","Len","LEN",[343,130],"Length of a list"],
 ["ACL2____ILK","Ilk","ILK",[25],"Indicator of how an argument is used"],
 ["ACL2____GIT-QUICK-START","Git-quick-start","GIT-QUICK-START",[862],"Git quick start guide"],
 ["ACL2____FILE-READING-EXAMPLE","File-reading-example","FILE-READING-EXAMPLE",[1309],"Example of reading files in ACL2"],
 ["ACL2____Corroborating_02Models","Corroborating Models","Corroborating Models",[109],"Corroborating Models"],
 ["ACL2____USING-COMPUTED-HINTS-8","Using-computed-hints-8","USING-COMPUTED-HINTS-8",[964],"Some Final Comments"],
 ["ACL2____PROFILE","Profile","PROFILE",[77],"Turn on profiling for one function"],
 ["ACL2____PARGS","Pargs","PARGS",[410,130],"Parallel evaluation of arguments in a function call"],
 ["ACL2____NOTE-4-0-WORMHOLE-CHANGES","Note-4-0-wormhole-changes","NOTE-4-0-WORMHOLE-CHANGES",[264],"How to convert calls of wormhole for Version  4.0"],
 ["ACL2____EARLY-TERMINATION","Early-termination","EARLY-TERMINATION",[410],"Early termination for <tt><see topic=\"ACL2____PAND\">pand</see></tt> and <tt><see topic=\"ACL2____POR\">por</see></tt>."],
 ["ACL2____DISABLEDP","Disabledp","DISABLEDP",[5],"Determine whether a given name or rune is disabled"],
 ["ACL2____CLAUSE-IDENTIFIER","Clause-identifier","CLAUSE-IDENTIFIER",[172],"The internal form of a <see topic=\"ACL2____GOAL-SPEC\">goal-spec</see>"],
 ["ACL2____CCL-INSTALLATION-MAC-ELABORATE","Ccl-installation-mac-elaborate","CCL-INSTALLATION-MAC-ELABORATE",[735],"Installing Clozure Common Lisp (CCL) on Mac (elaborate version)"],
 ["ACL2____ACL2","ACL2","ACL2",[1402],"ACL2 documentation (system only, not including the community books)"],
 ["COMMON-LISP____RASSOC","Rassoc","RASSOC",[636,130],"Look up value in association list"],
 ["ACL2____UNTRANSLATE","Untranslate","UNTRANSLATE",[29],"Show a user-level representation of a term"],
 ["ACL2____UNIVERSAL-THEORY","Universal-theory","UNIVERSAL-THEORY",[5,521],"All rules as of logical name"],
 ["ACL2____THEORY","Theory","THEORY",[5,521],"Retrieve named theory"],
 ["ACL2____REMOVE1-ASSOC","Remove1-assoc","REMOVE1-ASSOC",[636,130],"Remove the first pair with a given key from an association list"],
 ["ACL2____PROTECT-MEMOIZE-STATISTICS","Protect-memoize-statistics","PROTECT-MEMOIZE-STATISTICS",[30],"Ensure the integrity of memoization statistics even upon aborts"],
 ["ACL2____PACKAGES","Packages","PACKAGES",[124],"Collections of symbols that act as namespaces."],
 ["ACL2____NORMALIZE","Normalize","NORMALIZE",[3],"Storing simplified <see topic=\"ACL2____DEFINITION\">definition</see> bodies and <see topic=\"ACL2____GUARD\">guard</see>s"],
 ["ACL2____INTERN-IN-PACKAGE-OF-SYMBOL","Intern-in-package-of-symbol","INTERN-IN-PACKAGE-OF-SYMBOL",[1205,700,130],"Create a symbol with a given name"],
 ["ACL2____DIVE-INTO-MACROS-TABLE","Dive-into-macros-table","DIVE-INTO-MACROS-TABLE",[42,658],"Right-associated function information for the <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see>"],
 ["ACL2____DEFMACRO-UNTOUCHABLE","Defmacro-untouchable","DEFMACRO-UNTOUCHABLE",[723,77,124,121],"Define an ``untouchable'' macro"],
 ["ACL2____ASET2","Aset2","ASET2",[41,130],"Set the elements of a 2-dimensional array"],
 ["ACL2-PC____X","ACL2-pc::x","X",[198,435],"(atomic macro) \u000Aexpand and (maybe) simplify function call at the current subterm"],
 ["ACL2-PC____DIVE","ACL2-pc::dive","DIVE",[198],"(primitive) \u000Amove to the indicated subterm"],
 ["ACL2____USING-ENABLED-RULES","Using-enabled-rules","USING-ENABLED-RULES",[5],"Avoiding <v>:use</v> <see topic=\"ACL2____HINTS\">hints</see> for <see topic=\"ACL2____ENABLE\">enable</see>d <v>:</v><tt><see topic=\"ACL2____REWRITE\">rewrite</see></tt> rules"],
 ["ACL2____SYSTEM-ATTACHMENTS","System-attachments","SYSTEM-ATTACHMENTS",[124,36],"System-level algorithms that users can modify with attachments"],
 ["ACL2____SET-DIFFERENCE_42","Set-difference$","SET-DIFFERENCE$",[343,130],"Elements of one list that are not elements of another"],
 ["ACL2____REMOVE-ASSOC","Remove-assoc","REMOVE-ASSOC",[636,130],"Remove all pairs with a given key from an association list"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES","Practice-formulating-strong-rules","PRACTICE-FORMULATING-STRONG-RULES",[17],"A few simple checkpoints suggesting strong rules"],
 ["ACL2____OUTPUT-TO-FILE","Output-to-file","OUTPUT-TO-FILE",[16],"Redirecting output to a file"],
 ["ACL2____MV-LIST","Mv-list","MV-LIST",[126,130],"Converting <see topic=\"ACL2____MULTIPLE-VALUE\">multiple-value</see> result to a single-value list"],
 ["ACL2____HONS-COPY","Hons-copy","HONS-COPY",[503,130],"<v>(<see topic=\"ACL2____HONS-COPY\">hons-copy</see> x)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object that is equal to \u000A  X."],
 ["ACL2____COMPRESS2","Compress2","COMPRESS2",[41,130],"Remove irrelevant pairs from a 2-dimensional array"],
 ["ACL2____VERIFY","Verify","VERIFY",[42],"Enter the interactive proof-builder"],
 ["ACL2____The_02Proof_02of_02the_02Associativity_02of_02App","The Proof of the Associativity of App","The Proof of the Associativity of App",[109],"The Proof of the Associativity of App"],
 ["ACL2____TTAGS-SEEN","Ttags-seen","TTAGS-SEEN",[572],"List some declared trust tags (ttags)"],
 ["ACL2____SET-TOTAL-PARALLELISM-WORK-LIMIT-ERROR","Set-total-parallelism-work-limit-error","SET-TOTAL-PARALLELISM-WORK-LIMIT-ERROR",[125],"For ACL2(p): control the action taken when the thread limit is exceeded"],
 ["ACL2____SET-INVISIBLE-FNS-TABLE","Set-invisible-fns-table","SET-INVISIBLE-FNS-TABLE",[87],"Set the invisible functions table"],
 ["ACL2____PACKAGE-REINCARNATION-IMPORT-RESTRICTIONS","Package-reincarnation-import-restrictions","PACKAGE-REINCARNATION-IMPORT-RESTRICTIONS",[700],"Re-defining undone <tt><see topic=\"ACL2____DEFPKG\">defpkg</see></tt>s"],
 ["ACL2____MACROS","Macros","MACROS",[693],"Macros allow you to extend the syntax of ACL2."],
 ["ACL2____LD-PRE-EVAL-FILTER","Ld-pre-eval-filter","LD-PRE-EVAL-FILTER",[15],"Determines which forms <tt><see topic=\"ACL2____LD\">ld</see></tt> evaluates"],
 ["ACL2____DEFEQUIV","Defequiv","DEFEQUIV",[77],"Prove that a function is an <see topic=\"ACL2____EQUIVALENCE\">equivalence</see> relation"],
 ["ACL2____CANONICAL-PATHNAME","Canonical-pathname","CANONICAL-PATHNAME",[49,130],"The true absolute filename, with soft links resolved"],
 ["ACL2____ACL2-COUNT","ACL2-count","ACL2-COUNT",[635,130],"A commonly used measure for justifying recursion"],
 ["ACL2____SYMBOL-PACKAGE-NAME","Symbol-package-name","SYMBOL-PACKAGE-NAME",[945,700,130],"The name of the package of a symbol (a string)"],
 ["ACL2____SET-DEFAULT-BACKCHAIN-LIMIT","Set-default-backchain-limit","SET-DEFAULT-BACKCHAIN-LIMIT",[133],"Sets the default backchain-limit used when admitting a rule"],
 ["ACL2____SET-BOGUS-MUTUAL-RECURSION-OK","Set-bogus-mutual-recursion-ok","SET-BOGUS-MUTUAL-RECURSION-OK",[44],"Allow unnecessary ``mutual recursion''"],
 ["ACL2____Guards_02in_02ACL2","Guards in ACL2","Guards in ACL2",[109],"Guards"],
 ["ACL2____FAST-ALIST-CLEAN","Fast-alist-clean","FAST-ALIST-CLEAN",[237,130],"<v>(<see topic=\"ACL2____FAST-ALIST-CLEAN\">fast-alist-clean</see> alist)</v> can be used to eliminate \u000A \"shadowed pairs\" from a fast alist."],
 ["ACL2____F-PUT-GLOBAL","F-put-global","F-PUT-GLOBAL",[49,130],"Assign to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____ERRORS","Errors","ERRORS",[124],"Support for causing runtime errors, breaks, assertions, etc."],
 ["ACL2____CCL-INSTALLATION","Ccl-installation","CCL-INSTALLATION",[1230],"Installing Clozure Common Lisp (CCL)"],
 ["ACL2____WINDOWS-INSTALLATION","Windows-installation","WINDOWS-INSTALLATION",[34],"Installing ACL2 on Windows"],
 ["ACL2____SET-INHIBITED-SUMMARY-TYPES","Set-inhibited-summary-types","SET-INHIBITED-SUMMARY-TYPES",[528],"Control which parts of the <see topic=\"ACL2____SUMMARY\">summary</see> are printed"],
 ["ACL2____QUICK-AND-DIRTY-SUBSUMPTION-REPLACEMENT-STEP","Quick-and-dirty-subsumption-replacement-step","QUICK-AND-DIRTY-SUBSUMPTION-REPLACEMENT-STEP",[512],"(advanced topic) controlling a heuristic in the prover's clausifier"],
 ["ACL2____P_12","P!","P!",[15],"To pop up (at least) one level of ACL2's command loop"],
 ["ACL2____PUT-ASSOC","Put-assoc","PUT-ASSOC",[636,130],"Modify an association list by associating a value with a key"],
 ["ACL2____FMT-TO-COMMENT-WINDOW","Fmt-to-comment-window","FMT-TO-COMMENT-WINDOW",[173,16,130],"Print to the comment window"],
 ["ACL2____FANCY-STRING-READER","Fancy-string-reader","FANCY-STRING-READER",[598],"A friendly syntax for strings literals that have backslashes and \u000Aquotes."],
 ["ACL2____DEFSTUB","Defstub","DEFSTUB",[77],"Stub-out a function symbol"],
 ["ACL2____DEFINE-PC-MACRO","Define-pc-macro","DEFINE-PC-MACRO",[42],"Define a proof-builder macro command"],
 ["ACL2____DEFAULT-HINTS","Default-hints","DEFAULT-HINTS",[19],"A list of hints added to every proof attempt"],
 ["ACL2____CHARACTER-ENCODING","Character-encoding","CHARACTER-ENCODING",[16],"How bytes are parsed into characters"],
 ["ACL2____CCL-INSTALLATION-LINUX-ELABORATE","Ccl-installation-linux-elaborate","CCL-INSTALLATION-LINUX-ELABORATE",[735],"Installing Clozure Common Lisp (CCL) on Linux (elaborate version)"],
 ["COMMON-LISP_____D3","=","=",[245,220,103,130],"Test equality of two numbers"],
 ["COMMON-LISP____SUBSETP","Subsetp","SUBSETP",[343,130],"Test if every <tt><see topic=\"COMMON-LISP____MEMBER\">member</see></tt> of one list is a <tt><see topic=\"COMMON-LISP____MEMBER\">member</see></tt> of the other"],
 ["COMMON-LISP____REMOVE","Remove","REMOVE",[343,130],"Remove all occurrences"],
 ["COMMON-LISP____ATOM","Atom","ATOM",[457,130],"Recognizer for atoms"],
 ["ACL2____VERIFY-GUARDS-FORMULA","Verify-guards-formula","VERIFY-GUARDS-FORMULA",[445],"View the guard proof obligation, without proving it"],
 ["ACL2____SET-PRINT-CLAUSE-IDS","Set-print-clause-ids","SET-PRINT-CLAUSE-IDS",[528],"Cause subgoal numbers to be printed when <v>'prove</v> output is \u000A  inhibited"],
 ["ACL2____SET-CHECKPOINT-SUMMARY-LIMIT","Set-checkpoint-summary-limit","SET-CHECKPOINT-SUMMARY-LIMIT",[116],"Control printing of key checkpoints upon a proof's failure"],
 ["ACL2____SET-BACKCHAIN-LIMIT","Set-backchain-limit","SET-BACKCHAIN-LIMIT",[133],"Sets the backchain-limit used by the type-set and rewriting mechanisms"],
 ["ACL2____SAFE-MODE-CHEAT-SHEET","Safe-mode-cheat-sheet","SAFE-MODE-CHEAT-SHEET",[641],"Working around ``<see topic=\"ACL2____PROGRAM-ONLY\">program-only</see>'' issues"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-2","Practice-formulating-strong-rules-2","PRACTICE-FORMULATING-STRONG-RULES-2",[17],"Rules suggested by <v>(<see topic=\"ACL2____TRUE-LISTP\">TRUE-LISTP</see> (REV (FOO A)))</v>"],
 ["ACL2____PACKAGES-FOR-GENERATED-SYMBOLS","Packages-for-generated-symbols","PACKAGES-FOR-GENERATED-SYMBOLS",[700],"Convention for packages of generated symbols"],
 ["ACL2____NOTE-3-6-1","Note-3-6-1","NOTE-3-6-1",[186],"ACL2 Version  3.6.1 (September, 2009) Notes"],
 ["ACL2____NOTE-2-8-RULES","Note-2-8-rules","NOTE-2-8-RULES",[137],"ACL2 Version  2.8 Notes on Changes in Rules, Definitions, and Constants"],
 ["ACL2____NATP","Natp","NATP",[245,130],"A recognizer for the natural numbers"],
 ["ACL2____INTRODUCTORY-CHALLENGES","Introductory-challenges","INTRODUCTORY-CHALLENGES",[17],"Challenge problems for the new ACL2 user"],
 ["ACL2____DEFLABEL","Deflabel","DEFLABEL",[77],"Build a landmark"],
 ["ACL2____ACL2P-KEY-CHECKPOINTS","ACL2p-key-checkpoints","ACL2P-KEY-CHECKPOINTS",[1134],"Key checkpoints in ACL2(p)"],
 ["ACL2-PC____GENERALIZE","ACL2-pc::generalize","GENERALIZE",[198],"(primitive) \u000Aperform a generalization"],
 ["COMMON-LISP____SYMBOL-NAME","Symbol-name","SYMBOL-NAME",[945,130],"The name of a symbol (a string)"],
 ["ACL2____WITH-OUTPUT-LOCK","With-output-lock","WITH-OUTPUT-LOCK",[410,130],"Provides a mutual-exclusion mechanism for performing output in parallel"],
 ["ACL2____USING-COMPUTED-HINTS-5","Using-computed-hints-5","USING-COMPUTED-HINTS-5",[964],"Debugging Computed Hints"],
 ["ACL2____TRANSLAM","Translam","TRANSLAM",[25],"Print the translation of a lambda$ expression"],
 ["ACL2____SOLUTION-TO-SIMPLE-EXAMPLE","Solution-to-simple-example","SOLUTION-TO-SIMPLE-EXAMPLE",[447],"Solution to a simple example"],
 ["ACL2____SIMPLE","Simple","SIMPLE",[12,28],"<v>:</v><tt><see topic=\"ACL2____DEFINITION\">definition</see></tt> and <v>:</v><tt><see topic=\"ACL2____REWRITE\">rewrite</see></tt> rules used in \u000A  preprocessing"],
 ["ACL2____SET-PRINT-GV-DEFAULTS","Set-print-gv-defaults","SET-PRINT-GV-DEFAULTS",[148,82,512],"Set default keyword values for <tt><see topic=\"ACL2____PRINT-GV\">print-gv</see></tt>"],
 ["ACL2____SET-LET_A2-ABSTRACTIONP","Set-let*-abstractionp","SET-LET*-ABSTRACTIONP",[528],"To shorten many prettyprinted clauses"],
 ["ACL2____SERIALIZE-IN-BOOKS","Serialize-in-books","SERIALIZE-IN-BOOKS",[868],"Using serialization efficiently in books"],
 ["ACL2____REMOVE1","Remove1","REMOVE1",[343,130],"Remove first occurrences, testing using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____OPEN-OUTPUT-CHANNEL_12","Open-output-channel!","OPEN-OUTPUT-CHANNEL!",[16,130],"When trust tags are needed to open output channels"],
 ["ACL2____NOTE-2-8-PROOF-BUILDER","Note-2-8-proof-builder","NOTE-2-8-PROOF-BUILDER",[137],"ACL2 Version  2.8 Notes on proof-builder Changes"],
 ["ACL2____KEEP","Keep","KEEP",[1143],"How we know if <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt> read the correct files"],
 ["ACL2____INDUCTION-DEPTH-LIMIT","Induction-depth-limit","INDUCTION-DEPTH-LIMIT",[101],"The maximum number permitted of nested inductions"],
 ["ACL2____DELETE-INCLUDE-BOOK-DIR","Delete-include-book-dir","DELETE-INCLUDE-BOOK-DIR",[940],"Unlink keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2____DEFREFINEMENT","Defrefinement","DEFREFINEMENT",[77],"Prove that <v>equiv1</v> refines <v>equiv2</v>"],
 ["ACL2____CW-PRINT-BASE-RADIX","Cw-print-base-radix","CW-PRINT-BASE-RADIX",[16,130],"Print to the comment window in a given print-base"],
 ["ACL2-PC____LISP","ACL2-pc::lisp","LISP",[198],"(meta) \u000Aevaluate the given form in Lisp"],
 ["ACL2____UPDATE-NTH","Update-nth","UPDATE-NTH",[343,130],"Modify a list by putting the given value at the given position"],
 ["ACL2____TTREE","Ttree","TTREE",[572],"Tag-trees"],
 ["ACL2____TRANS1","Trans1","TRANS1",[723],"Print the one-step macroexpansion of a form"],
 ["ACL2____SET-SPLITTER-OUTPUT","Set-splitter-output","SET-SPLITTER-OUTPUT",[155],"Turn on or off reporting of rules that may have caused case splits"],
 ["ACL2____SERIALIZE-READ","Serialize-read","SERIALIZE-READ",[868,130],"Read a serialized ACL2 object from a file"],
 ["ACL2____RAW-LISP-ERROR","Raw-lisp-error","RAW-LISP-ERROR",[567],"Raw lisp errors"],
 ["ACL2____NUMBERS-INTRODUCTION","Numbers-introduction","NUMBERS-INTRODUCTION",[245],"Numbers in ACL2"],
 ["ACL2____NOTE-1-2","Note-1-2","NOTE-1-2",[186],"Acl2 Version 1.2 Notes"],
 ["ACL2____LD-ERROR-TRIPLES","Ld-error-triples","LD-ERROR-TRIPLES",[15],"Determines whether a form caused an error during <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____ILLEGAL","Illegal","ILLEGAL",[734,130],"Print an error message and stop execution"],
 ["ACL2____GUARD-THEOREM-EXAMPLE","Guard-theorem-example","GUARD-THEOREM-EXAMPLE",[61,82,19,1034,445],"How to use a previously-proved <see topic=\"ACL2____GUARD\">guard</see> theorem"],
 ["ACL2____GENERALIZE","Generalize","GENERALIZE",[11],"Make a rule to restrict generalizations"],
 ["ACL2____ER-PROGN","Er-progn","ER-PROGN",[734,49,130],"Perform a sequence of state-changing ``error triples''"],
 ["ACL2____CONSTRAINT-INFO","Constraint-info","CONSTRAINT-INFO",[29,69],"Obtaining the <see topic=\"ACL2____CONSTRAINT\">constraint</see> on a function symbol"],
 ["ACL2____ALPHORDER","Alphorder","ALPHORDER",[-1,130],"Total order on atoms"],
 ["COMMON-LISP____QUOTE","Quote","QUOTE",[635,130],"Create a constant"],
 ["COMMON-LISP____COMPLEX","Complex","COMPLEX",[245,130],"Create an ACL2 number"],
 ["ACL2____TERM-TABLE","Term-table","TERM-TABLE",[27],"A table used to validate meta rules"],
 ["ACL2____TAU-STATUS","Tau-status","TAU-STATUS",[48],"Query or set tau system status"],
 ["ACL2____SWAP-STOBJS","Swap-stobjs","SWAP-STOBJS",[8,130],"Swap two congruent <see topic=\"ACL2____STOBJ\">stobj</see>s"],
 ["ACL2____SET-PRINT-CASE","Set-print-case","SET-PRINT-CASE",[16,130],"Control whether symbols are printed in upper case or in lower case"],
 ["ACL2____SET-PRINT-BASE","Set-print-base","SET-PRINT-BASE",[16,130],"Control radix in which numbers are printed"],
 ["ACL2____REMOVE-DEFAULT-HINTS","Remove-default-hints","REMOVE-DEFAULT-HINTS",[745],"Remove from the default hints"],
 ["ACL2____Numbers_02in_02ACL2","Numbers in ACL2","Numbers in ACL2",[109],"Numbers in ACL2"],
 ["ACL2____NOTE-2-4","Note-2-4","NOTE-2-4",[186],"ACL2 Version  2.4 (August, 1999) Notes"],
 ["ACL2____LD-VERBOSE","Ld-verbose","LD-VERBOSE",[15],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> prints ``ACL2 Loading ...''"],
 ["ACL2____LD-EVISC-TUPLE","Ld-evisc-tuple","LD-EVISC-TUPLE",[15],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> suppresses details when printing"],
 ["ACL2____INITIALIZE-EVENT-USER","Initialize-event-user","INITIALIZE-EVENT-USER",[528],"User-supplied code to initiate <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____FREE-VARIABLES-EXAMPLES-FORWARD-CHAINING","Free-variables-examples-forward-chaining","FREE-VARIABLES-EXAMPLES-FORWARD-CHAINING",[1189],"Examples pertaining to free variables in <see topic=\"ACL2____FORWARD-CHAINING\">forward-chaining</see> rules"],
 ["ACL2____About_02the_02Admission_02of_02Recursive_02Definitions","About the Admission of Recursive Definitions","About the Admission of Recursive Definitions",[109],"About the Admission of Recursive Definitions"],
 ["COMMON-LISP____INTEGERP","Integerp","INTEGERP",[245,130],"Recognizer for whole numbers"],
 ["COMMON-LISP____DIGIT-CHAR-P","Digit-char-p","DIGIT-CHAR-P",[57,130],"The number, if any, corresponding to a given character"],
 ["ACL2____TUTORIAL4-DEFUN-SK-EXAMPLE","Tutorial4-defun-sk-example","TUTORIAL4-DEFUN-SK-EXAMPLE",[447],"Example of quantified notions"],
 ["ACL2____SETENV_42","Setenv$","SETENV$",[49,130],"Set an environment variable"],
 ["ACL2____SET-WELL-FOUNDED-RELATION","Set-well-founded-relation","SET-WELL-FOUNDED-RELATION",[1],"Set the default well-founded relation"],
 ["ACL2____SET-TRACE-EVISC-TUPLE","Set-trace-evisc-tuple","SET-TRACE-EVISC-TUPLE",[550],"Set the trace evisc tuple"],
 ["ACL2____SET-IGNORE-OK","Set-ignore-ok","SET-IGNORE-OK",[2,1],"Allow unused formals and locals without an <v>ignore</v> or \u000A  <v>ignorable</v> declaration"],
 ["ACL2____REDEFINED-NAMES","Redefined-names","REDEFINED-NAMES",[4],"To collect the names that have been redefined"],
 ["ACL2____PRIMITIVE","Primitive","PRIMITIVE",[124,130],"Primitive functions built into ACL2 without definitions"],
 ["ACL2____PLET","Plet","PLET",[410,130],"Parallel version of <tt><see topic=\"COMMON-LISP____LET\">let</see></tt>"],
 ["ACL2____PCB","Pcb","PCB",[99],"Print the <see topic=\"ACL2____COMMAND\">command</see> block described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EQUALS-FOR-EQUALS","Logic-knowledge-taken-for-granted-equals-for-equals","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EQUALS-FOR-EQUALS",[17],"Substitution of equals for equals"],
 ["ACL2____IN-ARITHMETIC-THEORY","In-arithmetic-theory","IN-ARITHMETIC-THEORY",[77],"Designate theory for some rewriting done for non-linear arithmetic"],
 ["ACL2____IMMEDIATE-FORCE-MODEP","Immediate-force-modep","IMMEDIATE-FORCE-MODEP",[20],"When the <see topic=\"ACL2____EXECUTABLE-COUNTERPART\">executable-counterpart</see> is <see topic=\"ACL2____ENABLE\">enable</see>d, \u000A <see topic=\"ACL2____FORCE\">force</see>d hypotheses are attacked immediately"],
 ["ACL2____FMX-CW","Fmx-cw","FMX-CW",[16,130],"<v>(<see topic=\"ACL2____FMX-CW\">fmx-cw</see> str &amp;rest args) =&gt; state</v>"],
 ["ACL2____FAST-ALIST-FREE","Fast-alist-free","FAST-ALIST-FREE",[237,130],"<v>(<see topic=\"ACL2____FAST-ALIST-FREE\">fast-alist-free</see> alist)</v> throws away the hash table associated \u000Awith a fast alist."],
 ["ACL2____ERROR1","Error1","ERROR1",[734,130],"Print an error message and cause a ``soft error''"],
 ["ACL2____CTX","Ctx","CTX",[734],"Context object for error messages"],
 ["ACL2____CCL-INSTALLATION-MAC-BRIEF","Ccl-installation-mac-brief","CCL-INSTALLATION-MAC-BRIEF",[735],"Installing Clozure Common Lisp (CCL) on Mac (brief version)"],
 ["ACL2____BROKEN-LINK-TABLE","Broken-link-table","BROKEN-LINK-TABLE",[1142],"Map <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see> topics to the community books that define \u000A them"],
 ["ACL2____BINARY-_B2","Binary-+","BINARY-+",[397,130],"Addition function"],
 ["ACL2____ABORT-SOFT","Abort-soft","ABORT-SOFT",[572],"Control how interrupts are handled in proofs"],
 ["COMMON-LISP____LENGTH","Length","LENGTH",[343,627,130],"Length of a string or proper list"],
 ["ACL2____ZIP","Zip","ZIP",[245,130],"Testing an ``integer'' against 0"],
 ["ACL2____WITH-LIVE-STATE","With-live-state","WITH-LIVE-STATE",[49,130],"Allow a reference to <v>state</v> in raw Lisp"],
 ["ACL2____TRUE-LIST-FIX","True-list-fix","TRUE-LIST-FIX",[423],"Coerce to a true list"],
 ["ACL2____REWRITE-STACK-LIMIT","Rewrite-stack-limit","REWRITE-STACK-LIMIT",[12],"Limiting the stack depth of the ACL2 rewriter"],
 ["ACL2____Q","Q","Q",[117],"Quit ACL2 (type <v>:q</v>) &mdash; reenter with <v>(<see topic=\"ACL2____LP\">lp</see>)</v>"],
 ["ACL2____PRINC_42","Princ$","PRINC$",[16,130],"Print an atom"],
 ["ACL2____GAG-MODE","Gag-mode","GAG-MODE",[528],"Verbosity of proof output"],
 ["ACL2____DEFATTACH-SYSTEM","Defattach-system","DEFATTACH-SYSTEM",[36],"Attach to built-in, system-level, constrained functions"],
 ["ACL2____CCL-INSTALLATION-LINUX-BRIEF","Ccl-installation-linux-brief","CCL-INSTALLATION-LINUX-BRIEF",[735],"Installing Clozure Common Lisp (CCL) on Linux (brief version)"],
 ["ACL2____ADD-TO-SET","Add-to-set","ADD-TO-SET",[343,945,130],"Add a symbol to a list"],
 ["COMMON-LISP____FLOOR","Floor","FLOOR",[245,130],"Division returning an integer by truncating toward negative infinity"],
 ["COMMON-LISP____CONCATENATE","Concatenate","CONCATENATE",[343,627,130],"Concatenate lists or strings together"],
 ["COMMON-LISP____COERCE","Coerce","COERCE",[627,57,130],"Coerce a character list to a string and a string to a list"],
 ["ACL2____WITH-GUARD-CHECKING-EVENT","With-guard-checking-event","WITH-GUARD-CHECKING-EVENT",[82,130],"Suppress or enable guard-checking for an event form"],
 ["ACL2____TERM-LISTP","Term-listp","TERM-LISTP",[130],"recognizer for a list of quotations of terms and of clauses"],
 ["ACL2____SET-IN-THEORY-REDUNDANT-OKP","Set-in-theory-redundant-okp","SET-IN-THEORY-REDUNDANT-OKP",[68],"Allow <tt><see topic=\"ACL2____IN-THEORY\">in-theory</see></tt> events to be redundant"],
 ["ACL2____RANDOM_42","Random$","RANDOM$",[9,245,130],"Obtain a random value"],
 ["ACL2____PRINT-OBJECT_42_B2","Print-object$+","PRINT-OBJECT$+",[16,130],"Print an an object to an open output channel in a specified manner"],
 ["ACL2____Free_02Variables_02in_02Top-Level_02Input","Free Variables in Top-Level Input","Free Variables in Top-Level Input",[109],"Free Variables in Top-Level Input"],
 ["ACL2____EV_42","Ev$","EV$",[25],"Evaluate a tame expression using <v>apply$</v>"],
 ["ACL2____EMACS","Emacs","EMACS",[353],"Emacs support for ACL2"],
 ["ACL2____DISABLE-UBT","Disable-ubt","DISABLE-UBT",[99],"Make it illegal to undo back through the current <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____COPYRIGHT","Copyright","COPYRIGHT",[862],"ACL2 copyright, license, sponsorship"],
 ["ACL2____COMMUNITY-BOOK","Community-book","COMMUNITY-BOOK",[321],"See <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>."],
 ["ACL2____ACL2-SEDAN","ACL2-sedan","ACL2-SEDAN",[353],"ACL2 Sedan interface"],
 ["ACL2____ABOUT-ACL2","About-ACL2","ABOUT-ACL2",[693],"General information About ACL2"],
 ["ACL2-PC____SHOW-REWRITES","ACL2-pc::show-rewrites","SHOW-REWRITES",[198,435],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____REWRITE\">rewrite</see> rules"],
 ["COMMON-LISP____COND","Cond","COND",[635,130],"Conditional based on if-then-else"],
 ["ACL2____SHARP-U-READER","Sharp-u-reader","SHARP-U-READER",[598,245],"Allow underscore characters in numbers"],
 ["ACL2____SET-PRINT-RADIX","Set-print-radix","SET-PRINT-RADIX",[16,130],"Control printing of the radix for numbers"],
 ["ACL2____SET-DEFERRED-TTAG-NOTES","Set-deferred-ttag-notes","SET-DEFERRED-TTAG-NOTES",[23],"Modify the verbosity of <v>TTAG NOTE</v> printing"],
 ["ACL2____SERIALIZE","Serialize","SERIALIZE",[16],"Routines for saving ACL2 objects to files, and later restoring them"],
 ["ACL2____REVERT-WORLD","Revert-world","REVERT-WORLD",[124],"Evaluate without (ultimately) changing the <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____RETURN-LAST-TABLE","Return-last-table","RETURN-LAST-TABLE",[78],"Install special raw Lisp behavior"],
 ["ACL2____INTERSECTP","Intersectp","INTERSECTP",[343,130],"Test whether two lists intersect"],
 ["ACL2____DEFUN-SK-EXAMPLE","Defun-sk-example","DEFUN-SK-EXAMPLE",[50],"A simple example using <tt><see topic=\"ACL2____DEFUN-SK\">defun-sk</see></tt>"],
 ["ACL2____Common_02Lisp_02as_02a_02Modeling_02Language","Common Lisp as a Modeling Language","Common Lisp as a Modeling Language",[109],"Common Lisp as a Modeling Language"],
 ["ACL2____BOOLE_42","Boole$","BOOLE$",[245,130],"Perform a bit-wise logical operation on 2 two's complement integers"],
 ["ACL2-PC____PUT","ACL2-pc::put","PUT",[198],"(macro) \u000Asubstitute for a ``free variable''"],
 ["ACL2-PC____CLAIM","ACL2-pc::claim","CLAIM",[198,435],"(atomic macro) \u000Aadd a new hypothesis"],
 ["COMMON-LISP____STRING","String","STRING",[627,130],"<see topic=\"COMMON-LISP____COERCE\">coerce</see> to a string"],
 ["ACL2____UBU","Ubu","UBU",[99,429],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back up to (not including) a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____TERM-LIST-LISTP","Term-list-listp","TERM-LIST-LISTP",[130],"recognizer for a list of clauses"],
 ["ACL2____SHARP-DOT-READER","Sharp-dot-reader","SHARP-DOT-READER",[598,128],"Read-time evaluation of constants"],
 ["ACL2____RETRACT-WORLD","Retract-world","RETRACT-WORLD",[4],"Install an initial segment (retraction) of a given ACL2 <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____NO-DUPLICATESP","No-duplicatesp","NO-DUPLICATESP",[343,130],"Check for duplicates in a list"],
 ["ACL2____HONS-ENABLED","Hons-enabled","HONS-ENABLED",[98],"Hash cons, function memoization, and applicative hash tables"],
 ["ACL2____HEADER","Header","HEADER",[41,130],"Return the header of a 1- or 2-dimensional array"],
 ["ACL2____FIND-RULES-OF-RUNE","Find-rules-of-rune","FIND-RULES-OF-RUNE",[10],"Find the rules named rune"],
 ["ACL2____DEFABSSTOBJ-MISSING-EVENTS","Defabsstobj-missing-events","DEFABSSTOBJ-MISSING-EVENTS",[77],"Obtain the <see topic=\"ACL2____EVENTS\">events</see> needed to admit a <tt><see topic=\"ACL2____DEFABSSTOBJ\">defabsstobj</see></tt> event"],
 ["ACL2____COROLLARY","Corollary","COROLLARY",[11],"The corollary formula of a <see topic=\"ACL2____RUNE\">rune</see>"],
 ["ACL2____A_12","A!","A!",[15],"To return to the top-level of ACL2's command loop"],
 ["ACL2____ACL2_02as_02an_02Interactive_02Theorem_02Prover_02_82cont_92","ACL2 as an Interactive Theorem Prover (cont)","ACL2 as an Interactive Theorem Prover (cont)",[109],"ACL2 as an Interactive Theorem Prover (cont)"],
 ["COMMON-LISP____ENDP","Endp","ENDP",[343,130],"Recognizer for empty lists"],
 ["ACL2____WITH-GUARD-CHECKING-ERROR-TRIPLE","With-guard-checking-error-triple","WITH-GUARD-CHECKING-ERROR-TRIPLE",[82,130],"Suppress or enable guard-checking for a form"],
 ["ACL2____TAKE","Take","TAKE",[343,130],"Initial segment (first n elements) of a list"],
 ["ACL2____SET-RAW-WARNING-FORMAT","Set-raw-warning-format","SET-RAW-WARNING-FORMAT",[528],"Print some warnings in a ``raw'', s-expression format"],
 ["ACL2____SET-DUPLICATE-KEYS-ACTION","Set-duplicate-keys-action","SET-DUPLICATE-KEYS-ACTION",[444,723,124,180],"Control action for macro calls with duplicate keyword arguments"],
 ["ACL2____REWRITE-EQUIV","Rewrite-equiv","REWRITE-EQUIV",[12],"Force ACL2 to perform substitution using a stylized <see topic=\"ACL2____EQUIVALENCE\">equivalence</see> hypothesis"],
 ["ACL2____PSOF","Psof","PSOF",[528],"Show the most recently saved output"],
 ["ACL2____NTH-ALIASES-TABLE","Nth-aliases-table","NTH-ALIASES-TABLE",[8,419,784],"A <see topic=\"ACL2____TABLE\">table</see> used to associate names for nth/update-nth printing"],
 ["ACL2____NOTE-2-6","Note-2-6","NOTE-2-6",[186],"ACL2 Version  2.6 (November, 2001) Notes"],
 ["ACL2____MACRO-COMMAND","Macro-command","MACRO-COMMAND",[42],"Compound command for the interactive proof-builder"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EVALUATION","Logic-knowledge-taken-for-granted-evaluation","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EVALUATION",[17],"Evaluation during proofs"],
 ["ACL2____ILLEGAL-STATE","Illegal-state","ILLEGAL-STATE",[65],"Illegal ACL2 state"],
 ["ACL2____DELETE-INCLUDE-BOOK-DIR_12","Delete-include-book-dir!","DELETE-INCLUDE-BOOK-DIR!",[940],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly unlink keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["COMMON-LISP____TRUNCATE","Truncate","TRUNCATE",[245,130],"Division returning an integer by truncating toward 0"],
 ["COMMON-LISP____STANDARD-CHAR-P","Standard-char-p","STANDARD-CHAR-P",[57,130],"Recognizer for standard characters"],
 ["ACL2____SET-BODY","Set-body","SET-BODY",[28,77],"Set the definition body"],
 ["ACL2____READ-ACL2-ORACLE","Read-ACL2-oracle","READ-ACL2-ORACLE",[49,130],"Pop the oracle field of the state"],
 ["ACL2____PL2","Pl2","PL2",[99],"Print rule(s) for the given form"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-NAT-RECURSION","Example-induction-scheme-nat-recursion","EXAMPLE-INDUCTION-SCHEME-NAT-RECURSION",[17],"Induction on natural numbers"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-DOWN-BY-2","Example-induction-scheme-down-by-2","EXAMPLE-INDUCTION-SCHEME-DOWN-BY-2",[17],"Induction downwards 2 steps at a time"],
 ["ACL2____COMPILING-ACL2P","Compiling-ACL2p","COMPILING-ACL2P",[125],"Compiling ACL2(p)"],
 ["ACL2____A_02Flying_02Tour_02of_02ACL2","A Flying Tour of ACL2","A Flying Tour of ACL2",[109],"A Flying Tour of ACL2"],
 ["ACL2____AREF2","Aref2","AREF2",[41,130],"Access the elements of a 2-dimensional array"],
 ["ACL2-PC____SPLIT","ACL2-pc::split","SPLIT",[198,435],"(atomic macro) \u000Asplit the current goal into cases"],
 ["COMMON-LISP____SUBSEQ","Subseq","SUBSEQ",[343,627,130],"Subsequence of a string or list"],
 ["ACL2____WATERFALL-PARALLELISM-FOR-BOOK-CERTIFICATION","Waterfall-parallelism-for-book-certification","WATERFALL-PARALLELISM-FOR-BOOK-CERTIFICATION",[125],"For ACL2(p): using waterfall parallelism during book certification"],
 ["ACL2____TAU-DATA","Tau-data","TAU-DATA",[48],"To see what tau knows about a function symbol"],
 ["ACL2____SET-MEASURE-FUNCTION","Set-measure-function","SET-MEASURE-FUNCTION",[1],"Set the default measure function symbol"],
 ["ACL2____NOTE-2-0","Note-2-0","NOTE-2-0",[186],"ACL2 Version 2.0 (July, 1997) Notes"],
 ["ACL2____MUST-BE-EQUAL","Must-be-equal","MUST-BE-EQUAL",[51,130],"Attach code for execution"],
 ["ACL2____MEASURE","Measure","MEASURE",[3],"Declare a measure for a <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>"],
 ["ACL2____MAKE-ORD","Make-ord","MAKE-ORD",[96,130],"A constructor for ordinals."],
 ["ACL2____MAKE-FAST-ALIST","Make-fast-alist","MAKE-FAST-ALIST",[237,130],"<v>(<see topic=\"ACL2____MAKE-FAST-ALIST\">make-fast-alist</see> alist)</v> creates a fast-alist from the input \u000Aalist, returning <v>alist</v> itself or, in some cases, a new object equal to \u000Ait."],
 ["ACL2____GETENV_42","Getenv$","GETENV$",[49,130],"Read an environment variable"],
 ["ACL2____FN-EQUAL","Fn-equal","FN-EQUAL",[25,63],"Equivalence relation on tame functions"],
 ["ACL2____ENTER-BOOT-STRAP-MODE","Enter-boot-strap-mode","ENTER-BOOT-STRAP-MODE",[99],"The first millisecond of the Big Bang"],
 ["ACL2____DEFAULT-PRINT-PROMPT","Default-print-prompt","DEFAULT-PRINT-PROMPT",[15],"The default <see topic=\"ACL2____PROMPT\">prompt</see> printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____Analyzing_02Common_02Lisp_02Models","Analyzing Common Lisp Models","Analyzing Common Lisp Models",[109],"Analyzing Common Lisp Models"],
 ["ACL2____A_02Walking_02Tour_02of_02ACL2","A Walking Tour of ACL2","A Walking Tour of ACL2",[109],"A Walking Tour of ACL2"],
 ["ACL2____ADD-OVERRIDE-HINTS","Add-override-hints","ADD-OVERRIDE-HINTS",[72],"Add to the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2-PC____GENEQV","ACL2-pc::geneqv","GENEQV",[198],"(macro) \u000Ashow the generated equivalence relation maintained at the current subterm"],
 ["COMMON-LISP_____F2","/","/",[245,130],"Macro for division and reciprocal"],
 ["ACL2____UNMEMOIZE","Unmemoize","UNMEMOIZE",[30,124,98,77],"Turn off memoization for the specified function"],
 ["ACL2____TRANS-EVAL-AND-LOCALLY-BOUND-STOBJS","Trans-eval-and-locally-bound-stobjs","TRANS-EVAL-AND-LOCALLY-BOUND-STOBJS",[592,8],"<tt><see topic=\"ACL2____TRANS-EVAL\">Trans-eval</see></tt> deals in global <see topic=\"ACL2____STOBJ\">stobj</see>s."],
 ["ACL2____TOGGLE-INHIBIT-WARNING","Toggle-inhibit-warning","TOGGLE-INHIBIT-WARNING",[528],"Add or delete a warning string from the <v>inhibit-warnings-table</v>"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INSTANCE","Logic-knowledge-taken-for-granted-instance","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INSTANCE",[17],"A brief explanation of substitution instances"],
 ["ACL2____FAST-ALIST-FREE-ON-EXIT","Fast-alist-free-on-exit","FAST-ALIST-FREE-ON-EXIT",[237,130],"Free a fast alist after the completion of some form."],
 ["ACL2____EXTEND-WORLD","Extend-world","EXTEND-WORLD",[4],"Install an extension of a given ACL2 <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____DISABLE-FORCING","Disable-forcing","DISABLE-FORCING",[20],"To disallow forced case-splits"],
 ["ACL2____CPU-CORE-COUNT","Cpu-core-count","CPU-CORE-COUNT",[125,130],"The number of cpu cores"],
 ["ACL2____BOOKS-REFERENCE","Books-reference","BOOKS-REFERENCE",[43],"Reference guide for ACL2 functionality related to books, e.g., \u000A<see topic=\"ACL2____INCLUDE-BOOK\">include-book</see>, <see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see>, <see topic=\"ACL2____CBD\">cbd</see>, etc."],
 ["ACL2____ASSERT_42","Assert$","ASSERT$",[734,130],"Cause a hard error if the given test is false"],
 ["COMMON-LISP_____C3_D3","&lt;=","<=",[245,130],"Less-than-or-equal test"],
 ["COMMON-LISP____IN-PACKAGE","In-package","IN-PACKAGE",[700,130],"Select current package"],
 ["ACL2____SYS-CALL-STATUS","Sys-call-status","SYS-CALL-STATUS",[76,130],"Exit status from the preceding system call"],
 ["ACL2____SYMBOLS","Symbols","SYMBOLS",[124],"Symbols in ACL2 and operations on them"],
 ["ACL2____STARTUP-BANNER","Startup-banner","STARTUP-BANNER",[1162],"Modifying the ACL2 startup banner"],
 ["ACL2____STANDARDP","Standardp","STANDARDP",[354],"ACL2(r) recognizer for standard objects"],
 ["ACL2____SET-CBD","Set-cbd","SET-CBD",[940],"To set the connected book directory"],
 ["ACL2____RESET-KILL-RING","Reset-kill-ring","RESET-KILL-RING",[99],"Save memory by resetting and perhaps resizing the kill ring used by <tt><see topic=\"ACL2____OOPS\">oops</see></tt>"],
 ["ACL2____MOD-EXPT","Mod-expt","MOD-EXPT",[245,130],"Exponential function"],
 ["ACL2____HONS-EQUAL","Hons-equal","HONS-EQUAL",[503,220,130],"<v>(<see topic=\"ACL2____HONS-EQUAL\">hons-equal</see> x y)</v> is a recursive equality check that optimizes \u000Awhen parts of its arguments are <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____GC_42","Gc$","GC$",[572,130],"Invoke the garbage collector"],
 ["ACL2____GC-VERBOSE","Gc-verbose","GC-VERBOSE",[952],"Control printing from the garbage collector"],
 ["ACL2____EQLABLEP","Eqlablep","EQLABLEP",[220,130],"The <see topic=\"ACL2____GUARD\">guard</see> for the function <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____DEFUN-NOTINLINE","Defun-notinline","DEFUN-NOTINLINE",[1,77],"Define a not-to-be-inlined function symbol and associated macro"],
 ["ACL2____CERTIFY-BOOK-DEBUG","Certify-book-debug","CERTIFY-BOOK-DEBUG",[24,940],"Some possible ways to work around <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt> failures"],
 ["ACL2____ADD-MACRO-ALIAS","Add-macro-alias","ADD-MACRO-ALIAS",[723],"Associate a function name with a macro name"],
 ["ACL2____ACTIVE-RUNEP","Active-runep","ACTIVE-RUNEP",[5],"Check that a <see topic=\"ACL2____RUNE\">rune</see> exists and is <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["COMMON-LISP____NTHCDR","Nthcdr","NTHCDR",[343,130],"Final segment of a list"],
 ["COMMON-LISP____LOGAND","Logand","LOGAND",[245,130],"Bitwise logical `and' of zero or more integers"],
 ["COMMON-LISP____EXPT","Expt","EXPT",[245,130],"Exponential function"],
 ["COMMON-LISP____CODE-CHAR","Code-char","CODE-CHAR",[57,245,130],"The character corresponding to a given numeric code"],
 ["ACL2____VERBOSE-PSTACK","Verbose-pstack","VERBOSE-PSTACK",[500],"Seeing what the prover is up to (for system hackers)"],
 ["ACL2____USING-COMPUTED-HINTS","Using-computed-hints","USING-COMPUTED-HINTS",[91,19],"How to use computed hints"],
 ["ACL2____The_02Theorem_02that_02App_02is_02Associative","The Theorem that App is Associative","The Theorem that App is Associative",[109],"The Theorem that App is Associative"],
 ["ACL2____The_02End_02of_02the_02Walking_02Tour","The End of the Walking Tour","The End of the Walking Tour",[109],"The End of the Walking Tour"],
 ["ACL2____TOGGLE-INHIBIT-ER-SOFT","Toggle-inhibit-er-soft","TOGGLE-INHIBIT-ER-SOFT",[528,734],"Add or delete an error output string from the <v>inhibit-er-soft-table</v>"],
 ["ACL2____SET-WATERFALL-PARALLELISM-HACKS-ENABLED","Set-waterfall-parallelism-hacks-enabled","SET-WATERFALL-PARALLELISM-HACKS-ENABLED",[125],"For ACL2(p): enable waterfall-parallelism hacks"],
 ["ACL2____RESET-LD-SPECIALS","Reset-ld-specials","RESET-LD-SPECIALS",[15],"Restores initial settings of the <tt><see topic=\"ACL2____LD\">ld</see></tt> specials"],
 ["ACL2____READ-RUN-TIME","Read-run-time","READ-RUN-TIME",[49,130],"Read elapsed runtime"],
 ["ACL2____Proving_02Theorems_02about_02Models","Proving Theorems about Models","Proving Theorems about Models",[109],"Proving Theorems about Models"],
 ["ACL2____PARALLELISM-PERFORMANCE","Parallelism-performance","PARALLELISM-PERFORMANCE",[410],"Performance issues for parallel execution"],
 ["ACL2____NOTE-2-8-SYSTEM","Note-2-8-system","NOTE-2-8-SYSTEM",[137],"ACL2 Version  2.8 Notes on System-level Changes"],
 ["ACL2____MV_F3-LET","Mv?-let","MV?-LET",[126,130],"Calling possibly multi-valued ACL2 functions"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-3-ANSWER","Introductory-challenge-problem-3-answer","INTRODUCTORY-CHALLENGE-PROBLEM-3-ANSWER",[17],"Answer to challenge problem 3 for the new user of ACL2"],
 ["ACL2____Functions_02for_02Manipulating_02these_02Objects","Functions for Manipulating these Objects","Functions for Manipulating these Objects",[109],"Functions for Manipulating these Objects"],
 ["ACL2____FUNCTIONAL-INSTANTIATION-IN-ACL2R","Functional-instantiation-in-ACL2r","FUNCTIONAL-INSTANTIATION-IN-ACL2R",[1325],"Additional requirements for <v>:functional-instance</v> hints in \u000A  ACL2(r)"],
 ["ACL2____F-GET-GLOBAL","F-get-global","F-GET-GLOBAL",[49,130],"Get the value of a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____EXECUTABLE-COUNTERPART-THEORY","Executable-counterpart-theory","EXECUTABLE-COUNTERPART-THEORY",[5,521],"<see topic=\"ACL2____EXECUTABLE-COUNTERPART\">Executable-counterpart</see> rules as of logical name"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-ON-LISTS","Example-induction-scheme-on-lists","EXAMPLE-INDUCTION-SCHEME-ON-LISTS",[17],"Induction on lists"],
 ["ACL2____DEFTHMD","Defthmd","DEFTHMD",[85,77],"Prove and name a theorem and then disable it"],
 ["ACL2____BACKQUOTE","Backquote","BACKQUOTE",[598],"Variant of quotation introducing templates for data structures"],
 ["ACL2____About_02the_02ACL2_02Home_02Page","About the ACL2 Home Page","About the ACL2 Home Page",[109],"About the ACL2 Home Page"],
 ["ACL2____APPLY_42-GUARD","Apply$-guard","APPLY$-GUARD",[25],"The guard on <v>apply$</v>"],
 ["ACL2____ALISTP","Alistp","ALISTP",[636,130],"Recognizer for association lists"],
 ["ACL2____ADD-INVISIBLE-FNS","Add-invisible-fns","ADD-INVISIBLE-FNS",[87],"Make some unary functions invisible to the <see topic=\"ACL2____LOOP-STOPPER\">loop-stopper</see> \u000A algorithm"],
 ["ACL2____ACL2_02Conses_02or_02Ordered_02Pairs","ACL2 Conses or Ordered Pairs","ACL2 Conses or Ordered Pairs",[109],"ACL2 Conses or Ordered Pairs"],
 ["COMMON-LISP____ROUND","Round","ROUND",[245,130],"Division returning an integer by rounding off"],
 ["COMMON-LISP____CEILING","Ceiling","CEILING",[245,130],"Division returning an integer by truncating toward positive infinity"],
 ["ACL2____WITH-STOLEN-ALIST","With-stolen-alist","WITH-STOLEN-ALIST",[237,130],"<v>(<see topic=\"ACL2____WITH-STOLEN-ALIST\">with-stolen-alist</see> name form)</v> ensures that <v>name</v> is a fast \u000Aalist at the start of the execution of <v>form</v>.  At the end of execution, it \u000Aensures that <v>name</v> is a fast alist if and only if it was originally.  That \u000Ais, if <v>name</v> was not a fast alist originally, its hash table link is freed, \u000Aand if it was a fast alist originally but its table was modified during the \u000Aexecution of <v>form</v>, that table is restored.  Note that any extended table \u000Acreated from the original fast alist during <v>form</v> must be manually freed."],
 ["ACL2____UBT_12","Ubt!","UBT!",[99,429],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, without a query or an error"],
 ["ACL2____The_02Associativity_02of_02App","The Associativity of App","The Associativity of App",[109],"The Associativity of App"],
 ["ACL2____SET-RAW-PROOF-FORMAT","Set-raw-proof-format","SET-RAW-PROOF-FORMAT",[528],"Print runes as lists in proof output from simplification"],
 ["ACL2____SET-IRRELEVANT-FORMALS-OK","Set-irrelevant-formals-ok","SET-IRRELEVANT-FORMALS-OK",[2,1],"Allow irrelevant formals in definitions"],
 ["ACL2____SET-FMT-HARD-RIGHT-MARGIN","Set-fmt-hard-right-margin","SET-FMT-HARD-RIGHT-MARGIN",[16,130],"Set the right margin for formatted output"],
 ["ACL2____PRINT-OBJECT_42","Print-object$","PRINT-OBJECT$",[16,130],"Print an an object to an open object output channel"],
 ["ACL2____PBT","Pbt","PBT",[99],"Print the <see topic=\"ACL2____COMMAND\">command</see>s back through a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____Models_02of_02Computer_02Hardware_02and_02Software","Models of Computer Hardware and Software","Models of Computer Hardware and Software",[109],"Models of Computer Hardware and Software"],
 ["ACL2____How_02To_02Find_02Out_02about_02ACL2_02Functions_02_82cont_92","How To Find Out about ACL2 Functions (cont)","How To Find Out about ACL2 Functions (cont)",[109],"How To Find Out about ACL2 Functions (cont)"],
 ["ACL2____FUNCTION-THEORY","Function-theory","FUNCTION-THEORY",[5,521],"Function symbol rules as of logical name"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-UPWARDS","Example-induction-scheme-upwards","EXAMPLE-INDUCTION-SCHEME-UPWARDS",[17],"Induction upwards"],
 ["ACL2____DEFUNS","Defuns","DEFUNS",[44],"An alternative to <tt><see topic=\"ACL2____MUTUAL-RECURSION\">mutual-recursion</see></tt>"],
 ["ACL2____A_02Sketch_02of_02How_02the_02Rewriter_02Works","A Sketch of How the Rewriter Works","A Sketch of How the Rewriter Works",[109],"A Sketch of How the Rewriter Works"],
 ["ACL2____ACL2_02System_02Architecture","ACL2 System Architecture","ACL2 System Architecture",[109],"ACL2 System Architecture"],
 ["ACL2-PC____HELP","ACL2-pc::help","HELP",[198],"(macro) \u000Aproof-builder help facility"],
 ["COMMON-LISP____BUTLAST","Butlast","BUTLAST",[343,130],"All but a final segment of a list"],
 ["ACL2____VERIFY-GUARD-IMPLICATION","Verify-guard-implication","VERIFY-GUARD-IMPLICATION",[30,445],"<see topic=\"ACL2____GUARD\">Guard</see> implication for <tt><see topic=\"ACL2____MEMOIZE\">memoize</see></tt> keyword <v>:invoke</v>"],
 ["ACL2____UNMONITOR","Unmonitor","UNMONITOR",[34],"To stop monitoring a rule name"],
 ["ACL2____UNARY--","Unary--","UNARY--",[245,130],"Arithmetic negation function"],
 ["ACL2____PPROGN","Pprogn","PPROGN",[49,130],"Evaluate a sequence of forms that return <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____PKG-WITNESS","Pkg-witness","PKG-WITNESS",[700,130],"Return a specific symbol in the indicated package"],
 ["ACL2____IFF","Iff","IFF",[635,130],"Logical ``if and only if''"],
 ["ACL2____HONS-EQUAL-LITE","Hons-equal-lite","HONS-EQUAL-LITE",[503,951],"<v>(<see topic=\"ACL2____HONS-EQUAL-LITE\">hons-equal-lite</see> x y)</v> is a non-recursive equality check that \u000Aoptimizes if its arguments are <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-WITH-MULTIPLE-INDUCTION-STEPS","Example-induction-scheme-with-multiple-induction-steps","EXAMPLE-INDUCTION-SCHEME-WITH-MULTIPLE-INDUCTION-STEPS",[17],"Induction scheme with more than one induction step"],
 ["ACL2-PC____SAVE","ACL2-pc::save","SAVE",[198,435],"(macro) \u000Asave the proof-builder state (state-stack)"],
 ["ACL2-PC____PROVE","ACL2-pc::prove","PROVE",[198,435],"(primitive) \u000Acall the ACL2 theorem prover to prove the current goal"],
 ["COMMON-LISP____SUBSTITUTE","Substitute","SUBSTITUTE",[343,627,130],"Substitute into a string or a list, using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt> as test"],
 ["COMMON-LISP____RATIONALP","Rationalp","RATIONALP",[245,130],"Recognizer for rational numbers (ratios and integers)"],
 ["COMMON-LISP____KEYWORDP","Keywordp","KEYWORDP",[945,130],"Recognizer for keywords"],
 ["COMMON-LISP____COUNT","Count","COUNT",[343,627,130],"Count the number of occurrences of an item in a string or true-list"],
 ["COMMON-LISP____CHAR-CODE","Char-code","CHAR-CODE",[57,245,130],"The numeric code for a given character"],
 ["COMMON-LISP____CASE","Case","CASE",[635,130],"Conditional based on if-then-else using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____SOLUTION-TO-ACL2-QUANTIFIER-EXERCISE-2","Solution-to-ACL2-quantifier-exercise-2","SOLUTION-TO-ACL2-QUANTIFIER-EXERCISE-2",[208],"A solution to <tt><see topic=\"ACL2____QUANTIFIER-TUTORIAL\">quantifier-tutorial</see></tt> Exercise 2"],
 ["ACL2____SHOW-BODIES","Show-bodies","SHOW-BODIES",[28],"Show the potential definition bodies"],
 ["ACL2____SET-REWRITE-STACK-LIMIT","Set-rewrite-stack-limit","SET-REWRITE-STACK-LIMIT",[840],"Sets the rewrite stack depth used by the rewriter"],
 ["ACL2____Running_02Models","Running Models","Running Models",[109],"Running Models"],
 ["ACL2____REMOVE-OVERRIDE-HINTS","Remove-override-hints","REMOVE-OVERRIDE-HINTS",[72],"Delete from the list of <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____PROOFS-CO","Proofs-co","PROOFS-CO",[16,130],"The proofs character output channel"],
 ["ACL2____NOTE-3-0","Note-3-0","NOTE-3-0",[186],"ACL2 Version  3.0 (June, 2006) Notes"],
 ["ACL2____MAXIMUM-LENGTH","Maximum-length","MAXIMUM-LENGTH",[41,130],"Return the <v>:maximum-length</v> from the <see topic=\"ACL2____HEADER\">header</see> of an array"],
 ["ACL2____L_C3","L&lt;","L<",[6,25],"Ordering on naturals or lists of naturals"],
 ["ACL2____KEYWORD-VALUE-LISTP","Keyword-value-listp","KEYWORD-VALUE-LISTP",[1019,343,130],"Recognizer for true lists whose even-position elements are keywords"],
 ["ACL2____INDUCTION-HEURISTICS","Induction-heuristics","INDUCTION-HEURISTICS",[11],"How ACL2 selects induction schemes"],
 ["ACL2____GUARD-THEOREM","Guard-theorem","GUARD-THEOREM",[61,445,19],"Use a previously-proved <see topic=\"ACL2____GUARD\">guard</see> theorem"],
 ["ACL2____DIMENSIONS","Dimensions","DIMENSIONS",[41,130],"Return the <v>:dimensions</v> from the <see topic=\"ACL2____HEADER\">header</see> of a 1- or \u000A  2-dimensional array"],
 ["ACL2____DEFAULT","Default","DEFAULT",[41,130],"Return the <v>:default</v> from the <see topic=\"ACL2____HEADER\">header</see> of a 1- or \u000A  2-dimensional array"],
 ["ACL2____ASSERT_A2","Assert*","ASSERT*",[734,130],"Create a <see topic=\"ACL2____GUARD\">guard</see> proof obligation that given test holds"],
 ["ACL2____APPLY_42-LAMBDA-GUARD","Apply$-lambda-guard","APPLY$-LAMBDA-GUARD",[25],"The guard on <v>apply$-lambda</v>"],
 ["ACL2____ACL2_02is_02an_02Untyped_02Language","ACL2 is an Untyped Language","ACL2 is an Untyped Language",[109],"ACL2 is an Untyped Language"],
 ["ACL2-PC____DO-ALL","ACL2-pc::do-all","DO-ALL",[198],"(macro) \u000Arun the given instructions"],
 ["ACL2-PC____DEMOTE","ACL2-pc::demote","DEMOTE",[198,435],"(primitive) \u000Amove top-level hypotheses to the conclusion"],
 ["COMMON-LISP____LOGXOR","Logxor","LOGXOR",[245,130],"Bitwise logical exclusive or of zero or more integers"],
 ["COMMON-LISP____LOGIOR","Logior","LOGIOR",[245,130],"Bitwise logical inclusive or of zero or more integers"],
 ["COMMON-LISP____LOGEQV","Logeqv","LOGEQV",[245,130],"Bitwise logical equivalence of zero or more integers"],
 ["COMMON-LISP____CHAR-DOWNCASE","Char-downcase","CHAR-DOWNCASE",[57,130],"Turn upper-case <see topic=\"ACL2____CHARACTERS\">characters</see> into lower-case <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["ACL2____SET-OVERRIDE-HINTS","Set-override-hints","SET-OVERRIDE-HINTS",[72],"Set the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____SET-DIFFERENCE-THEORIES","Set-difference-theories","SET-DIFFERENCE-THEORIES",[5,521],"Difference of two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____SET-BOGUS-DEFUN-HINTS-OK","Set-bogus-defun-hints-ok","SET-BOGUS-DEFUN-HINTS-OK",[1],"Allow unnecessary <v>(<see topic=\"ACL2____XARGS\">xargs</see> :hints ...)</v> and <see topic=\"ACL2____MEASURE\">measure</see>s."],
 ["ACL2____SERIALIZE-WRITE","Serialize-write","SERIALIZE-WRITE",[868,130],"Write an ACL2 object into a file"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-4","Practice-formulating-strong-rules-4","PRACTICE-FORMULATING-STRONG-RULES-4",[17],"Rules suggested by <v>(<see topic=\"COMMON-LISP____SUBSETP\">SUBSETP</see> (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (FOO A) (BAR B)) (MUM C))</v>"],
 ["ACL2____PAIRLIS_42","Pairlis$","PAIRLIS$",[343,636,130],"Zipper together two lists"],
 ["ACL2____NOTE-2-7-RULES","Note-2-7-rules","NOTE-2-7-RULES",[159],"ACL2 Version  2.7 Notes on Changes in Rules and Constants"],
 ["ACL2____MINIMAL-THEORY","Minimal-theory","MINIMAL-THEORY",[5,521],"A minimal theory to enable"],
 ["ACL2____LEXORDER","Lexorder","LEXORDER",[-1,130],"Total order on ACL2 objects"],
 ["ACL2____How_02To_02Find_02Out_02about_02ACL2_02Functions","How To Find Out about ACL2 Functions","How To Find Out about ACL2 Functions",[109],"How To Find Out about ACL2 Functions"],
 ["ACL2____How_02Long_02Does_02It_02Take_02to_02Become_02an_02Effective_02User_82Q_92","How Long Does It Take to Become an Effective User(Q)","How Long Does It Take to Become an Effective User(Q)",[109],"How Long Does It Take to Become an Effective User?"],
 ["ACL2____HONS-SUMMARY","Hons-summary","HONS-SUMMARY",[503,130],"<v>(<see topic=\"ACL2____HONS-SUMMARY\">hons-summary</see>)</v> prints basic information about the sizes of the \u000Atables in the current Hons Space."],
 ["ACL2____HONS-GET","Hons-get","HONS-GET",[237,130],"<v>(<see topic=\"ACL2____HONS-GET\">hons-get</see> key alist)</v> is the efficient lookup operation for <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____HONS-ASSOC-EQUAL","Hons-assoc-equal","HONS-ASSOC-EQUAL",[237,130],"<v>(<see topic=\"ACL2____HONS-ASSOC-EQUAL\">hons-assoc-equal</see> key alist)</v> is <b>not fast</b>; it serves as \u000Athe logical definition for <tt><see topic=\"ACL2____HONS-GET\">hons-get</see></tt>."],
 ["ACL2____FILE-WRITE-DATE_42","File-write-date$","FILE-WRITE-DATE$",[16],"The write-date of a file as a natural number"],
 ["ACL2____E_F2D","E/d","E/D",[5,521],"Enable/disable rules"],
 ["ACL2____DEFAULT-RULER-EXTENDERS","Default-ruler-extenders","DEFAULT-RULER-EXTENDERS",[169],"The default <see topic=\"ACL2____RULER-EXTENDERS\">ruler-extenders</see> for <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>'d functions"],
 ["ACL2____CHANGE","Change","CHANGE",[472,130],"Mutator macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2____BINARY-APPEND","Binary-append","BINARY-APPEND",[316,130],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> two lists"],
 ["ACL2____APPLY_42-USERFN","Apply$-userfn","APPLY$-USERFN",[25],"Undefined function used by <v>apply$</v> on non-primitives"],
 ["ACL2-PC____WRAP1","ACL2-pc::wrap1","WRAP1",[198],"(primitive) \u000Acombine goals into a single goal"],
 ["COMMON-LISP____ZEROP","Zerop","ZEROP",[245,130],"Test an acl2-number against 0"],
 ["COMMON-LISP____MAX","Max","MAX",[245,130],"The larger of two numbers"],
 ["COMMON-LISP____CHAR-UPCASE","Char-upcase","CHAR-UPCASE",[57,130],"Turn lower-case <see topic=\"ACL2____CHARACTERS\">characters</see> into upper-case <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["ACL2____The_02Admission_02of_02App","The Admission of App","The Admission of App",[109],"The Admission of App"],
 ["ACL2____SET-SERIALIZE-CHARACTER-SYSTEM","Set-serialize-character-system","SET-SERIALIZE-CHARACTER-SYSTEM",[868],"Avoid some special <see topic=\"ACL2____SERIALIZE\">serialize</see> writing, including for <v>.cert</v> \u000A files"],
 ["ACL2____SET-PRINT-BASE-RADIX","Set-print-base-radix","SET-PRINT-BASE-RADIX",[16,130],"Control radix in which numbers are printed and printing of the radix"],
 ["ACL2____REMOVE-INVISIBLE-FNS","Remove-invisible-fns","REMOVE-INVISIBLE-FNS",[87],"Make some unary functions no longer invisible"],
 ["ACL2____PROGRAM-ONLY","Program-only","PROGRAM-ONLY",[82],"Functions that cannot be in <see topic=\"ACL2____LOGIC\">logic</see> mode"],
 ["ACL2____PF","Pf","PF",[99],"Print the formula corresponding to the given name"],
 ["ACL2____NOTE-2-6-PROOF-BUILDER","Note-2-6-proof-builder","NOTE-2-6-PROOF-BUILDER",[898],"ACL2 Version  2.6 Notes on proof-builder Changes"],
 ["ACL2____NONNEGATIVE-INTEGER-QUOTIENT","Nonnegative-integer-quotient","NONNEGATIVE-INTEGER-QUOTIENT",[245,130],"Natural number division function"],
 ["ACL2____LD-MISSING-INPUT-OK","Ld-missing-input-ok","LD-MISSING-INPUT-OK",[15],"Determines which forms <tt><see topic=\"ACL2____LD\">ld</see></tt> evaluates"],
 ["ACL2____Guiding_02the_02ACL2_02Theorem_02Prover","Guiding the ACL2 Theorem Prover","Guiding the ACL2 Theorem Prover",[109],"Guiding the ACL2 Theorem Prover"],
 ["ACL2____EXPLODE-ATOM","Explode-atom","EXPLODE-ATOM",[57,130],"Convert any <see topic=\"COMMON-LISP____ATOM\">atom</see> into a <see topic=\"ACL2____CHARACTER-LISTP\">character-listp</see> that contains \u000A its printed representation, rendering numbers in your choice of print base."],
 ["ACL2____DEFINE-PC-HELP","Define-pc-help","DEFINE-PC-HELP",[42],"Define a macro command whose purpose is to print something"],
 ["ACL2____ASET1-TRUSTED","Aset1-trusted","ASET1-TRUSTED",[41,130,458],"Set the elements of a 1-dimensional array without <see topic=\"ACL2____INVARIANT-RISK\">invariant-risk</see>"],
 ["ACL2-PC____SHOW-ABBREVIATIONS","ACL2-pc::show-abbreviations","SHOW-ABBREVIATIONS",[198],"(macro) \u000Adisplay the current abbreviations"],
 ["ACL2-PC____PROMOTE","ACL2-pc::promote","PROMOTE",[198],"(primitive) move antecedents of conclusion's <v>implies</v> term to \u000Atop-level hypotheses"],
 ["COMMON-LISP____SUBLIS","Sublis","SUBLIS",[636,130],"Substitute an alist into a tree"],
 ["COMMON-LISP____STRING_C3","String&lt;","STRING<",[627,130],"Less-than test for strings"],
 ["COMMON-LISP____STRING-EQUAL","String-equal","STRING-EQUAL",[627,130],"String equality without regard to case"],
 ["COMMON-LISP____REVAPPEND","Revappend","REVAPPEND",[343,130],"Concatenate the <see topic=\"COMMON-LISP____REVERSE\">reverse</see> of one list to another"],
 ["ACL2____What_02Is_02ACL2_82Q_92","What Is ACL2(Q)","What Is ACL2(Q)",[109],"What Is ACL2?"],
 ["ACL2____VERIFY-TERMINATION-ON-RAW-PROGRAM-OKP","Verify-termination-on-raw-program-okp","VERIFY-TERMINATION-ON-RAW-PROGRAM-OKP",[75],"Permit <tt><see topic=\"ACL2____VERIFY-TERMINATION\">verify-termination</see></tt> for functions with raw Lisp code."],
 ["ACL2____UNION-THEORIES","Union-theories","UNION-THEORIES",[5,521],"Union two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____U","U","U",[99,429],"Undo last <see topic=\"ACL2____COMMAND\">command</see>, without a query"],
 ["ACL2____SYMBOL-LISTP","Symbol-listp","SYMBOL-LISTP",[945,343,130],"Recognizer for a true list of symbols"],
 ["ACL2____STOP-PROOF-TREE","Stop-proof-tree","STOP-PROOF-TREE",[119],"Stop displaying proof trees during proofs"],
 ["ACL2____SET-FC-REPORT-ON-THE-FLY","Set-fc-report-on-the-fly","SET-FC-REPORT-ON-THE-FLY",[127],"To determine when forward-chaining reports are printed"],
 ["ACL2____REDEF","Redef","REDEF",[15],"A common way to set <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>"],
 ["ACL2____NOTE-3-2_82R_92","Note-3-2(r)","NOTE-3-2(R)",[186],"ACL2 Version  3.2(r) (April, 2007) Notes"],
 ["ACL2____MV_F3","Mv?","MV?",[126,130],"Return one or more values"],
 ["ACL2____MAKE-WORMHOLE-STATUS","Make-wormhole-status","MAKE-WORMHOLE-STATUS",[38],"Creates a wormhole status object from given status, entry code, and data"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q3-ANSWER","Logic-knowledge-taken-for-granted-q3-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q3-ANSWER",[17],"The inductive step of the <v>rev-rev</v> proof &mdash; Answer to Question 2"],
 ["ACL2____LOGIC-FNS-LIST-LISTP","Logic-fns-list-listp","LOGIC-FNS-LIST-LISTP",[585,130],"Recognizer for when a given list of lists of <see topic=\"ACL2____TERM\">term</see>s calls only \u000A <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____GUARD-CHECKING-INHIBITED","Guard-checking-inhibited","GUARD-CHECKING-INHIBITED",[102,82],"Avoiding certain warnings when evaluating ACL2 expressions"],
 ["ACL2____GROUND-ZERO","Ground-zero","GROUND-ZERO",[5,521],"<see topic=\"ACL2____ENABLE\">enable</see>d rules in the <see topic=\"ACL2____STARTUP\">startup</see> theory"],
 ["ACL2____FAST-ALIST-FORK_12","Fast-alist-fork!","FAST-ALIST-FORK!",[237,130],"<v>(<see topic=\"ACL2____FAST-ALIST-FORK_12\">fast-alist-fork!</see> alist ans)</v> is an alternative to <tt><see topic=\"ACL2____FAST-ALIST-FORK\">fast-alist-fork</see></tt> that produces a <see topic=\"ACL2____NORMED\">normed</see> result."],
 ["ACL2____EXPLODE-NONNEGATIVE-INTEGER","Explode-nonnegative-integer","EXPLODE-NONNEGATIVE-INTEGER",[57,245,130],"The list of <see topic=\"ACL2____CHARACTERS\">characters</see> in the radix-r form of a number"],
 ["ACL2____Conversion","Conversion","Conversion",[109],"Conversion to Uppercase"],
 ["ACL2____CUSTOM-KEYWORD-HINTS","Custom-keyword-hints","CUSTOM-KEYWORD-HINTS",[19],"User-defined hints"],
 ["ACL2____An_02Example_02Common_02Lisp_02Function_02Definition","An Example Common Lisp Function Definition","An Example Common Lisp Function Definition",[109],"An Example Common Lisp Function Definition"],
 ["ACL2____ARRAYS-EXAMPLE","Arrays-example","ARRAYS-EXAMPLE",[41],"An example illustrating ACL2 arrays"],
 ["ACL2____ALLOCATE-FIXNUM-RANGE","Allocate-fixnum-range","ALLOCATE-FIXNUM-RANGE",[245,130],"Set aside fixnums in GCL"],
 ["ACL2____ACL2_02Characters","ACL2 Characters","ACL2 Characters",[109],"ACL2 Characters"],
 ["ACL2____ACL2-DOC-SUMMARY","ACL2-doc-summary","ACL2-DOC-SUMMARY",[0],"Summary of <see topic=\"ACL2____ACL2-DOC\">ACL2-doc</see> commands"],
 ["ACL2-PC____RETRIEVE","ACL2-pc::retrieve","RETRIEVE",[198,435],"(macro) \u000Are-enter the proof-builder"],
 ["ACL2-PC____REDUCE","ACL2-pc::reduce","REDUCE",[198],"(atomic macro) \u000Acall the ACL2 theorem prover's simplifier"],
 ["ACL2-PC____P-TOP","ACL2-pc::p-top","P-TOP",[198,435],"(macro) \u000Aprettyprint the conclusion, highlighting the current term"],
 ["ACL2-PC____FORWARDCHAIN","ACL2-pc::forwardchain","FORWARDCHAIN",[198],"(atomic macro) \u000Aforward chain from an implication in the hyps"],
 ["ACL2-PC____DOC","ACL2-pc::doc","DOC",[198],"(macro) access documentation inside the interactive proof-builder"],
 ["ACL2-PC____BASH","ACL2-pc::bash","BASH",[198,435],"(atomic macro) \u000Acall the ACL2 theorem prover's simplifier"],
 ["COMMON-LISP____REVERSE","Reverse","REVERSE",[343,627,130],"Reverse a list or string"],
 ["COMMON-LISP____MOD","Mod","MOD",[245,130],"Remainder using <tt><see topic=\"COMMON-LISP____FLOOR\">floor</see></tt>"],
 ["COMMON-LISP____MAKE-LIST","Make-list","MAKE-LIST",[343,130],"Make a list of a given size"],
 ["COMMON-LISP____ABS","Abs","ABS",[245,130],"The absolute value of a real number"],
 ["ACL2_____A2STANDARD-OI_A2","*standard-oi*","*STANDARD-OI*",[16,130],"An ACL2 object-based analogue of CLTL's <v>*standard-input*</v>"],
 ["ACL2____You_02Must_02Think_02about_02the_02Use_02of_02a_02Formula_02as_02a_02Rule","You Must Think about the Use of a Formula as a Rule","You Must Think about the Use of a Formula as a Rule",[109],"You Must Think about the Use of a Formula as a Rule"],
 ["ACL2____WOF","Wof","WOF",[528,16],"Direct standard output and proofs output to a file"],
 ["ACL2____UNTRACE_42","Untrace$","UNTRACE$",[550],"Untrace functions"],
 ["ACL2____The_02WARNING_02about_02the_02Trivial_02Consequence","The WARNING about the Trivial Consequence","The WARNING about the Trivial Consequence",[109],"The WARNING about the Trivial Consequence"],
 ["ACL2____TTHM","Tthm","TTHM",[99,920],"The <see topic=\"ACL2____MEASURE\">measure</see> (termination) theorem for a given function symbol"],
 ["ACL2____SYMBOL_C3","Symbol&lt;","SYMBOL<",[945,130],"Less-than test for symbols"],
 ["ACL2____SET-BAD-LISP-CONSP-MEMOIZE","Set-bad-lisp-consp-memoize","SET-BAD-LISP-CONSP-MEMOIZE",[30],"Turn off or on memoization of raw Lisp function <v>bad-lisp-consp</v>"],
 ["ACL2____RESIZE-LIST","Resize-list","RESIZE-LIST",[8,130],"List resizer in support of <see topic=\"ACL2____STOBJ\">stobj</see>s"],
 ["ACL2____PR_12","Pr!","PR!",[99],"Print rules stored by the command with a given command descriptor"],
 ["ACL2____PCS","Pcs","PCS",[99],"Print the sequence of <see topic=\"ACL2____COMMAND\">command</see>s between two <see topic=\"ACL2____COMMAND\">command</see> descriptors"],
 ["ACL2____PARALLEL-PROOF","Parallel-proof","PARALLEL-PROOF",[125],"Parallel proof in ACL2(p)"],
 ["ACL2____MEMSUM","Memsum","MEMSUM",[30],"Display all collected profiling and memoization info"],
 ["ACL2____MBT_A2","Mbt*","MBT*",[51,130],"Introduce a guard proof obligation"],
 ["ACL2____HONS-WASH_12","Hons-wash!","HONS-WASH!",[503,130],"A version of <tt><see topic=\"ACL2____HONS-WASH\">hons-wash</see></tt> for <see topic=\"ACL2____PARALLEL\">parallel</see> execution"],
 ["ACL2____HONS-CLEAR_12","Hons-clear!","HONS-CLEAR!",[503,130],"A version of <tt><see topic=\"ACL2____HONS-CLEAR\">hons-clear</see></tt> for <see topic=\"ACL2____PARALLEL\">parallel</see> execution"],
 ["ACL2____Guessing_02the_02Type_02of_02a_02Newly_02Admitted_02Function","Guessing the Type of a Newly Admitted Function","Guessing the Type of a Newly Admitted Function",[109],"Guessing the Type of a Newly Admitted Function"],
 ["ACL2____GETPROP","Getprop","GETPROP",[4,130],"Access fast property lists"],
 ["ACL2____FORALL","Forall","FORALL",[50],"Universal quantifier"],
 ["ACL2____BROKEN-LINK","Broken-link","BROKEN-LINK",[0],"Placeholder for link to documentation that resides in the community \u000A books"],
 ["ACL2____BOOKS-TOUR","Books-tour","BOOKS-TOUR",[43],"The <i>guided tour</i> of concepts related to ACL2 <see topic=\"ACL2____BOOKS\">books</see>."],
 ["ACL2____ACL2_02Strings","ACL2 Strings","ACL2 Strings",[109],"ACL2 Strings"],
 ["COMMON-LISP____STRING_E3_D3","String&gt;=","STRING>=",[627,130],"Less-than-or-equal test for strings"],
 ["COMMON-LISP____STRING_C3_D3","String&lt;=","STRING<=",[627,130],"Less-than-or-equal test for strings"],
 ["COMMON-LISP____SIGNUM","Signum","SIGNUM",[245,130],"Indicator for positive, negative, or zero"],
 ["COMMON-LISP____INTEGER-LENGTH","Integer-length","INTEGER-LENGTH",[245,130],"Number of bits in two's complement integer representation"],
 ["ACL2____What_02is_02a_02Mathematical_02Logic_82Q_92","What is a Mathematical Logic(Q)","What is a Mathematical Logic(Q)",[109],"What is a Mathematical Logic?"],
 ["ACL2____UBU_12","Ubu!","UBU!",[99,429],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, without a query or an error"],
 ["ACL2____SYS-CALL_A2","Sys-call*","SYS-CALL*",[76,130],"Make a system call to the host OS, returning a status"],
 ["ACL2____START-PROOF-TREE","Start-proof-tree","START-PROOF-TREE",[119],"Start displaying proof trees during proofs"],
 ["ACL2____Revisiting_02the_02Admission_02of_02App","Revisiting the Admission of App","Revisiting the Admission of App",[109],"Revisiting the Admission of App"],
 ["ACL2____REDEF_12","Redef!","REDEF!",[15],"A common way to set <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>"],
 ["ACL2____QUANTIFIERS-USING-DEFUN-SK","Quantifiers-using-defun-sk","QUANTIFIERS-USING-DEFUN-SK",[609],"Quantification example"],
 ["ACL2____POSP","Posp","POSP",[245,130],"A recognizer for the positive integers"],
 ["ACL2____PCB_12","Pcb!","PCB!",[99],"Print in full the <see topic=\"ACL2____COMMAND\">command</see> block described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____O-FIRST-COEFF","O-first-coeff","O-FIRST-COEFF",[96,130],"Returns the first coefficient of an ordinal"],
 ["ACL2____LOGIC-FNSP","Logic-fnsp","LOGIC-FNSP",[585,130],"Recognizer for when a given <see topic=\"ACL2____TERM\">term</see> calls only <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____LOGIC-FNS-LISTP","Logic-fns-listp","LOGIC-FNS-LISTP",[585,130],"Recognizer for when a given list of <see topic=\"ACL2____TERM\">term</see>s calls only \u000A <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____INTERN_42","Intern$","INTERN$",[1205,700,130],"Create a new symbol in a given package"],
 ["ACL2____INTERFACING-TOOLS","Interfacing-tools","INTERFACING-TOOLS",[1402,693],"Libraries and tools for doing basic <see topic='ACL2____STD_F2IO'>file \u000A i/o</see>, using raw <see topic='ACL2____QUICKLISP'>Common Lisp \u000A libraries</see>, working with the <see topic='ACL2____OSLIB'>operating \u000A system</see>, and interfacing with <see topic='ACL2____BRIDGE'>other \u000A programs</see>."],
 ["ACL2____HONS-COPY-PERSISTENT","Hons-copy-persistent","HONS-COPY-PERSISTENT",[503,130],"<v>(<see topic=\"ACL2____HONS-COPY-PERSISTENT\">hons-copy-persistent</see> x)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object that is \u000Aequal to X and which will be re-normed after any calls to <tt><see topic=\"ACL2____HONS-CLEAR\">hons-clear</see></tt>."],
 ["ACL2____GET-WORMHOLE-STATUS","Get-wormhole-status","GET-WORMHOLE-STATUS",[38],"Make a wormhole's status visible outside the wormhole"],
 ["ACL2____GC-STRATEGY","Gc-strategy","GC-STRATEGY",[572,130],"The garbage collection strategy"],
 ["ACL2____FILE-LENGTH_42","File-length$","FILE-LENGTH$",[16],"The size of a file in bytes"],
 ["ACL2____FAST-ALIST-SUMMARY","Fast-alist-summary","FAST-ALIST-SUMMARY",[237,130],"<v>(<see topic=\"ACL2____FAST-ALIST-SUMMARY\">fast-alist-summary</see>)</v> prints some basic statistics about any \u000Acurrent fast alists."],
 ["ACL2____ENABLE-FORCING","Enable-forcing","ENABLE-FORCING",[20],"To allow forced case splits"],
 ["ACL2____DISABLE-IMMEDIATE-FORCE-MODEP","Disable-immediate-force-modep","DISABLE-IMMEDIATE-FORCE-MODEP",[20],"<see topic=\"ACL2____FORCE\">force</see>d hypotheses are not attacked immediately"],
 ["ACL2____ARGS","Args","ARGS",[0],"<v>args</v>, <tt><see topic=\"ACL2____GUARD\">guard</see></tt>, <v>type</v>, <tt><see topic=\"ACL2____CONSTRAINT\">constraint</see></tt>, etc., of a \u000A  function symbol"],
 ["ACL2-PC____PRINT","ACL2-pc::print","PRINT",[198],"(macro) \u000Aprint the result of evaluating the given form"],
 ["ACL2-PC____EXPAND","ACL2-pc::expand","EXPAND",[198,435],"(primitive) \u000Aexpand the current function call without simplification"],
 ["ACL2-PC____BK","ACL2-pc::bk","BK",[198,435],"(atomic macro) \u000Amove backward one argument in the enclosing term"],
 ["COMMON-LISP____STRING-UPCASE","String-upcase","STRING-UPCASE",[627,130],"In a given string, turn lower-case <see topic=\"ACL2____CHARACTERS\">characters</see> into upper-case"],
 ["COMMON-LISP____LIST_A2","List*","LIST*",[343,130],"Build a list"],
 ["COMMON-LISP____CHAR-EQUAL","Char-equal","CHAR-EQUAL",[57,130],"Character equality without regard to case"],
 ["COMMON-LISP____ALPHA-CHAR-P","Alpha-char-p","ALPHA-CHAR-P",[57,130],"Recognizer for alphabetic characters"],
 ["ACL2____What_02is_02a_02Mechanical_02Theorem_02Prover_82Q_92","What is a Mechanical Theorem Prover(Q)","What is a Mechanical Theorem Prover(Q)",[109],"What is a Mechanical Theorem Prover?"],
 ["ACL2____STOBJ-LET","Stobj-let","STOBJ-LET",[321],"See <see topic=\"ACL2____NESTED-STOBJS\">nested-stobjs</see>."],
 ["ACL2____SET-INDUCTION-DEPTH-LIMIT","Set-induction-depth-limit","SET-INDUCTION-DEPTH-LIMIT",[779],"Set the <see topic=\"ACL2____INDUCTION-DEPTH-LIMIT\">induction-depth-limit</see>"],
 ["ACL2____REDEF-","Redef-","REDEF-",[15],"Turn off system hacker's redefinition <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____QUANTIFIERS-USING-DEFUN-SK-EXTENDED","Quantifiers-using-defun-sk-extended","QUANTIFIERS-USING-DEFUN-SK-EXTENDED",[609],"Quantification example with details"],
 ["ACL2____PSOG","Psog","PSOG",[528],"Show the most recently saved output with <see topic=\"ACL2____GAG-MODE\">gag-mode</see>"],
 ["ACL2____OPEN-TRACE-FILE","Open-trace-file","OPEN-TRACE-FILE",[550],"Redirect trace output to a file"],
 ["ACL2____O-FIRST-EXPT","O-first-expt","O-FIRST-EXPT",[96,130],"The first exponent of an ordinal"],
 ["ACL2____NOTE-2-7_82R_92","Note-2-7(r)","NOTE-2-7(R)",[186],"ACL2 Version  2.7(r) (November, 2002) Notes"],
 ["ACL2____MEMBER-EQUAL","Member-equal","MEMBER-EQUAL",[321],"See <see topic=\"COMMON-LISP____MEMBER\">member</see>."],
 ["ACL2____GET-COMMAND-SEQUENCE","Get-command-sequence","GET-COMMAND-SEQUENCE",[99],"Return list of <see topic=\"ACL2____COMMAND\">command</see>s that are between two <see topic=\"ACL2____COMMAND\">command</see> descriptors"],
 ["ACL2____FREE-VARIABLES-EXAMPLES","Free-variables-examples","FREE-VARIABLES-EXAMPLES",[64],"Examples pertaining to free variables in rules"],
 ["ACL2____FAST-ALIST-CLEAN_12","Fast-alist-clean!","FAST-ALIST-CLEAN!",[237,130],"<v>(<see topic=\"ACL2____FAST-ALIST-CLEAN_12\">fast-alist-clean!</see> alist)</v> is an alternative to <tt><see topic=\"ACL2____FAST-ALIST-CLEAN\">fast-alist-clean</see></tt> that produces a <see topic=\"ACL2____NORMED\">normed</see> result."],
 ["ACL2____EXISTS","Exists","EXISTS",[50],"Existential quantifier"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-BINARY-TREES","Example-induction-scheme-binary-trees","EXAMPLE-INDUCTION-SCHEME-BINARY-TREES",[17],"Induction on binary trees"],
 ["ACL2____EQLABLE-LISTP","Eqlable-listp","EQLABLE-LISTP",[954,220,343,130],"Recognizer for a true list of objects each suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____ENABLE-IMMEDIATE-FORCE-MODEP","Enable-immediate-force-modep","ENABLE-IMMEDIATE-FORCE-MODEP",[20],"<see topic=\"ACL2____FORCE\">force</see>d hypotheses are attacked immediately"],
 ["ACL2____CHECKPOINT-FORCED-GOALS","Checkpoint-forced-goals","CHECKPOINT-FORCED-GOALS",[119],"Cause forcing goals to be checkpointed in proof trees"],
 ["ACL2____BREAK_42","Break$","BREAK$",[734,130],"Cause an immediate Lisp break"],
 ["ACL2____BOOLEANP","Booleanp","BOOLEANP",[635,130],"Recognizer for booleans"],
 ["ACL2____BADGE-USERFN","Badge-userfn","BADGE-USERFN",[25],"Undefined function used by <v>badge</v> on non-primitives"],
 ["ACL2____About_02Models","About Models","About Models",[109],"About Models"],
 ["ACL2-PC____WRAP","ACL2-pc::wrap","WRAP",[198],"(atomic macro) \u000Aexecute the indicated instructions and combine all the new goals"],
 ["ACL2-PC____REMOVE-ABBREVIATIONS","ACL2-pc::remove-abbreviations","REMOVE-ABBREVIATIONS",[198],"(primitive) \u000Aremove one or more abbreviations"],
 ["ACL2-PC____REDUCE-BY-INDUCTION","ACL2-pc::reduce-by-induction","REDUCE-BY-INDUCTION",[198],"(macro) \u000Acall the ACL2 prover without induction, after going into \u000Ainduction"],
 ["ACL2-PC____INDUCT","ACL2-pc::induct","INDUCT",[198,435],"(atomic macro) \u000Agenerate subgoals using induction"],
 ["COMMON-LISP_____E3","&gt;",">",[245,130],"Greater-than test"],
 ["COMMON-LISP____SYMBOLP","Symbolp","SYMBOLP",[945,130],"Recognizer for symbols"],
 ["COMMON-LISP____SUBST","Subst","SUBST",[457,130],"A single substitution into a tree"],
 ["COMMON-LISP____EVENP","Evenp","EVENP",[245,130],"Test whether an integer is even"],
 ["COMMON-LISP____ASH","Ash","ASH",[245,130],"Arithmetic shift operation"],
 ["ACL2____What_02is_02Required_02of_02the_02User_82Q_92","What is Required of the User(Q)","What is Required of the User(Q)",[109],"What is Required of the User?"],
 ["ACL2____USING-COMPUTED-HINTS-1","Using-computed-hints-1","USING-COMPUTED-HINTS-1",[964],"Driving Home the Basics"],
 ["ACL2____UNTOUCHABLE","Untouchable","UNTOUCHABLE",[23],"Function symbols and state globals that cannot be referenced"],
 ["ACL2____STRING-APPEND","String-append","STRING-APPEND",[627,130],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> two strings"],
 ["ACL2____SPLITTER-OUTPUT","Splitter-output","SPLITTER-OUTPUT",[155],"Status for reporting of <see topic=\"ACL2____SPLITTER\">splitter</see> rules"],
 ["ACL2____SIGNED-BYTE-P","Signed-byte-p","SIGNED-BYTE-P",[245,130],"Recognizer for signed integers that fit in a specified bit width"],
 ["ACL2____SHARP-BANG-READER","Sharp-bang-reader","SHARP-BANG-READER",[598,700],"Package prefix that is not restricted to symbols"],
 ["ACL2____SET-WORMHOLE-ENTRY-CODE","Set-wormhole-entry-code","SET-WORMHOLE-ENTRY-CODE",[38],"Sets the wormhole entry code in a wormhole status object"],
 ["ACL2____SET-WORMHOLE-DATA","Set-wormhole-data","SET-WORMHOLE-DATA",[38],"Sets the wormhole data object in a wormhole status object"],
 ["ACL2____SET-NON-LINEARP","Set-non-linearp","SET-NON-LINEARP",[141],"To turn on or off non-linear arithmetic reasoning"],
 ["ACL2____NFIX","Nfix","NFIX",[245,130],"Coerce to a natural number"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-3","Introductory-challenge-problem-3","INTRODUCTORY-CHALLENGE-PROBLEM-3",[17],"Challenge problem 3 for the new user of ACL2"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-1","Introductory-challenge-problem-1","INTRODUCTORY-CHALLENGE-PROBLEM-1",[17],"Challenge problem 1 for the new user of ACL2"],
 ["ACL2____IFIX","Ifix","IFIX",[245,130],"Coerce to an integer"],
 ["ACL2____I-AM-HERE","I-am-here","I-AM-HERE",[15],"A convenient marker for use with <tt><see topic=\"ACL2____REBUILD\">rebuild</see></tt> or <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____Hey_02Wait_12_02_02Is_02ACL2_02Typed_02or_02Untyped_82Q_92","Hey Wait!  Is ACL2 Typed or Untyped(Q)","Hey Wait!  Is ACL2 Typed or Untyped(Q)",[109],"Hey Wait!  Is ACL2 Typed or Untyped?"],
 ["ACL2____EXIT-BOOT-STRAP-MODE","Exit-boot-strap-mode","EXIT-BOOT-STRAP-MODE",[99],"The end of pre-history"],
 ["ACL2____EVENT","Event","EVENT",[321],"See <see topic=\"ACL2____EVENTS\">events</see>."],
 ["ACL2____DEFAULT-HINTS-TABLE","Default-hints-table","DEFAULT-HINTS-TABLE",[745],"A <see topic=\"ACL2____TABLE\">table</see> used to provide <see topic=\"ACL2____HINTS\">hints</see> for proofs"],
 ["ACL2____COMP-GCL","Comp-gcl","COMP-GCL",[104,130],"Compile some ACL2 functions leaving .c and .h files"],
 ["ACL2____CERTIFY-BOOK_12","Certify-book!","CERTIFY-BOOK!",[24],"A variant of <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt>"],
 ["ACL2____BUILDING-ACL2","Building-ACL2","BUILDING-ACL2",[862],"How to build an ACL2 executable"],
 ["ACL2____ARITY","Arity","ARITY",[130],"number of arguments of a function symbol"],
 ["ACL2____ARITIES-OKP","Arities-okp","ARITIES-OKP",[130],"check the arities of given function symbols"],
 ["ACL2-PC____UNSAVE","ACL2-pc::unsave","UNSAVE",[198],"(macro) \u000Aremove a proof-builder state"],
 ["ACL2-PC____UNDO","ACL2-pc::undo","UNDO",[198,435],"(meta) \u000Aundo some instructions"],
 ["ACL2-PC____TOP","ACL2-pc::top","TOP",[198,435],"(atomic macro) \u000Amove to the top of the goal"],
 ["ACL2-PC____RESTORE","ACL2-pc::restore","RESTORE",[198,435],"(meta) \u000Aremove the effect of an UNDO command"],
 ["ACL2-PC____REPLAY","ACL2-pc::replay","REPLAY",[198,435],"(macro) \u000Areplay one or more instructions"],
 ["ACL2-PC____PSOG","ACL2-pc::psog","PSOG",[198],"(macro) \u000Aprint the most recent proof attempt from inside the proof-builder"],
 ["ACL2-PC____P","ACL2-pc::p","P",[198,435],"(macro) \u000Aprettyprint the current term in the usual user-level (untranslated) syntax"],
 ["ACL2-PC____NX","ACL2-pc::nx","NX",[198,435],"(atomic macro) \u000Amove forward one argument in the enclosing term"],
 ["ACL2-PC____NOISE","ACL2-pc::noise","NOISE",[198],"(meta) \u000Arun instructions with prover output"],
 ["ACL2-PC____CONTRAPOSE","ACL2-pc::contrapose","CONTRAPOSE",[198,435],"(primitive) \u000Aswitch a hypothesis with the conclusion, negating both"],
 ["COMMON-LISP_____F2_D3","/=","/=",[245,130],"Test inequality of two numbers"],
 ["COMMON-LISP____UPPER-CASE-P","Upper-case-p","UPPER-CASE-P",[57,130],"Recognizer for upper case characters"],
 ["COMMON-LISP____STRING-DOWNCASE","String-downcase","STRING-DOWNCASE",[627,130],"In a given string, turn upper-case <see topic=\"ACL2____CHARACTERS\">characters</see> into lower-case"],
 ["COMMON-LISP____LOWER-CASE-P","Lower-case-p","LOWER-CASE-P",[57,130],"Recognizer for lower case characters"],
 ["COMMON-LISP____LOGBITP","Logbitp","LOGBITP",[245,130],"The <v>i</v>th bit of an integer"],
 ["ACL2_____A2STANDARD-CI_A2","*standard-ci*","*STANDARD-CI*",[16,130],"An ACL2 character-based analogue of CLTL's <v>*standard-input*</v>"],
 ["ACL2____UNSIGNED-BYTE-P","Unsigned-byte-p","UNSIGNED-BYTE-P",[245,130],"Recognizer for natural numbers that fit in a specified bit width"],
 ["ACL2____The_02Falling_02Body_02Model","The Falling Body Model","The Falling Body Model",[109],"The Falling Body Model"],
 ["ACL2____TOGGLE-PC-MACRO","Toggle-pc-macro","TOGGLE-PC-MACRO",[42],"Change an ordinary macro command to an atomic macro, or vice-versa"],
 ["ACL2____TERMINATION-THEOREM","Termination-theorem","TERMINATION-THEOREM",[61,920,19],"Use a (functional instance of a) previously-proved measure theorem"],
 ["ACL2____STRIP-CARS","Strip-cars","STRIP-CARS",[636,130],"Collect up all first components of pairs in a list"],
 ["ACL2____Rewrite_02Rules_02are_02Generated_02from_02DEFTHM_02Events","Rewrite Rules are Generated from DEFTHM Events","Rewrite Rules are Generated from DEFTHM Events",[109],"Rewrite Rules are Generated from DEFTHM Events"],
 ["ACL2____O-RST","O-rst","O-RST",[96,130],"Returns the rest of an infinite ordinal"],
 ["ACL2____NOTE-2-7-GUARDS","Note-2-7-guards","NOTE-2-7-GUARDS",[159],"ACL2 Version  2.7 Notes on Guard-related Changes"],
 ["ACL2____MSGP","Msgp","MSGP",[16,130],"Recognizer for a ``message''"],
 ["ACL2____MEMOIZE-SUMMARY","Memoize-summary","MEMOIZE-SUMMARY",[30],"Display all collected profiling and memoization info"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-BASE-CASE","Logic-knowledge-taken-for-granted-base-case","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-BASE-CASE",[17],"A brief explanation of base cases"],
 ["ACL2____INTERSECTION-THEORIES","Intersection-theories","INTERSECTION-THEORIES",[5,521],"Intersect two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____INCOMPATIBLE","Incompatible","INCOMPATIBLE",[5],"Declaring that two rules should not both be <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2____GETPROPC","Getpropc","GETPROPC",[4,130],"Access fast property lists"],
 ["ACL2____FAST-ALIST-LEN","Fast-alist-len","FAST-ALIST-LEN",[237,130],"<v>(<see topic=\"ACL2____FAST-ALIST-LEN\">fast-alist-len</see> alist)</v> counts the number of unique keys in a \u000A  fast alist."],
 ["ACL2____EVENS","Evens","EVENS",[343,130],"The even-indexed members of a list"],
 ["ACL2____DIGIT-TO-CHAR","Digit-to-char","DIGIT-TO-CHAR",[57,130],"Map a digit to a character"],
 ["ACL2____BINARY-_A2","Binary-*","BINARY-*",[605,130],"Multiplication function"],
 ["ACL2____A_02Typical_02State","A Typical State","A Typical State",[109],"A Typical State"],
 ["ACL2____ARRAY2P","Array2p","ARRAY2P",[41,130],"Recognize a 2-dimensional array"],
 ["ACL2____ARRAY1P","Array1p","ARRAY1P",[41,130],"Recognize a 1-dimensional array"],
 ["ACL2____ADD-DEFAULT-HINTS_12","Add-default-hints!","ADD-DEFAULT-HINTS!",[745],"Add to the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2-PC____WRAP-INDUCT","ACL2-pc::wrap-induct","WRAP-INDUCT",[198],"(atomic macro) \u000Asame as induct, but create a single goal"],
 ["ACL2-PC____PSO_12","ACL2-pc::pso!","PSO!",[198],"(macro) \u000Aprint the most recent proof attempt from inside the proof-builder"],
 ["ACL2-PC____PSO","ACL2-pc::pso","PSO",[198],"(macro) \u000Aprint the most recent proof attempt from inside the proof-builder"],
 ["COMMON-LISP____REM","Rem","REM",[245,130],"Remainder using <tt><see topic=\"COMMON-LISP____TRUNCATE\">truncate</see></tt>"],
 ["COMMON-LISP____LOGTEST","Logtest","LOGTEST",[245,130],"Test if two integers share a `1' bit"],
 ["COMMON-LISP____LOGNOT","Lognot","LOGNOT",[245,130],"Bitwise not of a two's complement number"],
 ["COMMON-LISP____CHAR","Char","CHAR",[627,57,130],"The <see topic=\"COMMON-LISP____NTH\">nth</see> element (zero-based) of a string"],
 ["COMMON-LISP____ACONS","Acons","ACONS",[636,130],"Constructor for association lists"],
 ["ACL2____The_02Time_02Taken_02to_02do_02the_02Associativity_02of_02App_02Proof","The Time Taken to do the Associativity of App Proof","The Time Taken to do the Associativity of App Proof",[109],"The Time Taken to do the Associativity of App Proof"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_021_92","The Simplification of the Induction Conclusion (Step 1)","The Simplification of the Induction Conclusion (Step 1)",[109],"The Simplification of the Induction Conclusion (Step 1)"],
 ["ACL2____The_02Rules_02used_02in_02the_02Associativity_02of_02App_02Proof","The Rules used in the Associativity of App Proof","The Rules used in the Associativity of App Proof",[109],"The Rules used in the Associativity of App Proof"],
 ["ACL2____TAU-INTERVAL-LO-REL","Tau-interval-lo-rel","TAU-INTERVAL-LO-REL",[48],"Access the lower bound relation of a tau interval"],
 ["ACL2____TAU-INTERVAL-HI-REL","Tau-interval-hi-rel","TAU-INTERVAL-HI-REL",[48],"Access the upper bound relation of a tau interval"],
 ["ACL2____TAU-INTERVAL-HI","Tau-interval-hi","TAU-INTERVAL-HI",[48],"Access the upper bound of a tau interval"],
 ["ACL2____SHOW-CUSTOM-KEYWORD-HINT-EXPANSION","Show-custom-keyword-hint-expansion","SHOW-CUSTOM-KEYWORD-HINT-EXPANSION",[1107],"Print out custom keyword hints when they are expanded"],
 ["ACL2____SET-DEFAULT-HINTS_12","Set-default-hints!","SET-DEFAULT-HINTS!",[745],"Set the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____RFIX","Rfix","RFIX",[245,130],"Coerce to a rational number"],
 ["ACL2____REMOVE-MACRO-FN","Remove-macro-fn","REMOVE-MACRO-FN",[723],"Remove the association of a function name with a macro name"],
 ["ACL2____REMOVE-MACRO-ALIAS","Remove-macro-alias","REMOVE-MACRO-ALIAS",[723],"Remove the association of a function name with a macro name"],
 ["ACL2____REMOVE-DEFAULT-HINTS_12","Remove-default-hints!","REMOVE-DEFAULT-HINTS!",[745],"Remove from the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____REAL_F2RATIONALP","Real/rationalp","REAL/RATIONALP",[245,130],"Recognizer for rational numbers (including real number in ACL2(r))"],
 ["ACL2____PUTPROP","Putprop","PUTPROP",[4,130],"Update fast property lists"],
 ["ACL2____PSO_12","Pso!","PSO!",[528],"Show the most recently saved output, including <see topic=\"ACL2____PROOF-TREE\">proof-tree</see> output"],
 ["ACL2____NEVER-MEMOIZE","Never-memoize","NEVER-MEMOIZE",[30],"Mark a function as unsafe to memoize."],
 ["ACL2____FIX","Fix","FIX",[245,130],"Coerce to a number"],
 ["ACL2____FINDING-DOCUMENTATION","Finding-documentation","FINDING-DOCUMENTATION",[0],"Searching the documentation"],
 ["ACL2____ER-SOFT","Er-soft","ER-SOFT",[734,130],"Print an error message and ``cause a soft error''"],
 ["ACL2____COUNT-KEYS","Count-keys","COUNT-KEYS",[8,130],"Count the number of keys in association list"],
 ["ACL2____ASSOC-STRING-EQUAL","Assoc-string-equal","ASSOC-STRING-EQUAL",[636,130],"Look up key, a string, in association list"],
 ["ACL2____ADD-BINOP","Add-binop","ADD-BINOP",[723],"Associate a function name with a macro name"],
 ["COMMON-LISP_____E3_D3","&gt;=",">=",[245,130],"Greater-than-or-equal test"],
 ["COMMON-LISP____STRINGP","Stringp","STRINGP",[627,130],"Recognizer for strings"],
 ["COMMON-LISP____LOGORC1","Logorc1","LOGORC1",[245,130],"Bitwise logical inclusive or of two ints, complementing the first"],
 ["COMMON-LISP____LAST","Last","LAST",[343,130],"The last <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> (not element) of a list"],
 ["ACL2____WATERFALL-PARALLELISM","Waterfall-parallelism","WATERFALL-PARALLELISM",[1134],"For ACL2(p): configuring the parallel execution of the waterfall"],
 ["ACL2____UNTRANS-TABLE","Untrans-table","UNTRANS-TABLE",[723],"Associates a function symbol with a macro for printing user-level terms"],
 ["ACL2____UBU_F3","Ubu?","UBU?",[99,429],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, with queries as appropriate"],
 ["ACL2____UBT_F3","Ubt?","UBT?",[99,429],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, with queries as appropriate"],
 ["ACL2____TUTORIAL5-MISCELLANEOUS-EXAMPLES","Tutorial5-miscellaneous-examples","TUTORIAL5-MISCELLANEOUS-EXAMPLES",[447],"Miscellaneous ACL2 examples"],
 ["ACL2____TOGGLE-INHIBIT-WARNING_12","Toggle-inhibit-warning!","TOGGLE-INHIBIT-WARNING!",[528],"Toggle an <v>inhibit-warnings-table</v> entry non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____TOGGLE-INHIBIT-ER-SOFT_12","Toggle-inhibit-er-soft!","TOGGLE-INHIBIT-ER-SOFT!",[528,734],"Toggle an <v>inhibit-er-soft-table</v> entry non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____TAU-INTERVAL-LO","Tau-interval-lo","TAU-INTERVAL-LO",[48],"Access the lower bound of a tau interval"],
 ["ACL2____Subsumption_02of_02Induction_02Candidates_02in_02App_02Example","Subsumption of Induction Candidates in App Example","Subsumption of Induction Candidates in App Example",[109],"Subsumption of Induction Candidates in App Example"],
 ["ACL2____SYMBOL-ALISTP","Symbol-alistp","SYMBOL-ALISTP",[636,130],"Recognizer for association lists with symbols as keys"],
 ["ACL2____STANDARD-STRING-ALISTP","Standard-string-alistp","STANDARD-STRING-ALISTP",[636,130],"Recognizer for association lists with standard strings as keys"],
 ["ACL2____SHOW-ACCUMULATED-PERSISTENCE","Show-accumulated-persistence","SHOW-ACCUMULATED-PERSISTENCE",[321],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2____SET-DUPLICATE-KEYS-ACTION_12","Set-duplicate-keys-action!","SET-DUPLICATE-KEYS-ACTION!",[528],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt> version of <tt><see topic=\"ACL2____SET-DUPLICATE-KEYS-ACTION\">set-duplicate-keys-action</see></tt>"],
 ["ACL2____RULER-EXTENDERS","Ruler-extenders","RULER-EXTENDERS",[321],"See <see topic=\"ACL2____RULERS\">rulers</see>."],
 ["ACL2____Other_02Requirements","Other Requirements","Other Requirements",[109],"Other Requirements"],
 ["ACL2____NOTE-1-1","Note-1-1","NOTE-1-1",[186],"Acl2 Version 1.1 Notes"],
 ["ACL2____Models_02in_02Engineering","Models in Engineering","Models in Engineering",[109],"Models in Engineering"],
 ["ACL2____LOGIC-TERMP","Logic-termp","LOGIC-TERMP",[585,130],"Recognizer for <see topic=\"ACL2____TERM\">term</see>s that call only <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode \u000A function symbols"],
 ["ACL2____LOGIC-TERM-LIST-LISTP","Logic-term-list-listp","LOGIC-TERM-LIST-LISTP",[585,130],"Recognizer for lists of lists of <see topic=\"ACL2____TERM\">term</see>s that call only \u000A <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-1-ANSWER","Introductory-challenge-problem-1-answer","INTRODUCTORY-CHALLENGE-PROBLEM-1-ANSWER",[17],"Answer to challenge problem 1 for the new user of ACL2"],
 ["ACL2____FUNCTIONAL-INSTANTIATION","Functional-instantiation","FUNCTIONAL-INSTANTIATION",[21],"An analogue in ACL2 of higher-order logical reasoning.  Functional \u000A instantiation allows you to prove theorems ``by analogy'' with previous \u000A theorems.  See <see topic=\"ACL2____HINTS\">hints</see> and see <see topic=\"ACL2____LEMMA-INSTANCE\">lemma-instance</see>."],
 ["ACL2____FMT_12","Fmt!","FMT!",[16,130],"<v>(<see topic=\"ACL2____FMT_12\">fmt!</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____FMS","Fms","FMS",[16,130],"<v>(<see topic=\"ACL2____FMS\">fms</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-ON-SEVERAL-VARIABLES","Example-induction-scheme-on-several-variables","EXAMPLE-INDUCTION-SCHEME-ON-SEVERAL-VARIABLES",[17],"Induction on several variables"],
 ["ACL2____DELETE-FILE_42","Delete-file$","DELETE-FILE$",[16],"Delete a file"],
 ["ACL2____DEFUN_42","Defun$","DEFUN$",[1,77,25],"Define a function symbol and generate a warrant"],
 ["ACL2____DEFUND-NX","Defund-nx","DEFUND-NX",[1,77],"Define a disabled non-executable function symbol"],
 ["ACL2____CW_12","Cw!","CW!",[173,16,130],"Print readably to the comment window"],
 ["ACL2____COMPLEX_F2COMPLEX-RATIONALP","Complex/complex-rationalp","COMPLEX/COMPLEX-RATIONALP",[245,130],"Recognizer for complex numbers"],
 ["ACL2____CLEAR-MEMOIZE-TABLES","Clear-memoize-tables","CLEAR-MEMOIZE-TABLES",[30],"Forget values remembered for all the memoized functions"],
 ["ACL2____ASSOC-KEYWORD","Assoc-keyword","ASSOC-KEYWORD",[1032,130],"Look up key in a <tt><see topic=\"ACL2____KEYWORD-VALUE-LISTP\">keyword-value-listp</see></tt>"],
 ["ACL2____APPLY_42-LAMBDA","Apply$-lambda","APPLY$-LAMBDA",[25],"Used by <v>apply$</v> on <v>LAMBDA</v> objects"],
 ["ACL2-PC____UP","ACL2-pc::up","UP",[198,435],"(primitive) \u000Amove to the parent (or some ancestor) of the current subterm"],
 ["ACL2-PC____THEN","ACL2-pc::then","THEN",[198],"(macro) \u000Aapply one instruction to current goal and another to new subgoals"],
 ["ACL2-PC____TH","ACL2-pc::th","TH",[198,435],"(macro) \u000Aprint the top-level hypotheses and the current subterm"],
 ["ACL2-PC____SL","ACL2-pc::sl","SL",[198],"(atomic macro) \u000Asimplify with lemmas"],
 ["ACL2-PC____SHOW-TYPE-PRESCRIPTIONS","ACL2-pc::show-type-prescriptions","SHOW-TYPE-PRESCRIPTIONS",[198],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rules"],
 ["ACL2-PC____BDD","ACL2-pc::bdd","BDD",[198],"(atomic macro) \u000Aprove the current goal using bdds"],
 ["COMMON-LISP____STRING_E3","String&gt;","STRING>",[627,130],"Greater-than test for strings"],
 ["COMMON-LISP____SLEEP","Sleep","SLEEP",[124],"Sleep for some number of seconds"],
 ["COMMON-LISP____LOGORC2","Logorc2","LOGORC2",[245,130],"Bitwise logical inclusive or of two ints, complementing the second"],
 ["COMMON-LISP____LOGCOUNT","Logcount","LOGCOUNT",[245,130],"Number of ``on'' bits in a two's complement number"],
 ["COMMON-LISP____LOGANDC2","Logandc2","LOGANDC2",[245,130],"Bitwise logical `and' of two ints, complementing the second"],
 ["COMMON-LISP____LOGANDC1","Logandc1","LOGANDC1",[245,130],"Bitwise logical `and' of two ints, complementing the first"],
 ["COMMON-LISP____CHAR_E3_D3","Char&gt;=","CHAR>=",[57,130],"Greater-than-or-equal test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR_C3","Char&lt;","CHAR<",[57,130],"Less-than test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["ACL2____WARNINGS","Warnings","WARNINGS",[528],"Warnings emitted by the ACL2 proof process"],
 ["ACL2____UBT-PREHISTORY","Ubt-prehistory","UBT-PREHISTORY",[99,429],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back through the last <tt><see topic=\"ACL2____RESET-PREHISTORY\">reset-prehistory</see></tt> event"],
 ["ACL2____TRANS_12","Trans!","TRANS!",[723],"Print the macroexpansion of a form without single-threadedness concerns"],
 ["ACL2____TAU-INTERVAL-DOM","Tau-interval-dom","TAU-INTERVAL-DOM",[48],"Access the domain of a tau interval"],
 ["ACL2____TAU-DATABASE","Tau-database","TAU-DATABASE",[48,99],"To see the tau database as a (very large) object"],
 ["ACL2____Symbolic_02Execution_02of_02Models","Symbolic Execution of Models","Symbolic Execution of Models",[109],"Symbolic Execution of Models"],
 ["ACL2____Suggested_02Inductions_02in_02the_02Associativity_02of_02App_02Example","Suggested Inductions in the Associativity of App Example","Suggested Inductions in the Associativity of App Example",[109],"Suggested Inductions in the Associativity of App Example"],
 ["ACL2____STRIP-CDRS","Strip-cdrs","STRIP-CDRS",[636,130],"Collect up all second components of pairs in a list"],
 ["ACL2____SET-INHIBIT-WARNINGS_12","Set-inhibit-warnings!","SET-INHIBIT-WARNINGS!",[528],"Control warnings non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SET-INHIBIT-ER-SOFT_12","Set-inhibit-er-soft!","SET-INHIBIT-ER-SOFT!",[528,734],"Control error output non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SET-INDUCTION-DEPTH-LIMIT_12","Set-induction-depth-limit!","SET-INDUCTION-DEPTH-LIMIT!",[101],"Set the induction-depth-limit non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SAVE-AND-CLEAR-MEMOIZATION-SETTINGS","Save-and-clear-memoization-settings","SAVE-AND-CLEAR-MEMOIZATION-SETTINGS",[30],"Save and remove the current memoization settings"],
 ["ACL2____RESET-FC-REPORTING","Reset-fc-reporting","RESET-FC-REPORTING",[127],"Reset the forward-chaining tracking state to its initial configuration"],
 ["ACL2____REMOVE-NTH-ALIAS","Remove-nth-alias","REMOVE-NTH-ALIAS",[897],"Remove a symbol alias for printing of <tt><see topic=\"COMMON-LISP____NTH\">nth</see></tt>/<tt><see topic=\"ACL2____UPDATE-NTH\">update-nth</see></tt> terms"],
 ["ACL2____REALFIX","Realfix","REALFIX",[245,130],"Coerce to a real number"],
 ["ACL2____QUANTIFIERS-USING-RECURSION","Quantifiers-using-recursion","QUANTIFIERS-USING-RECURSION",[609],"Recursion for implementing quantification"],
 ["ACL2____PROGN_42","Progn$","PROGN$",[635,130],"Execute a sequence of forms and return the value of the last one"],
 ["ACL2____Overview_02of_02the_02Proof_02of_02a_02Trivial_02Consequence","Overview of the Proof of a Trivial Consequence","Overview of the Proof of a Trivial Consequence",[109],"Overview of the Proof of a Trivial Consequence"],
 ["ACL2____ODDS","Odds","ODDS",[343,130],"The odd-indexed members of a list"],
 ["ACL2____NOTE-3-4_82R_92","Note-3-4(r)","NOTE-3-4(R)",[186],"ACL2 Version  3.4(r) (August, 2008) Notes"],
 ["ACL2____MONITOR_12","Monitor!","MONITOR!",[34],"A quiet combination of <tt><see topic=\"ACL2____MONITOR\">monitor</see></tt> and <tt><see topic=\"ACL2____BRR\">brr</see></tt>"],
 ["ACL2____MAKUNBOUND-GLOBAL","Makunbound-global","MAKUNBOUND-GLOBAL",[49,130],"Remove the value assigned to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____MAKE-EVENT-EXAMPLE-2-EXERCISE","Make-event-example-2-exercise","MAKE-EVENT-EXAMPLE-2-EXERCISE",[232],"Solution to an exercise from <tt><see topic=\"ACL2____MAKE-EVENT-EXAMPLE-2\">make-event-example-2</see></tt>"],
 ["ACL2____MAKE","Make","MAKE",[472,130],"Constructor macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-2-ANSWER","Introductory-challenge-problem-2-answer","INTRODUCTORY-CHALLENGE-PROBLEM-2-ANSWER",[17],"Answer to challenge problem 2 for the new user of ACL2"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-2","Introductory-challenge-problem-2","INTRODUCTORY-CHALLENGE-PROBLEM-2",[17],"Challenge problem 2 for the new user of ACL2"],
 ["ACL2____GOOD-ATOM-LISTP","Good-atom-listp","GOOD-ATOM-LISTP",[751,343,130],"Recognizer for a true list of ``good'' <see topic=\"COMMON-LISP____ATOM\">atom</see>s"],
 ["ACL2____FMT-TO-COMMENT-WINDOW_12","Fmt-to-comment-window!","FMT-TO-COMMENT-WINDOW!",[173,16,130],"Print readably to the comment window"],
 ["ACL2____F-BOUNDP-GLOBAL","F-boundp-global","F-BOUNDP-GLOBAL",[49,130],"Check whether a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt> has a value"],
 ["ACL2____Evaluating_02App_02on_02Sample_02Input","Evaluating App on Sample Input","Evaluating App on Sample Input",[109],"Evaluating App on Sample Input"],
 ["ACL2____EVISCERATE-HIDE-TERMS","Eviscerate-hide-terms","EVISCERATE-HIDE-TERMS",[16],"To print <v>(<see topic=\"ACL2____HIDE\">hide</see> ...)</v> as <v>&lt;hidden&gt;</v>"],
 ["ACL2____EQLABLE-ALISTP","Eqlable-alistp","EQLABLE-ALISTP",[636,130],"Recognizer for a true list of pairs whose <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>s are suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____DEFINE-PC-META","Define-pc-meta","DEFINE-PC-META",[42],"Define a proof-builder meta command"],
 ["ACL2____CHECKPOINT-SUMMARY-LIMIT","Checkpoint-summary-limit","CHECKPOINT-SUMMARY-LIMIT",[115,116],"Control printing of key checkpoints upon a proof's failure"],
 ["ACL2____ADD-NTH-ALIAS","Add-nth-alias","ADD-NTH-ALIAS",[897],"Associate one symbol with another for printing of <tt><see topic=\"COMMON-LISP____NTH\">nth</see></tt>/<tt><see topic=\"ACL2____UPDATE-NTH\">update-nth</see></tt> terms"],
 ["ACL2____ACL2-NUMBERP","ACL2-numberp","ACL2-NUMBERP",[245,130],"Recognizer for numbers"],
 ["ACL2-PC____PR","ACL2-pc::pr","PR",[198],"(macro) \u000Aprint the rules for a given name"],
 ["ACL2-PC____PL","ACL2-pc::pl","PL",[198],"(macro) \u000Aprint the rules for a given name"],
 ["ACL2-PC____FINISH","ACL2-pc::finish","FINISH",[198],"(macro) require completion of instructions; save error if inside \u000A<v>:</v><tt><see topic=\"ACL2____HINTS\">hints</see></tt>"],
 ["ACL2-PC____COMMANDS","ACL2-pc::commands","COMMANDS",[198],"(macro) \u000Adisplay instructions from the current interactive session"],
 ["ACL2-PC____CHANGE-GOAL","ACL2-pc::change-goal","CHANGE-GOAL",[198],"(primitive) \u000Achange to another goal."],
 ["COMMON-LISP____NULL","Null","NULL",[635,130],"Recognizer for the empty list"],
 ["COMMON-LISP____MIN","Min","MIN",[245,130],"The smaller of two numbers"],
 ["COMMON-LISP____LOGNOR","Lognor","LOGNOR",[245,130],"Bitwise logical `nor' of two integers"],
 ["COMMON-LISP____CHAR_E3","Char&gt;","CHAR>",[57,130],"Greater-than test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR_C3_D3","Char&lt;=","CHAR<=",[57,130],"Less-than-or-equal test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____1-","1-","1-",[245,130],"Decrement by 1"],
 ["ACL2____ZPF","Zpf","ZPF",[245,130],"Testing a nonnegative fixnum against 0"],
 ["ACL2____UPDATE-NTH-ARRAY","Update-nth-array","UPDATE-NTH-ARRAY",[8,130],"Update a stobj array"],
 ["ACL2____UNARY-_F2","Unary-/","UNARY-/",[245,130],"Reciprocal function"],
 ["ACL2____The_02Induction_02Step_02in_02the_02App_02Example","The Induction Step in the App Example","The Induction Step in the App Example",[109],"The Induction Step in the App Example"],
 ["ACL2____TOP","Top","TOP",[],"ACL2 User's Manual (not including documentation for the community books)"],
 ["ACL2____STANDARD-CHAR-LISTP","Standard-char-listp","STANDARD-CHAR-LISTP",[57,343,130],"Recognizer for a true list of standard characters"],
 ["ACL2____REMOVE-DIVE-INTO-MACRO","Remove-dive-into-macro","REMOVE-DIVE-INTO-MACRO",[703],"Removes association of <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> diving function with macro name"],
 ["ACL2____REMOVE-CUSTOM-KEYWORD-HINT","Remove-custom-keyword-hint","REMOVE-CUSTOM-KEYWORD-HINT",[77],"Remove a custom keyword hint"],
 ["ACL2____PACKN","Packn","PACKN",[945,130],"Build a symbol from a list"],
 ["ACL2____O-FINP","O-finp","O-FINP",[96,130],"Recognizes if an ordinal is finite"],
 ["ACL2____NUMBER-SUBTREES","Number-subtrees","NUMBER-SUBTREES",[98,130],"<v>(<see topic=\"ACL2____NUMBER-SUBTREES\">number-subtrees</see> x)</v> returns the number of distinct subtrees of \u000AX, in the sense of <tt><see topic=\"COMMON-LISP____EQUAL\">equal</see></tt>"],
 ["ACL2____Modeling_02in_02ACL2","Modeling in ACL2","Modeling in ACL2",[109],"Modeling in ACL2"],
 ["ACL2____MULTIPLE-VALUE","Multiple-value","MULTIPLE-VALUE",[321],"See <see topic=\"ACL2____MV-LET\">mv-let</see>."],
 ["ACL2____LOGIC-TERM-LISTP","Logic-term-listp","LOGIC-TERM-LISTP",[585,130],"Recognizer for lists of <see topic=\"ACL2____TERM\">term</see>s that call only <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____FMT1_12","Fmt1!","FMT1!",[16,130],"<v>(<see topic=\"ACL2____FMT1_12\">fmt1!</see> str alist col channel state evisc) =&gt; (<see topic=\"ACL2____MV\">mv</see> col state)</v>"],
 ["ACL2____FMT-TO-COMMENT-WINDOW_12_B2","Fmt-to-comment-window!+","FMT-TO-COMMENT-WINDOW!+",[173,16,130],"Print readably and uninhibited to the comment window"],
 ["ACL2____FMS_12","Fms!","FMS!",[16,130],"<v>(<see topic=\"ACL2____FMS_12\">fms!</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____EXTRA-INFO","Extra-info","EXTRA-INFO",[82],"Sources of measure or guard proof obligations"],
 ["ACL2____DEFTHY","Defthy","DEFTHY",[77,5,485],"Define a theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2____COMMAND-LINE","Command-line","COMMAND-LINE",[1162],"Handling of command-line arguments when ACL2 is invoked"],
 ["ACL2____CHARACTER-ALISTP","Character-alistp","CHARACTER-ALISTP",[57,636,130],"Recognizer for association lists with characters as keys"],
 ["ACL2____ACL2-HELP","ACL2-help","ACL2-HELP",[862],"The acl2-help mailing list"],
 ["ACL2-PC____USE","ACL2-pc::use","USE",[198,435],"(atomic macro) \u000Ause a lemma instance"],
 ["ACL2-PC____SHOW-LINEARS","ACL2-pc::show-linears","SHOW-LINEARS",[198],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____LINEAR\">linear</see> rules"],
 ["ACL2-PC____S-PROP","ACL2-pc::s-prop","S-PROP",[198,435],"(atomic macro) \u000Asimplify propositionally"],
 ["ACL2-PC____RUNES","ACL2-pc::runes","RUNES",[198,435],"(macro) \u000Aprint the runes (definitions, lemmas, ...) used"],
 ["ACL2-PC____REPEAT","ACL2-pc::repeat","REPEAT",[198],"(macro) \u000Arepeat the given instruction until it ``fails''"],
 ["ACL2-PC____PROTECT","ACL2-pc::protect","PROTECT",[198],"(macro) \u000Arun the given instructions, reverting to existing state upon \u000Afailure"],
 ["ACL2-PC____FAIL","ACL2-pc::fail","FAIL",[198],"(macro) \u000Acause a failure"],
 ["ACL2-PC____CLAUSE-PROCESSOR","ACL2-pc::clause-processor","CLAUSE-PROCESSOR",[198],"(atomic macro) \u000Ause a clause-processor"],
 ["ACL2-PC____BOOKMARK","ACL2-pc::bookmark","BOOKMARK",[198],"(macro) \u000Ainsert matching ``bookends'' comments"],
 ["COMMON-LISP____ODDP","Oddp","ODDP",[245,130],"Test whether an integer is odd"],
 ["COMMON-LISP____MINUSP","Minusp","MINUSP",[245,130],"Test whether a number is negative"],
 ["COMMON-LISP____LOGNAND","Lognand","LOGNAND",[245,130],"Bitwise logical `nand' of two integers"],
 ["COMMON-LISP____LISTP","Listp","LISTP",[343,457,130],"Recognizer for (not necessarily proper) lists"],
 ["COMMON-LISP____IDENTITY","Identity","IDENTITY",[635,130],"The identity function"],
 ["COMMON-LISP____CONJUGATE","Conjugate","CONJUGATE",[245,130],"Complex number conjugate"],
 ["COMMON-LISP____CADR","Cadr","CADR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>"],
 ["COMMON-LISP____ARRAY","Array","ARRAY",[321],"See <see topic=\"ACL2____ARRAYS\">arrays</see>."],
 ["COMMON-LISP____1_B2","1+","1+",[245,130],"Increment by 1"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_029_92","The Simplification of the Induction Conclusion (Step 9)","The Simplification of the Induction Conclusion (Step 9)",[109],"The Simplification of the Induction Conclusion (Step 9)"],
 ["ACL2____The_02Induction_02Scheme_02Selected_02for_02the_02App_02Example","The Induction Scheme Selected for the App Example","The Induction Scheme Selected for the App Example",[109],"The Induction Scheme Selected for the App Example"],
 ["ACL2____The_02First_02Application_02of_02the_02Associativity_02Rule","The First Application of the Associativity Rule","The First Application of the Associativity Rule",[109],"The First Application of the Associativity Rule"],
 ["ACL2____REMOVE-OVERRIDE-HINTS_12","Remove-override-hints!","REMOVE-OVERRIDE-HINTS!",[72],"Delete non-<see topic=\"ACL2____LOCAL\">local</see>ly from the list of <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____PE_12","Pe!","PE!",[99],"Print events as with <tt><see topic=\"ACL2____PE\">pe</see></tt> but ignoring the <see topic=\"ACL2____PE-TABLE\">pe-table</see>"],
 ["ACL2____Overview_02of_02the_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step","Overview of the Expansion of ENDP in the Induction Step","Overview of the Expansion of ENDP in the Induction Step",[109],"Overview of the Expansion of ENDP in the Induction Step"],
 ["ACL2____NOTE-3-1","Note-3-1","NOTE-3-1",[186],"ACL2 Version  3.1 (December, 2006) Notes"],
 ["ACL2____NOTE-2-8_82R_92","Note-2-8(r)","NOTE-2-8(R)",[186],"ACL2 Version  2.8(r) (March, 2003) Notes"],
 ["ACL2____MEMOIZATION","Memoization","MEMOIZATION",[321],"See <see topic=\"ACL2____MEMOIZE\">memoize</see>."],
 ["ACL2____MAYBE-FLUSH-AND-COMPRESS1","Maybe-flush-and-compress1","MAYBE-FLUSH-AND-COMPRESS1",[41,130],"Compress a one-dimensional array only if necessary"],
 ["ACL2____KWOTE","Kwote","KWOTE",[6,130],"Quote an arbitrary object"],
 ["ACL2____INT_D3","Int=","INT=",[245,130],"Test equality of two integers"],
 ["ACL2____INTEGER-LISTP","Integer-listp","INTEGER-LISTP",[245,343,130],"Recognizer for a true list of integers"],
 ["ACL2____GET-GUARD-CHECKING","Get-guard-checking","GET-GUARD-CHECKING",[68],"Get the status most recently installed by <tt><see topic=\"ACL2____SET-GUARD-CHECKING\">set-guard-checking</see></tt>"],
 ["ACL2____GET-ENFORCE-REDUNDANCY","Get-enforce-redundancy","GET-ENFORCE-REDUNDANCY",[68],"Query the <see topic=\"ACL2____WORLD\">world</see> on whether redundancy is being enforced"],
 ["ACL2____Flawed_02Induction_02Candidates_02in_02App_02Example","Flawed Induction Candidates in App Example","Flawed Induction Candidates in App Example",[109],"Flawed Induction Candidates in App Example"],
 ["ACL2____FMT1","Fmt1","FMT1",[16,130],"<v>(<see topic=\"ACL2____FMT1\">fmt1</see> str alist col co-channel state evisc) =&gt; (<see topic=\"ACL2____MV\">mv</see> col state)</v>"],
 ["ACL2____FMT-TO-COMMENT-WINDOW_B2","Fmt-to-comment-window+","FMT-TO-COMMENT-WINDOW+",[173,16,130],"Print uninhibited to the comment window"],
 ["ACL2____EXIT","Exit","EXIT",[622],"Quit entirely out of Lisp"],
 ["ACL2____CW-PRINT-BASE-RADIX_12","Cw-print-base-radix!","CW-PRINT-BASE-RADIX!",[16,130],"Print to the comment window in a given print-base"],
 ["ACL2____BACKCHAINING","Backchaining","BACKCHAINING",[11],"Attempting to relieve the hypotheses of a rule"],
 ["ACL2____ASSOC-EQUAL","Assoc-equal","ASSOC-EQUAL",[321],"See <see topic=\"COMMON-LISP____ASSOC\">assoc</see>."],
 ["ACL2____ALIST-KEYS-SUBSETP","Alist-keys-subsetp","ALIST-KEYS-SUBSETP",[636,130],"Check that all keys of the alist belong to a given set"],
 ["ACL2____ADD-DIVE-INTO-MACRO","Add-dive-into-macro","ADD-DIVE-INTO-MACRO",[703],"Associate <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> diving function with macro name"],
 ["ACL2____ACL2_02as_02an_02Interactive_02Theorem_02Prover","ACL2 as an Interactive Theorem Prover","ACL2 as an Interactive Theorem Prover",[109],"ACL2 as an Interactive Theorem Prover"],
 ["ACL2____ACCESS","Access","ACCESS",[472,130],"Accessor macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2-PC____QUIET_12","ACL2-pc::quiet!","QUIET!",[198],"(meta) \u000Arun instructions without prover output"],
 ["ACL2-PC____ORELSE","ACL2-pc::orelse","ORELSE",[198],"(macro) \u000Arun the first instruction; if (and only if) it ``fails'', run the \u000Asecond"],
 ["ACL2-PC____GOALS","ACL2-pc::goals","GOALS",[198,435],"(macro) \u000Alist the names of goals on the stack"],
 ["ACL2-PC____DO-STRICT","ACL2-pc::do-strict","DO-STRICT",[198],"(macro) \u000Arun the given instructions, halting once there is a ``failure''"],
 ["COMMON-LISP____PLUSP","Plusp","PLUSP",[245,130],"Test whether a number is positive"],
 ["COMMON-LISP____IMAGPART","Imagpart","IMAGPART",[245,130],"Imaginary part of a complex number"],
 ["ACL2____WORMHOLE-DATA","Wormhole-data","WORMHOLE-DATA",[38],"Determines the wormhole data object from a wormhole status object"],
 ["ACL2____WELL-FOUNDED-RELATION","Well-founded-relation","WELL-FOUNDED-RELATION",[11],"Show that a relation is well-founded on a set"],
 ["ACL2____Using_02the_02Associativity_02of_02App_02to_02Prove_02a_02Trivial_02Consequence","Using the Associativity of App to Prove a Trivial Consequence","Using the Associativity of App to Prove a Trivial Consequence",[109],"Using the Associativity of App to Prove a Trivial Consequence"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_028_92","The Simplification of the Induction Conclusion (Step 8)","The Simplification of the Induction Conclusion (Step 8)",[109],"The Simplification of the Induction Conclusion (Step 8)"],
 ["ACL2____The_02Instantiation_02of_02the_02Induction_02Scheme","The Instantiation of the Induction Scheme","The Instantiation of the Induction Scheme",[109],"The Instantiation of the Induction Scheme"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_020_92","The Final Simplification in the Base Case (Step 0)","The Final Simplification in the Base Case (Step 0)",[109],"The Final Simplification in the Base Case (Step 0)"],
 ["ACL2____TRUE-LIST-LISTP","True-list-listp","TRUE-LIST-LISTP",[343,423,130],"Recognizer for true (proper) lists of true lists"],
 ["ACL2____SYNTAX","Syntax","SYNTAX",[572],"The syntax of ACL2 is that of Common Lisp"],
 ["ACL2____SHOW-BRR-EVISC-TUPLE","Show-brr-evisc-tuple","SHOW-BRR-EVISC-TUPLE",[74,667],"Display the <tt><see topic=\"ACL2____BRR-EVISC-TUPLE\">brr-evisc-tuple</see></tt>"],
 ["ACL2____SET-RAW-MODE-ON_12","Set-raw-mode-on!","SET-RAW-MODE-ON!",[23],"Enter ``raw mode,'' a raw Lisp environment (adds trust tag)"],
 ["ACL2____SET-OVERRIDE-HINTS_12","Set-override-hints!","SET-OVERRIDE-HINTS!",[72],"Set the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see> non-<see topic=\"ACL2____LOCAL\">local</see>ly"],
 ["ACL2____SERIALIZE-ALTERNATIVES","Serialize-alternatives","SERIALIZE-ALTERNATIVES",[868],"Historic alternatives to the <see topic=\"ACL2____SERIALIZE\">serialize</see> routines."],
 ["ACL2____RETRIEVE","Retrieve","RETRIEVE",[42],"Re-enter a (specified) <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> state"],
 ["ACL2____R-SYMBOL-ALISTP","R-symbol-alistp","R-SYMBOL-ALISTP",[636,130],"Recognizer for association lists with symbols as values"],
 ["ACL2____R-EQLABLE-ALISTP","R-eqlable-alistp","R-EQLABLE-ALISTP",[636,130],"Recognizer for a true list of pairs whose <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>s are suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Induction_02Step_02to_02T","Overview of the Simplification of the Induction Step to T","Overview of the Simplification of the Induction Step to T",[109],"Overview of the Simplification of the Induction Step to T"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Induction_02Conclusion","Overview of the Simplification of the Induction Conclusion","Overview of the Simplification of the Induction Conclusion",[109],"Overview of the Simplification of the Induction Conclusion"],
 ["ACL2____On_02the_02Naming_02of_02Subgoals","On the Naming of Subgoals","On the Naming of Subgoals",[109],"On the Naming of Subgoals"],
 ["ACL2____Nontautological_02Subgoals","Nontautological Subgoals","Nontautological Subgoals",[109],"Prover output omits some details"],
 ["ACL2____NEAR-MISSES","Near-misses","NEAR-MISSES",[512],"Approximate event name matches"],
 ["ACL2____INTEGER-RANGE-P","Integer-range-p","INTEGER-RANGE-P",[245,130],"Recognizer for integers between two bounds."],
 ["ACL2____INCOMPATIBLE_12","Incompatible!","INCOMPATIBLE!",[5],"Declaring that two rules must exist and should not both be <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2____ESCAPE-TO-COMMON-LISP","Escape-to-common-lisp","ESCAPE-TO-COMMON-LISP",[567],"Escaping to Common Lisp"],
 ["ACL2____DEFUND-NOTINLINE","Defund-notinline","DEFUND-NOTINLINE",[1,77],"Define a disabled, not-to-be-inlined function symbol and associated macro"],
 ["ACL2____DEFND","Defnd","DEFND",[1,77],"<see topic=\"ACL2____DISABLE\">disable</see>d definition with <see topic=\"ACL2____GUARD\">guard</see> <v>t</v>"],
 ["ACL2____DEFN","Defn","DEFN",[1,77],"Definition with <see topic=\"ACL2____GUARD\">guard</see> <v>t</v>"],
 ["ACL2____CW_12_B2","Cw!+","CW!+",[173,16,130],"Print readably and uninhibited to the comment window"],
 ["ACL2____CTXP","Ctxp","CTXP",[734],"Recognizer for context objects for error messages"],
 ["ACL2____CONS-SUBTREES","Cons-subtrees","CONS-SUBTREES",[237,130],"Build a fast alist whose keys are the subtrees of X"],
 ["ACL2____CONS-COUNT-BOUNDED","Cons-count-bounded","CONS-COUNT-BOUNDED",[457,130],"Count the number of conses (up to a limit)"],
 ["ACL2____COMPLEX-RATIONALP","Complex-rationalp","COMPLEX-RATIONALP",[245,130],"Recognizes complex rational numbers"],
 ["ACL2____CLOSE-TRACE-FILE","Close-trace-file","CLOSE-TRACE-FILE",[550],"Stop redirecting trace output to a file"],
 ["ACL2____CLEAR-MEMOIZE-TABLE","Clear-memoize-table","CLEAR-MEMOIZE-TABLE",[30],"Forget values remembered for the given function"],
 ["ACL2____CLEAR-MEMOIZE-STATISTICS","Clear-memoize-statistics","CLEAR-MEMOIZE-STATISTICS",[30],"Clears all profiling info displayed by <v>(</v><tt><see topic=\"ACL2____MEMOIZE-SUMMARY\">memoize-summary</see></tt><v>)</v>"],
 ["ACL2____BITP","Bitp","BITP",[245,130],"A recognizer for the set of bits, {0,1}"],
 ["ACL2____ALIST-TO-DOUBLETS","Alist-to-doublets","ALIST-TO-DOUBLETS",[636,130],"Convert an alist to a list of two-element lists"],
 ["ACL2____ADD-OVERRIDE-HINTS_12","Add-override-hints!","ADD-OVERRIDE-HINTS!",[72],"Add non-<see topic=\"ACL2____LOCAL\">local</see>ly to the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2-PC____RETAIN","ACL2-pc::retain","RETAIN",[198],"(atomic macro) \u000Adrop all <b>but</b> the indicated top-level hypotheses"],
 ["ACL2-PC____PRO","ACL2-pc::pro","PRO",[198],"(atomic macro) \u000Arepeatedly apply promote"],
 ["ACL2-PC____PRINT-ALL-CONCS","ACL2-pc::print-all-concs","PRINT-ALL-CONCS",[198],"(macro) \u000Aprint all the conclusions of (as yet unproved) goals"],
 ["ACL2-PC____DROP","ACL2-pc::drop","DROP",[198,435],"(primitive) \u000Adrop top-level hypotheses"],
 ["ACL2-PC____DO-ALL-NO-PROMPT","ACL2-pc::do-all-no-prompt","DO-ALL-NO-PROMPT",[198],"(macro) \u000Arun the given instructions, halting once there is a ``failure''"],
 ["COMMON-LISP____REALPART","Realpart","REALPART",[245,130],"Real part of a complex number"],
 ["COMMON-LISP____PAIRLIS","Pairlis","PAIRLIS",[343,636],"See <see topic=\"ACL2____PAIRLIS_42\">pairlis$</see>"],
 ["ACL2____What_02is_02a_02Mechanical_02Theorem_02Prover_82Q_92_02_82cont_92","What is a Mechanical Theorem Prover(Q) (cont)","What is a Mechanical Theorem Prover(Q) (cont)",[109],"What is a Mechanical Theorem Prover? (cont)"],
 ["ACL2____WORMHOLE-STATUSP","Wormhole-statusp","WORMHOLE-STATUSP",[38],"Predicate recognizing well-formed wormhole status object"],
 ["ACL2____WORMHOLE-P","Wormhole-p","WORMHOLE-P",[38],"Predicate to determine if you are inside a <tt><see topic=\"ACL2____WORMHOLE\">wormhole</see></tt>"],
 ["ACL2____WORMHOLE-ENTRY-CODE","Wormhole-entry-code","WORMHOLE-ENTRY-CODE",[38],"Determines the wormhole entry code from a wormhole status object"],
 ["ACL2____UNSAVE","Unsave","UNSAVE",[42],"Remove a <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> state"],
 ["ACL2____UNQUOTE","Unquote","UNQUOTE",[799,130],"Obtain the object being quoted"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0212_92","The Simplification of the Induction Conclusion (Step 12)","The Simplification of the Induction Conclusion (Step 12)",[109],"The Simplification of the Induction Conclusion (Step 12)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0210_92","The Simplification of the Induction Conclusion (Step 10)","The Simplification of the Induction Conclusion (Step 10)",[109],"The Simplification of the Induction Conclusion (Step 10)"],
 ["ACL2____The_02End_02of_02the_02Flying_02Tour","The End of the Flying Tour","The End of the Flying Tour",[109],"The End of the Flying Tour"],
 ["ACL2____The_02Base_02Case_02in_02the_02App_02Example","The Base Case in the App Example","The Base Case in the App Example",[109],"The Base Case in the App Example"],
 ["ACL2____STANDARD-PART","Standard-part","STANDARD-PART",[354],"ACL2(r) function mapping limited numbers to standard numbers"],
 ["ACL2____STANDARD-CHAR-P_B2","Standard-char-p+","STANDARD-CHAR-P+",[904,57,130],"Recognizer for standard characters whose guard is <v>t</v>"],
 ["ACL2____SET-RW-CACHE-STATE_12","Set-rw-cache-state!","SET-RW-CACHE-STATE!",[12],"Set the default rw-cache-state non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SET-RAW-MODE-ON","Set-raw-mode-on","SET-RAW-MODE-ON",[23],"Enter ``raw mode,'' a raw Lisp environment (requires trust tag)"],
 ["ACL2____SET-COMPILER-ENABLED","Set-compiler-enabled","SET-COMPILER-ENABLED",[104],"Disable <see topic=\"ACL2____COMPILATION\">compilation</see>."],
 ["ACL2____SET-BRR-EVISC-TUPLE","Set-brr-evisc-tuple","SET-BRR-EVISC-TUPLE",[74,667,108],"Set the <tt><see topic=\"ACL2____BRR-EVISC-TUPLE\">brr-evisc-tuple</see></tt>"],
 ["ACL2____RESTORE-MEMOIZATION-SETTINGS","Restore-memoization-settings","RESTORE-MEMOIZATION-SETTINGS",[30],"Restore the saved memoization settings"],
 ["ACL2____REMOVE-BINOP","Remove-binop","REMOVE-BINOP",[723],"Remove the association of a function name with a macro name"],
 ["ACL2____QUIT","Quit","QUIT",[622],"Quit entirely out of Lisp"],
 ["ACL2____PSEUDO-TERM-LISTP","Pseudo-term-listp","PSEUDO-TERM-LISTP",[6,130],"A predicate for recognizing lists of term-like s-expressions"],
 ["ACL2____PROPER-CONSP","Proper-consp","PROPER-CONSP",[343,130],"Recognizer for proper (<v>nil</v>-terminated) non-empty lists"],
 ["ACL2____PROOF-CHECKER","Proof-checker","PROOF-CHECKER",[42],"Old name for <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see>"],
 ["ACL2____PACKN-POS","Packn-pos","PACKN-POS",[945,130],"Build a symbol in a specified package from a list"],
 ["ACL2____NOTE-2-1","Note-2-1","NOTE-2-1",[186],"ACL2 Version  2.1 (December, 1997) Notes"],
 ["ACL2____NEWLINE","Newline","NEWLINE",[16,842],"Print a newline to a given output channel"],
 ["ACL2____MANAGING-ACL2-PACKAGES","Managing-ACL2-packages","MANAGING-ACL2-PACKAGES",[700],"User-contributed documentation on packages"],
 ["ACL2____KWOTE-LST","Kwote-lst","KWOTE-LST",[6,130],"Quote an arbitrary true list of objects"],
 ["ACL2____IMPROPER-CONSP","Improper-consp","IMPROPER-CONSP",[343,130],"Recognizer for improper (non-<v>nil</v>-terminated) non-empty lists"],
 ["ACL2____FMX","Fmx","FMX",[16,130],"<v>(<see topic=\"ACL2____FMX\">fmx</see> str &amp;rest args) =&gt; state</v>"],
 ["ACL2____FC-REPORT","Fc-report","FC-REPORT",[127],"To report on the forward chaining activity in the most recent proof"],
 ["ACL2____DO-NOT","Do-not","DO-NOT",[19],"Instruct the theorem prover not to do certain things."],
 ["ACL2____DEFUND-INLINE","Defund-inline","DEFUND-INLINE",[1,77],"Define a potentially disabled, inlined function symbol and associated macro"],
 ["ACL2____DEFAULT-BACKCHAIN-LIMIT","Default-backchain-limit","DEFAULT-BACKCHAIN-LIMIT",[11],"Specifying the backchain limit for a rule"],
 ["ACL2____CW_B2","Cw+","CW+",[173,16,130],"Print uninhibited to the comment window"],
 ["ACL2____ATOM-LISTP","Atom-listp","ATOM-LISTP",[751,343,130],"Recognizer for a true list of <see topic=\"COMMON-LISP____ATOM\">atom</see>s"],
 ["ACL2____ACTIVE-OR-NON-RUNEP","Active-or-non-runep","ACTIVE-OR-NON-RUNEP",[5],"Require a <see topic=\"ACL2____RUNE\">rune</see> to exist, and check that it is <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2____ABORT_12","Abort!","ABORT!",[15],"To return to the top-level of ACL2's command loop"],
 ["ACL2-PC____X-DUMB","ACL2-pc::x-dumb","X-DUMB",[198,435],"(atomic macro) \u000Aexpand function call at the current subterm, without simplifying"],
 ["ACL2-PC____SUCCEED","ACL2-pc::succeed","SUCCEED",[198],"(macro) \u000Arun the given instructions, and ``succeed''"],
 ["ACL2-PC____PRINT-ALL-GOALS","ACL2-pc::print-all-goals","PRINT-ALL-GOALS",[198],"(macro) \u000Aprint all the (as yet unproved) goals"],
 ["ACL2-PC____PP","ACL2-pc::pp","PP",[198],"(macro) \u000Aprettyprint the current term in internal (translated) form"],
 ["ACL2-PC____NOISE_12","ACL2-pc::noise!","NOISE!",[198],"(meta) \u000Arun instructions with prover and proof-tree output"],
 ["ACL2-PC____NIL","ACL2-pc::nil","NIL",[198],"(macro) used for interpreting <v>control-d</v>"],
 ["ACL2-PC____NEGATE","ACL2-pc::negate","NEGATE",[198],"(macro) \u000Arun the given instructions, and ``succeed'' if and only if they ``fail''"],
 ["ACL2-PC____ILLEGAL","ACL2-pc::illegal","ILLEGAL",[198],"(macro) \u000Aillegal instruction"],
 ["ACL2-PC____ELIM","ACL2-pc::elim","ELIM",[198],"(atomic macro) \u000Acall the ACL2 theorem prover's elimination process"],
 ["COMMON-LISP____IGNORE","Ignore","IGNORE",[321],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____DECLARATION","Declaration","DECLARATION",[321],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____CHARACTERP","Characterp","CHARACTERP",[57,130],"Recognizer for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CDDR","Cddr","CDDR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>"],
 ["ACL2____XOR","Xor","XOR",[635,130],"Logical ``exclusive or''"],
 ["ACL2____VALUE","Value","VALUE",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0211_92","The Simplification of the Induction Conclusion (Step 11)","The Simplification of the Induction Conclusion (Step 11)",[109],"The Simplification of the Induction Conclusion (Step 11)"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_023_92","The Final Simplification in the Base Case (Step 3)","The Final Simplification in the Base Case (Step 3)",[109],"The Final Simplification in the Base Case (Step 3)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_021_92","The Expansion of ENDP in the Induction Step (Step 1)","The Expansion of ENDP in the Induction Step (Step 1)",[109],"The Expansion of ENDP in the Induction Step (Step 1)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_020_92","The Expansion of ENDP in the Induction Step (Step 0)","The Expansion of ENDP in the Induction Step (Step 0)",[109],"The Expansion of ENDP in the Induction Step (Step 0)"],
 ["ACL2____The_02End_02of_02the_02Proof_02of_02the_02Associativity_02of_02App","The End of the Proof of the Associativity of App","The End of the Proof of the Associativity of App",[109],"The End of the Proof of the Associativity of App"],
 ["ACL2____SHOW-FC-CRITERIA","Show-fc-criteria","SHOW-FC-CRITERIA",[127],"Print the forward-chaining tracking criteria"],
 ["ACL2____SET-BOGUS-MEASURE-OK","Set-bogus-measure-ok","SET-BOGUS-MEASURE-OK",[1],"Allow unnecessary <see topic=\"ACL2____MEASURE\">measure</see>s and <v>(<see topic=\"ACL2____XARGS\">xargs</see> :hints ...)</v>."],
 ["ACL2____PRINT-BASE-P","Print-base-p","PRINT-BASE-P",[16,130],"Recognizer for print bases that are understood by functions such as \u000A<see topic=\"ACL2____EXPLODE-NONNEGATIVE-INTEGER\">explode-nonnegative-integer</see> and <see topic=\"ACL2____EXPLODE-ATOM\">explode-atom</see>."],
 ["ACL2____PARALLEL-EXECUTION","Parallel-execution","PARALLEL-EXECUTION",[410],"For ACL2(p): configure parallel execution"],
 ["ACL2____PARALLEL","Parallel","PARALLEL",[125],"Evaluating forms in parallel"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Base_02Case_02to_02T","Overview of the Simplification of the Base Case to T","Overview of the Simplification of the Base Case to T",[109],"Overview of the Simplification of the Base Case to T"],
 ["ACL2____NOTE-2-9_82R_92","Note-2-9(r)","NOTE-2-9(R)",[186],"ACL2 Version  2.9(r) (October, 2004) Notes"],
 ["ACL2____NOTE-2-6_82R_92","Note-2-6(r)","NOTE-2-6(R)",[186],"ACL2 Version  2.6(r) (November, 2001) Notes"],
 ["ACL2____NAT-LISTP","Nat-listp","NAT-LISTP",[245,343,130],"Recognizer for a true list of natural  numbers"],
 ["ACL2____MONITORED-RUNES","Monitored-runes","MONITORED-RUNES",[34],"Print the <see topic=\"ACL2____MONITOR\">monitor</see>ed <see topic=\"ACL2____RUNE\">rune</see>s and their break conditions"],
 ["ACL2____MEMBER-EQ","Member-eq","MEMBER-EQ",[321],"See <see topic=\"COMMON-LISP____MEMBER\">member</see>."],
 ["ACL2____MBE1","Mbe1","MBE1",[51,130],"Attach code for execution"],
 ["ACL2____I-LIMITED","I-limited","I-LIMITED",[354],"ACL2(r) recognizer for limited numbers"],
 ["ACL2____I-CLOSE","I-close","I-CLOSE",[354],"ACL2(r) test for whether two numbers are infinitesimally close"],
 ["ACL2____DEFMACRO-LAST","Defmacro-last","DEFMACRO-LAST",[77],"Define a macro that returns its last argument, but with side effects"],
 ["ACL2____CHARACTER-LISTP","Character-listp","CHARACTER-LISTP",[57,343,130],"Recognizer for a true list of characters"],
 ["ACL2____BOOLEAN-LISTP","Boolean-listp","BOOLEAN-LISTP",[1197,343,130],"Recognizer for a true list of booleans"],
 ["ACL2____ACL2-NUMBER-LISTP","ACL2-number-listp","ACL2-NUMBER-LISTP",[245,343,130],"Recognizer for a true list of numbers"],
 ["ACL2-PC____SLS","ACL2-pc::sls","SLS",[198],"(macro) \u000Asame as SHOW-LINEARS"],
 ["ACL2-PC____QUIET","ACL2-pc::quiet","QUIET",[198],"(meta) \u000Arun instructions without prover output"],
 ["COMMON-LISP____NUMERATOR","Numerator","NUMERATOR",[245,130],"Dividend of a ratio in lowest terms"],
 ["COMMON-LISP____KEYWORD","Keyword","KEYWORD",[321],"See <see topic=\"COMMON-LISP____KEYWORDP\">keywordp</see>."],
 ["COMMON-LISP____DENOMINATOR","Denominator","DENOMINATOR",[245,130],"Divisor of a ratio in lowest terms"],
 ["ACL2____The_02Summary_02of_02the_02Proof_02of_02the_02Trivial_02Consequence","The Summary of the Proof of the Trivial Consequence","The Summary of the Proof of the Trivial Consequence",[109],"The Summary of the Proof of the Trivial Consequence"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_027_92","The Simplification of the Induction Conclusion (Step 7)","The Simplification of the Induction Conclusion (Step 7)",[109],"The Simplification of the Induction Conclusion (Step 7)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_026_92","The Simplification of the Induction Conclusion (Step 6)","The Simplification of the Induction Conclusion (Step 6)",[109],"The Simplification of the Induction Conclusion (Step 6)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_025_92","The Simplification of the Induction Conclusion (Step 5)","The Simplification of the Induction Conclusion (Step 5)",[109],"The Simplification of the Induction Conclusion (Step 5)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_024_92","The Simplification of the Induction Conclusion (Step 4)","The Simplification of the Induction Conclusion (Step 4)",[109],"The Simplification of the Induction Conclusion (Step 4)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_022_92","The Simplification of the Induction Conclusion (Step 2)","The Simplification of the Induction Conclusion (Step 2)",[109],"The Simplification of the Induction Conclusion (Step 2)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_020_92","The Simplification of the Induction Conclusion (Step 0)","The Simplification of the Induction Conclusion (Step 0)",[109],"The Simplification of the Induction Conclusion (Step 0)"],
 ["ACL2____The_02Justification_02of_02the_02Induction_02Scheme","The Justification of the Induction Scheme","The Justification of the Induction Scheme",[109],"The Justification of the Induction Scheme"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_021_92","The Final Simplification in the Base Case (Step 1)","The Final Simplification in the Base Case (Step 1)",[109],"The Final Simplification in the Base Case (Step 1)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_022_92","The Expansion of ENDP in the Induction Step (Step 2)","The Expansion of ENDP in the Induction Step (Step 2)",[109],"The Expansion of ENDP in the Induction Step (Step 2)"],
 ["ACL2____SYMBOL-NAME-LST","Symbol-name-lst","SYMBOL-NAME-LST",[945,130],"Lift <tt><see topic=\"COMMON-LISP____SYMBOL-NAME\">symbol-name</see></tt> to lists"],
 ["ACL2____STRING-LISTP","String-listp","STRING-LISTP",[627,343,130],"Recognizer for a true list of strings"],
 ["ACL2____SET-LD-SKIP-PROOFSP","Set-ld-skip-proofsp","SET-LD-SKIP-PROOFSP",[321],"See <see topic=\"ACL2____LD-SKIP-PROOFSP\">ld-skip-proofsp</see>."],
 ["ACL2____REDUNDANT","Redundant","REDUNDANT",[321],"See <see topic=\"ACL2____REDUNDANT-EVENTS\">redundant-events</see>."],
 ["ACL2____RATIONAL-LISTP","Rational-listp","RATIONAL-LISTP",[245,343,130],"Recognizer for a true list of rational numbers"],
 ["ACL2____Popping_02out_02of_02an_02Inductive_02Proof","Popping out of an Inductive Proof","Popping out of an Inductive Proof",[109],"Popping out of an Inductive Proof"],
 ["ACL2____PROPS","Props","PROPS",[4],"Print the ACL2 properties on a symbol"],
 ["ACL2____POS-LISTP","Pos-listp","POS-LISTP",[245,343,130],"Recognizer for a true list of positive integers"],
 ["ACL2____PAIRLIS-X2","Pairlis-x2","PAIRLIS-X2",[343,636,130],"Cons each element of a list with a given element"],
 ["ACL2____PAIRLIS-X1","Pairlis-x1","PAIRLIS-X1",[343,636,130],"Cons a given element to each member of a list"],
 ["ACL2____Overview_02of_02the_02Expansion_02of_02ENDP_02in_02the_02Base_02Case","Overview of the Expansion of ENDP in the Base Case","Overview of the Expansion of ENDP in the Base Case",[109],"Overview of the Expansion of ENDP in the Base Case"],
 ["ACL2____O_E3_D3","O&gt;=","O>=",[96,130],"The greater-than-or-equal relation for the ordinals"],
 ["ACL2____O_C3_D3","O&lt;=","O<=",[96,130],"The less-than-or-equal relation for the ordinals"],
 ["ACL2____O-INFP","O-infp","O-INFP",[96,130],"Recognizes if an ordinal is infinite"],
 ["ACL2____NOTE-3-1_82R_92","Note-3-1(r)","NOTE-3-1(R)",[186],"ACL2 Version  3.1(r) (December, 2006) Notes"],
 ["ACL2____NOTE-3-0_82R_92","Note-3-0(r)","NOTE-3-0(R)",[186],"ACL2 Version  3.0(r) (June, 2006) Notes"],
 ["ACL2____NOTE-3-0-1_82R_92","Note-3-0-1(r)","NOTE-3-0-1(R)",[186],"ACL2 Version  3.0.1(r) (August, 2006) Notes"],
 ["ACL2____NOTE-2-7-PROOF-BUILDER","Note-2-7-proof-builder","NOTE-2-7-PROOF-BUILDER",[159],"ACL2 Version  2.7 Notes on proof-builder Changes"],
 ["ACL2____NOTE-2-5_82R_92","Note-2-5(r)","NOTE-2-5(R)",[186],"ACL2 Version  2.5(r) (June, 2000) Notes"],
 ["ACL2____NORMALIZATION","Normalization","NORMALIZATION",[321],"See <see topic=\"ACL2____NORMALIZE\">normalize</see>."],
 ["ACL2____NON-EXECUTABLE","Non-executable","NON-EXECUTABLE",[321],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:non-executable</v>."],
 ["ACL2____META-EXTRACT-GLOBAL-FACT","Meta-extract-global-fact","META-EXTRACT-GLOBAL-FACT",[321],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____MERGE-SORT-LEXORDER","Merge-sort-lexorder","MERGE-SORT-LEXORDER",[343,130],"Sort a list"],
 ["ACL2____MAKE-CHARACTER-LIST","Make-character-list","MAKE-CHARACTER-LIST",[57,130],"<see topic=\"COMMON-LISP____COERCE\">coerce</see> to a list of characters"],
 ["ACL2____KEYWORD-LISTP","Keyword-listp","KEYWORD-LISTP",[343,1019,130],"Recognizer for true lists of keywords"],
 ["ACL2____I-SMALL","I-small","I-SMALL",[354],"ACL2(r) recognizer for infinitesimal numbers"],
 ["ACL2____I-LARGE","I-large","I-LARGE",[354],"ACL2(r) recognizer for infinitely large numbers"],
 ["ACL2____FIX-TRUE-LIST","Fix-true-list","FIX-TRUE-LIST",[343,130],"Coerce to a true list"],
 ["ACL2____DEFDOC","Defdoc","DEFDOC",[77],"Deprecated event (formerly for adding documentation)"],
 ["ACL2____DEFAULT-VERIFY-GUARDS-EAGERNESS","Default-verify-guards-eagerness","DEFAULT-VERIFY-GUARDS-EAGERNESS",[321],"See <see topic=\"ACL2____SET-VERIFY-GUARDS-EAGERNESS\">set-verify-guards-eagerness</see>."],
 ["ACL2-PC____EX","ACL2-pc::ex","EX",[198],"(macro) \u000Aexit after possibly saving the state"],
 ["ACL2-PC____COMMENT","ACL2-pc::comment","COMMENT",[198],"(primitive) \u000Ainsert a comment"],
 ["ACL2-PC____CG","ACL2-pc::cg","CG",[198,435],"(macro) \u000Achange to another goal."],
 ["ACL2-PC____ACL2-WRAP","ACL2-pc::ACL2-wrap","ACL2-WRAP",[198],"(macro) same as <v>(lisp x)</v>"],
 ["COMMON-LISP____REST","Rest","REST",[419,130],"Rest (<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>) of the list"],
 ["COMMON-LISP____CDDDR","Cdddr","CDDDR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDR\">cddr</see></tt>"],
 ["COMMON-LISP____CADDR","Caddr","CADDR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDR\">cddr</see></tt>"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_023_92","The Simplification of the Induction Conclusion (Step 3)","The Simplification of the Induction Conclusion (Step 3)",[109],"The Simplification of the Induction Conclusion (Step 3)"],
 ["ACL2____The_02Q.E.D._02Message","The Q.E.D. Message","The Q.E.D. Message",[109],"The Q.E.D. Message"],
 ["ACL2____SET-FMT-SOFT-RIGHT-MARGIN","Set-fmt-soft-right-margin","SET-FMT-SOFT-RIGHT-MARGIN",[16,130],"Set the soft right margin for formatted output"],
 ["ACL2____REAL-LISTP","Real-listp","REAL-LISTP",[354,343,130],"ACL2(r) recognizer for a true list of real numbers"],
 ["ACL2____Overview_02of_02the_02Final_02Simplification_02in_02the_02Base_02Case","Overview of the Final Simplification in the Base Case","Overview of the Final Simplification in the Base Case",[109],"Overview of the Final Simplification in the Base Case"],
 ["ACL2____O_E3","O&gt;","O>",[96,130],"The greater-than relation for the ordinals"],
 ["ACL2____OBSERVATION-CW","Observation-cw","OBSERVATION-CW",[321],"See <see topic=\"ACL2____OBSERVATION\">observation</see>."],
 ["ACL2____EXPAND","Expand","EXPAND",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:expand</v>."],
 ["ACL2____BIBLIOGRAPHY","Bibliography","BIBLIOGRAPHY",[862],"Reports about ACL2"],
 ["ACL2____ASSOC-EQ","Assoc-eq","ASSOC-EQ",[321],"See <see topic=\"COMMON-LISP____ASSOC\">assoc</see>."],
 ["ACL2-PC____SKIP","ACL2-pc::skip","SKIP",[198],"(macro) \u000A``succeed'' without doing anything"],
 ["ACL2-PC____FREE","ACL2-pc::free","FREE",[198],"(atomic macro) \u000Acreate a ``free variable''"],
 ["COMMON-LISP____CDDAR","Cddar","CDDAR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAR\">cdar</see></tt>"],
 ["COMMON-LISP____CDAR","Cdar","CDAR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>"],
 ["COMMON-LISP____CDADR","Cdadr","CDADR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADR\">cadr</see></tt>"],
 ["COMMON-LISP____CDAAR","Cdaar","CDAAR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAR\">caar</see></tt>"],
 ["COMMON-LISP____CADAR","Cadar","CADAR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAR\">cdar</see></tt>"],
 ["COMMON-LISP____CAAR","Caar","CAAR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>"],
 ["COMMON-LISP____CAADR","Caadr","CAADR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADR\">cadr</see></tt>"],
 ["COMMON-LISP____CAAAR","Caaar","CAAAR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAR\">caar</see></tt>"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_022_92","The Final Simplification in the Base Case (Step 2)","The Final Simplification in the Base Case (Step 2)",[109],"The Final Simplification in the Base Case (Step 2)"],
 ["ACL2____SET-WATERFALL-PARALLELISM-HACKS-ENABLED_12","Set-waterfall-parallelism-hacks-enabled!","SET-WATERFALL-PARALLELISM-HACKS-ENABLED!",[125],"For ACL2(p): enabling waterfall parallelism hacks"],
 ["ACL2____Perhaps","Perhaps","Perhaps",[109],"Perhaps"],
 ["ACL2____POSITION-EQUAL","Position-equal","POSITION-EQUAL",[321],"See <see topic=\"COMMON-LISP____POSITION\">position</see>."],
 ["ACL2____OBDD","Obdd","OBDD",[463],"Ordered binary decision diagrams with rewriting"],
 ["ACL2____Name_02the_02Formula_02Above","Name the Formula Above","Name the Formula Above",[109],"Name the Formula Above"],
 ["ACL2____NOTE-2-8-ORDINALS","Note-2-8-ordinals","NOTE-2-8-ORDINALS",[137],"ACL2 Version  2.8 Notes on Changes to the Ordinals"],
 ["ACL2____NOTE-2-8-GUARDS","Note-2-8-guards","NOTE-2-8-GUARDS",[137],"ACL2 Version  2.8 Notes on Guard-related Changes"],
 ["ACL2____IPRINT","Iprint","IPRINT",[321],"See <see topic=\"ACL2____SET-IPRINT\">set-iprint</see>."],
 ["ACL2____HIDDEN-DEFPKG","Hidden-defpkg","HIDDEN-DEFPKG",[700,31],"Handling defpkg events that are local"],
 ["ACL2____DEFAULT-TOTAL-PARALLELISM-WORK-LIMIT","Default-total-parallelism-work-limit","DEFAULT-TOTAL-PARALLELISM-WORK-LIMIT",[1134],"For ACL2(p): returns the default value for global \u000A  <v>total-parallelism-work-limit</v>"],
 ["ACL2____CLEAR-HASH-TABLES","Clear-hash-tables","CLEAR-HASH-TABLES",[30],"Deprecated feature"],
 ["COMMON-LISP____INLINE","Inline","INLINE",[321],"See <see topic=\"ACL2____DEFUN-INLINE\">defun-inline</see>."],
 ["COMMON-LISP____IGNORABLE","Ignorable","IGNORABLE",[321],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____CADDDR","Cadddr","CADDDR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDDR\">cdddr</see></tt>"],
 ["COMMON-LISP____CADDAR","Caddar","CADDAR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDAR\">cddar</see></tt>"],
 ["ACL2____WATERFALL-PRINTING","Waterfall-printing","WATERFALL-PRINTING",[1134],"For ACL2(p): configuring the printing within the parallelized waterfall"],
 ["ACL2____WATERFALL","Waterfall","WATERFALL",[321],"See <see topic=\"ACL2____HINTS-AND-THE-WATERFALL\">hints-and-the-waterfall</see>."],
 ["ACL2____USE","Use","USE",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:use</v>."],
 ["ACL2____UNION-EQ","Union-eq","UNION-EQ",[321],"See <see topic=\"ACL2____UNION_42\">union$</see>."],
 ["ACL2____TRUST-TAG","Trust-tag","TRUST-TAG",[321],"See <see topic=\"ACL2____DEFTTAG\">defttag</see>."],
 ["ACL2____TAMEP","Tamep","TAMEP",[321],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____TABLE-ALIST","Table-alist","TABLE-ALIST",[321],"See <see topic=\"ACL2____TABLE\">table</see>."],
 ["ACL2____SUBVERSIVE-INDUCTIONS","Subversive-inductions","SUBVERSIVE-INDUCTIONS",[572],"Why we restrict <see topic=\"ACL2____ENCAPSULATE\">encapsulate</see>d recursive functions"],
 ["ACL2____SUBLIS-VAR","Sublis-var","SUBLIS-VAR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJS-OUT","Stobjs-out","STOBJS-OUT",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJS","Stobjs","STOBJS",[321],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:stobjs</v>."],
 ["ACL2____SPLIT-TYPES","Split-types","SPLIT-TYPES",[321],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:split-types</v>."],
 ["ACL2____SET-SKIP-META-TERMP-CHECKS_12","Set-skip-meta-termp-checks!","SET-SKIP-META-TERMP-CHECKS!",[27,55],"Skip output checks non-<see topic=\"ACL2____LOCAL\">local</see>ly for <see topic=\"ACL2____META\">meta</see> functions and \u000A <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see>s"],
 ["ACL2____REMOVE-EQUAL","Remove-equal","REMOVE-EQUAL",[321],"See <see topic=\"COMMON-LISP____REMOVE\">remove</see>."],
 ["ACL2____POSITION-EQ","Position-eq","POSITION-EQ",[321],"See <see topic=\"COMMON-LISP____POSITION\">position</see>."],
 ["ACL2____PARALLELISM-BUILD","Parallelism-build","PARALLELISM-BUILD",[125],"Building an ACL2 executable with parallel execution enabled"],
 ["ACL2____NOTE-4-3_82R_92","Note-4-3(r)","NOTE-4-3(R)",[186],"ACL2 Version  4.3(r) (July, 2011) Notes"],
 ["ACL2____NOTE-4-2_82R_92","Note-4-2(r)","NOTE-4-2(R)",[186],"ACL2 Version  4.2(r) (January, 2011) Notes"],
 ["ACL2____NOTE-4-1_82R_92","Note-4-1(r)","NOTE-4-1(R)",[186],"ACL2 Version  4.1(r) (September, 2010) Notes"],
 ["ACL2____NOTE-4-0_82R_92","Note-4-0(r)","NOTE-4-0(R)",[186],"ACL2 Version  4.0(r) (July, 2010) Notes"],
 ["ACL2____NOTE-3-6_82R_92","Note-3-6(r)","NOTE-3-6(R)",[186],"ACL2 Version  3.6(r) (August, 2009) Notes"],
 ["ACL2____NOTE-3-3_82R_92","Note-3-3(r)","NOTE-3-3(R)",[186],"ACL2 Version  3.3(r) (November, 2007) Notes"],
 ["ACL2____NOTE-3-2-1_82R_92","Note-3-2-1(r)","NOTE-3-2-1(R)",[186],"ACL2 Version  3.2.1(r) (June, 2007) Notes"],
 ["ACL2____LD-HISTORY-ENTRY-ERROR-FLG","Ld-history-entry-error-flg","LD-HISTORY-ENTRY-ERROR-FLG",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____INTERSECTP-EQ","Intersectp-eq","INTERSECTP-EQ",[321],"See <see topic=\"ACL2____INTERSECTP\">intersectp</see>."],
 ["ACL2____GET-CHECK-INVARIANT-RISK","Get-check-invariant-risk","GET-CHECK-INVARIANT-RISK",[321],"See <see topic=\"ACL2____SET-CHECK-INVARIANT-RISK\">set-check-invariant-risk</see>."],
 ["ACL2____FMT-TO-STRING","Fmt-to-string","FMT-TO-STRING",[321],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT-SOFT-RIGHT-MARGIN","Fmt-soft-right-margin","FMT-SOFT-RIGHT-MARGIN",[321],"See <see topic=\"ACL2____SET-FMT-HARD-RIGHT-MARGIN\">set-fmt-hard-right-margin</see>."],
 ["ACL2____ADJUST-LD-HISTORY","Adjust-ld-history","ADJUST-LD-HISTORY",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____ACCUMULATED-PERSISTENCE-OOPS","Accumulated-persistence-oops","ACCUMULATED-PERSISTENCE-OOPS",[321],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2-PC____ST","ACL2-pc::st","ST",[198],"(macro) \u000Asame as SHOW-TYPE-PRESCRIPTIONS"],
 ["ACL2-PC____SR","ACL2-pc::sr","SR",[198,435],"(macro) \u000Asame as SHOW-REWRITES"],
 ["ACL2-PC____PRINT-MAIN","ACL2-pc::print-main","PRINT-MAIN",[198],"(macro) \u000Aprint the original goal"],
 ["ACL2-PC____LEMMAS-USED","ACL2-pc::lemmas-used","LEMMAS-USED",[198],"(macro) \u000Aprint the runes (definitions, lemmas, ...) used"],
 ["ACL2-PC____CL-PROC","ACL2-pc::cl-proc","CL-PROC",[198],"(macro) same as <v>clause-processor</v>"],
 ["ACL2-PC____AL","ACL2-pc::al","AL",[198],"(macro) \u000Asame as apply-linear"],
 ["COMMON-LISP____THIRD","Third","THIRD",[419,130],"Third member of the list"],
 ["COMMON-LISP____TENTH","Tenth","TENTH",[419,130],"Tenth member of the list"],
 ["COMMON-LISP____SIXTH","Sixth","SIXTH",[419,130],"Sixth member of the list"],
 ["COMMON-LISP____SEVENTH","Seventh","SEVENTH",[419,130],"Seventh member of the list"],
 ["COMMON-LISP____SECOND","Second","SECOND",[419,130],"Second member of the list"],
 ["COMMON-LISP____PACKAGE","Package","PACKAGE",[321],"See <see topic=\"ACL2____PACKAGES\">packages</see>."],
 ["COMMON-LISP____OPTIMIZE","Optimize","OPTIMIZE",[321],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____NINTH","Ninth","NINTH",[419,130],"Ninth member of the list"],
 ["COMMON-LISP____FOURTH","Fourth","FOURTH",[419,130],"Fourth member of the list"],
 ["COMMON-LISP____FIRST","First","FIRST",[419,130],"First member of the list"],
 ["COMMON-LISP____FIFTH","Fifth","FIFTH",[419,130],"Fifth member of the list"],
 ["COMMON-LISP____EIGHTH","Eighth","EIGHTH",[419,130],"Eighth member of the list"],
 ["COMMON-LISP____CDDDDR","Cddddr","CDDDDR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDDR\">cdddr</see></tt>"],
 ["COMMON-LISP____CDDDAR","Cdddar","CDDDAR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDAR\">cddar</see></tt>"],
 ["COMMON-LISP____CDDADR","Cddadr","CDDADR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDADR\">cdadr</see></tt>"],
 ["COMMON-LISP____CDDAAR","Cddaar","CDDAAR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAAR\">cdaar</see></tt>"],
 ["COMMON-LISP____CDADDR","Cdaddr","CDADDR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADDR\">caddr</see></tt>"],
 ["COMMON-LISP____CDADAR","Cdadar","CDADAR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADAR\">cadar</see></tt>"],
 ["COMMON-LISP____CDAADR","Cdaadr","CDAADR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAADR\">caadr</see></tt>"],
 ["COMMON-LISP____CDAAAR","Cdaaar","CDAAAR",[457,130],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAAR\">caaar</see></tt>"],
 ["COMMON-LISP____CADADR","Cadadr","CADADR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDADR\">cdadr</see></tt>"],
 ["COMMON-LISP____CADAAR","Cadaar","CADAAR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAAR\">cdaar</see></tt>"],
 ["COMMON-LISP____CAADDR","Caaddr","CAADDR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADDR\">caddr</see></tt>"],
 ["COMMON-LISP____CAADAR","Caadar","CAADAR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADAR\">cadar</see></tt>"],
 ["COMMON-LISP____CAAADR","Caaadr","CAAADR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAADR\">caadr</see></tt>"],
 ["COMMON-LISP____CAAAAR","Caaaar","CAAAAR",[457,130],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAAR\">caaar</see></tt>"],
 ["ACL2____Undocumented_02Topic","Undocumented Topic","Undocumented Topic",[109],"Undocumented Topic"],
 ["ACL2____UNKNOWN-CONSTRAINTS","Unknown-constraints","UNKNOWN-CONSTRAINTS",[321],"See <see topic=\"ACL2____PARTIAL-ENCAPSULATE\">partial-encapsulate</see>."],
 ["ACL2____TYPESPEC-CHECK","Typespec-check","TYPESPEC-CHECK",[321],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____TRANS-EVAL-DEFAULT-WARNING","Trans-eval-default-warning","TRANS-EVAL-DEFAULT-WARNING",[321],"See <see topic=\"ACL2____USER-STOBJS-MODIFIED-WARNINGS\">user-stobjs-modified-warnings</see>."],
 ["ACL2____TAMEP-LAMBDAP","Tamep-lambdap","TAMEP-LAMBDAP",[321],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____SYMBOL-CLASS","Symbol-class","SYMBOL-CLASS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBSETP-EQUAL","Subsetp-equal","SUBSETP-EQUAL",[321],"See <see topic=\"COMMON-LISP____SUBSETP\">subsetp</see>."],
 ["ACL2____SUBSETP-EQ","Subsetp-eq","SUBSETP-EQ",[321],"See <see topic=\"COMMON-LISP____SUBSETP\">subsetp</see>."],
 ["ACL2____SET-SLOW-ALIST-ACTION","Set-slow-alist-action","SET-SLOW-ALIST-ACTION",[321],"See <see topic=\"ACL2____SLOW-ALIST-WARNING\">slow-alist-warning</see>."],
 ["ACL2____SET-SERIALIZE-CHARACTER","Set-serialize-character","SET-SERIALIZE-CHARACTER",[321],"See <see topic=\"ACL2____WITH-SERIALIZE-CHARACTER\">with-serialize-character</see>."],
 ["ACL2____SET-LD-REDEFINITION-ACTION","Set-ld-redefinition-action","SET-LD-REDEFINITION-ACTION",[321],"See <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>."],
 ["ACL2____SET-LD-PROMPT","Set-ld-prompt","SET-LD-PROMPT",[321],"See <see topic=\"ACL2____LD-PROMPT\">ld-prompt</see>."],
 ["ACL2____SET-LD-KEYWORD-ALIASES","Set-ld-keyword-aliases","SET-LD-KEYWORD-ALIASES",[321],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____SET-DIFFERENCE-EQ","Set-difference-eq","SET-DIFFERENCE-EQ",[321],"See <see topic=\"ACL2____SET-DIFFERENCE_42\">set-difference$</see>."],
 ["ACL2____RULE-NAMES","Rule-names","RULE-NAMES",[5],"How rules are named."],
 ["ACL2____RESTRICT","Restrict","RESTRICT",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:restrict</v>."],
 ["ACL2____REORDER","Reorder","REORDER",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:reorder</v>."],
 ["ACL2____REMOVE1-EQUAL","Remove1-equal","REMOVE1-EQUAL",[321],"See <see topic=\"ACL2____REMOVE1\">remove1</see>."],
 ["ACL2____REMOVE-EQ","Remove-eq","REMOVE-EQ",[321],"See <see topic=\"COMMON-LISP____REMOVE\">remove</see>."],
 ["ACL2____REGRESSION","Regression","REGRESSION",[321],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____RECURSIVEP","Recursivep","RECURSIVEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____RAW-MODE","Raw-mode","RAW-MODE",[321],"See <see topic=\"ACL2____SET-RAW-MODE\">set-raw-mode</see>."],
 ["ACL2____RASSOC-EQUAL","Rassoc-equal","RASSOC-EQUAL",[321],"See <see topic=\"COMMON-LISP____RASSOC\">rassoc</see>."],
 ["ACL2____RASSOC-EQ","Rassoc-eq","RASSOC-EQ",[321],"See <see topic=\"COMMON-LISP____RASSOC\">rassoc</see>."],
 ["ACL2____QUOTEP","Quotep","QUOTEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PUT-ASSOC-EQUAL","Put-assoc-equal","PUT-ASSOC-EQUAL",[321],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PRETTYIFY-CLAUSE","Prettyify-clause","PRETTYIFY-CLAUSE",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PE-TABLE","Pe-table","PE-TABLE",[321],"See <see topic=\"ACL2____EXTEND-PE-TABLE\">extend-pe-table</see>."],
 ["ACL2____OPEN-OUTPUT-CHANNEL","Open-output-channel","OPEN-OUTPUT-CHANNEL",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-INPUT-CHANNEL","Open-input-channel","OPEN-INPUT-CHANNEL",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____NO-DUPLICATESP-EQUAL","No-duplicatesp-equal","NO-DUPLICATESP-EQUAL",[321],"See <see topic=\"ACL2____NO-DUPLICATESP\">no-duplicatesp</see>."],
 ["ACL2____NO-DUPLICATESP-EQ","No-duplicatesp-eq","NO-DUPLICATESP-EQ",[321],"See <see topic=\"ACL2____NO-DUPLICATESP\">no-duplicatesp</see>."],
 ["ACL2____MFC-WORLD","Mfc-world","MFC-WORLD",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-TS","Mfc-ts","MFC-TS",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RW_B2","Mfc-rw+","MFC-RW+",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RW","Mfc-rw","MFC-RW",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RDEPTH","Mfc-rdepth","MFC-RDEPTH",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-AP","Mfc-ap","MFC-AP",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-ANCESTORS","Mfc-ancestors","MFC-ANCESTORS",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC","Mfc","MFC",[321],"See <see topic=\"ACL2____METAFUNCTION-CONTEXT\">metafunction-context</see>."],
 ["ACL2____META-EXTRACT-FORMULA","Meta-extract-formula","META-EXTRACT-FORMULA",[321],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____META-EXTRACT-CONTEXTUAL-FACT","Meta-extract-contextual-fact","META-EXTRACT-CONTEXTUAL-FACT",[321],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____MAYBE-CONVERT-TO-MV","Maybe-convert-to-mv","MAYBE-CONVERT-TO-MV",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LOGICP","Logicp","LOGICP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LD-HISTORY-ENTRY-USER-DATA","Ld-history-entry-user-data","LD-HISTORY-ENTRY-USER-DATA",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LD-HISTORY-ENTRY-INPUT","Ld-history-entry-input","LD-HISTORY-ENTRY-INPUT",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____IPRINTING","Iprinting","IPRINTING",[321],"See <see topic=\"ACL2____SET-IPRINT\">set-iprint</see>."],
 ["ACL2____INTERSECTP-EQUAL","Intersectp-equal","INTERSECTP-EQUAL",[321],"See <see topic=\"ACL2____INTERSECTP\">intersectp</see>."],
 ["ACL2____INTERSECTION-EQ","Intersection-eq","INTERSECTION-EQ",[321],"See <see topic=\"ACL2____INTERSECTION_42\">intersection$</see>."],
 ["ACL2____INDUCT","Induct","INDUCT",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:induct</v>."],
 ["ACL2____HONS-SHRINK-ALIST_12","Hons-shrink-alist!","HONS-SHRINK-ALIST!",[1104,130],"Deprecated feature"],
 ["ACL2____HONS-SHRINK-ALIST","Hons-shrink-alist","HONS-SHRINK-ALIST",[504,130],"Deprecated feature"],
 ["ACL2____GUARD-HINTS","Guard-hints","GUARD-HINTS",[321],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:guard-hints</v>."],
 ["ACL2____GET-SKIPPED-PROOFS-P","Get-skipped-proofs-p","GET-SKIPPED-PROOFS-P",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GET-REGISTER-INVARIANT-RISK","Get-register-invariant-risk","GET-REGISTER-INVARIANT-RISK",[321],"See <see topic=\"ACL2____SET-REGISTER-INVARIANT-RISK\">set-register-invariant-risk</see>."],
 ["ACL2____GET-IN-THEORY-REDUNDANT-OKP","Get-in-theory-redundant-okp","GET-IN-THEORY-REDUNDANT-OKP",[321],"See <see topic=\"ACL2____SET-IN-THEORY-REDUNDANT-OKP\">set-in-theory-redundant-okp</see>."],
 ["ACL2____FLUSH-HONS-GET-HASH-TABLE-LINK","Flush-hons-get-hash-table-link","FLUSH-HONS-GET-HASH-TABLE-LINK",[829,130],"Deprecated feature"],
 ["ACL2____FLATTEN-ANDS-IN-LIT","Flatten-ands-in-lit","FLATTEN-ANDS-IN-LIT",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFN-SYMB","Ffn-symb","FFN-SYMB",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FAST-ALIST","Fast-alist","FAST-ALIST",[321],"See <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____FARGS","Fargs","FARGS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____EV_42-LIST","Ev$-list","EV$-LIST",[321],"See <see topic=\"ACL2____APPLY_42\">apply$</see>."],
 ["ACL2____ENABLED-RUNEP","Enabled-runep","ENABLED-RUNEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ENABLED-NUMEP","Enabled-numep","ENABLED-NUMEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DISJOIN","Disjoin","DISJOIN",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DELETE-ASSOC","Delete-assoc","DELETE-ASSOC",[636,130],"Deprecated version of <see topic=\"ACL2____REMOVE1-ASSOC\">remove1-assoc</see>"],
 ["ACL2____CONS-TERM","Cons-term","CONS-TERM",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CLOSE-OUTPUT-CHANNEL","Close-output-channel","CLOSE-OUTPUT-CHANNEL",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____CASES","Cases","CASES",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:cases</v>."],
 ["ACL2____BODY","Body","BODY",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____BACKCHAIN-LIMIT-RW","Backchain-limit-rw","BACKCHAIN-LIMIT-RW",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:backchain-limit-rw</v>."],
 ["ACL2____A_02Trivial_02Proof","A Trivial Proof","A Trivial Proof",[109],"A Trivial Proof"],
 ["ACL2____ARGLISTP","Arglistp","ARGLISTP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-FNNAMES1","All-fnnames1","ALL-FNNAMES1",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-ATTACHMENTS","All-attachments","ALL-ATTACHMENTS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-TO-SET-EQ","Add-to-set-eq","ADD-TO-SET-EQ",[321],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ADD-SUFFIX-TO-FN","Add-suffix-to-fn","ADD-SUFFIX-TO-FN",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-SUFFIX","Add-suffix","ADD-SUFFIX",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-LD-KEYWORD-ALIAS_12","Add-ld-keyword-alias!","ADD-LD-KEYWORD-ALIAS!",[321],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____ADD-LD-KEYWORD-ALIAS","Add-ld-keyword-alias","ADD-LD-KEYWORD-ALIAS",[321],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2-PC____RUN-INSTR-ON-NEW-GOALS","ACL2-pc::run-instr-on-new-goals","RUN-INSTR-ON-NEW-GOALS",[198],"(macro) auxiliary to <v>then</v>"],
 ["ACL2-PC____RUN-INSTR-ON-GOAL","ACL2-pc::run-instr-on-goal","RUN-INSTR-ON-GOAL",[198],"(macro) \u000Aauxiliary to THEN"],
 ["ACL2-PC____REPEAT-REC","ACL2-pc::repeat-rec","REPEAT-REC",[198],"(macro) auxiliary to <v>repeat</v>"],
 ["ACL2-PC____R","ACL2-pc::r","R",[198,435],"(macro) \u000Asame as rewrite"],
 ["ACL2-PC____CONTRADICT","ACL2-pc::contradict","CONTRADICT",[198],"(macro) same as <v>contrapose</v>"],
 ["COMMON-LISP____ERROR","Error","ERROR",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:error</v>."],
 ["ACL2____WRITE-BYTE_42","Write-byte$","WRITE-BYTE$",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____WEAK-LD-HISTORY-ENTRY-P","Weak-ld-history-entry-p","WEAK-LD-HISTORY-ENTRY-P",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____VERIFY-GUARDS-EAGERNESS","Verify-guards-eagerness","VERIFY-GUARDS-EAGERNESS",[321],"See <see topic=\"ACL2____SET-VERIFY-GUARDS-EAGERNESS\">set-verify-guards-eagerness</see>."],
 ["ACL2____VARIABLEP","Variablep","VARIABLEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____VALUE-CMP","Value-cmp","VALUE-CMP",[321],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____UNTRANSLATE-PREPROCESS","Untranslate-preprocess","UNTRANSLATE-PREPROCESS",[321],"See <see topic=\"ACL2____USER-DEFINED-FUNCTIONS-TABLE\">user-defined-functions-table</see>."],
 ["ACL2____UNION-EQUAL","Union-equal","UNION-EQUAL",[321],"See <see topic=\"ACL2____UNION_42\">union$</see>."],
 ["ACL2____UNDOING","Undoing","UNDOING",[321],"See <see topic=\"ACL2____UNDO\">undo</see>."],
 ["ACL2____TRANSLATE-HINTS","Translate-hints","TRANSLATE-HINTS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANS-EVAL-NO-WARNING","Trans-eval-no-warning","TRANS-EVAL-NO-WARNING",[321],"See <see topic=\"ACL2____USER-STOBJS-MODIFIED-WARNINGS\">user-stobjs-modified-warnings</see>."],
 ["ACL2____TOO-MANY-IFS","Too-many-ifs","TOO-MANY-IFS",[321],"See <see topic=\"ACL2____EFFICIENCY\">efficiency</see>."],
 ["ACL2____TAMEP-FUNCTIONP","Tamep-functionp","TAMEP-FUNCTIONP",[321],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____SYMBOL-DOUBLET-LISTP","Symbol-doublet-listp","SYMBOL-DOUBLET-LISTP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUM_42_B2","Sum$+","SUM$+",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____SUITABLY-TAMEP-LISTP","Suitably-tamep-listp","SUITABLY-TAMEP-LISTP",[321],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____SUBST-VAR","Subst-var","SUBST-VAR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBST-EXPR","Subst-expr","SUBST-EXPR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBSEQUENCEP","Subsequencep","SUBSEQUENCEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBLIS-FN-SIMPLE","Sublis-fn-simple","SUBLIS-FN-SIMPLE",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBLIS-FN-LST-SIMPLE","Sublis-fn-lst-simple","SUBLIS-FN-LST-SIMPLE",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBLIS-FN","Sublis-fn","SUBLIS-FN",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBCOR-VAR","Subcor-var","SUBCOR-VAR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJS-IN","Stobjs-in","STOBJS-IN",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJP","Stobjp","STOBJP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SET-RULER-EXTENDERS","Set-ruler-extenders","SET-RULER-EXTENDERS",[321],"See <see topic=\"ACL2____RULERS\">rulers</see>."],
 ["ACL2____SET-NON-LINEAR","Set-non-linear","SET-NON-LINEAR",[321],"See <see topic=\"ACL2____SET-NON-LINEARP\">set-non-linearp</see>."],
 ["ACL2____SET-LET_A2-ABSTRACTION","Set-let*-abstraction","SET-LET*-ABSTRACTION",[321],"See <see topic=\"ACL2____SET-LET_A2-ABSTRACTIONP\">set-let*-abstractionp</see>."],
 ["ACL2____SET-LD-SKIP-PROOFS","Set-ld-skip-proofs","SET-LD-SKIP-PROOFS",[321],"See <see topic=\"ACL2____LD-SKIP-PROOFSP\">ld-skip-proofsp</see>."],
 ["ACL2____SET-LD-KEYWORD-ALIASES_12","Set-ld-keyword-aliases!","SET-LD-KEYWORD-ALIASES!",[321],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____SET-DIFFERENCE-EQUAL","Set-difference-equal","SET-DIFFERENCE-EQUAL",[321],"See <see topic=\"ACL2____SET-DIFFERENCE_42\">set-difference$</see>."],
 ["ACL2____SET-ACCUMULATED-PERSISTENCE","Set-accumulated-persistence","SET-ACCUMULATED-PERSISTENCE",[321],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2____SAVING-AND-RESTORING","Saving-and-restoring","SAVING-AND-RESTORING",[321],"See <see topic=\"ACL2____SAVE-EXEC\">save-exec</see>."],
 ["ACL2____RW-CACHE-STATE","Rw-cache-state","RW-CACHE-STATE",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:rw-cache-state</v>."],
 ["ACL2____RESET-PRINT-CONTROL","Reset-print-control","RESET-PRINT-CONTROL",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____REMOVE1-EQ","Remove1-eq","REMOVE1-EQ",[321],"See <see topic=\"ACL2____REMOVE1\">remove1</see>."],
 ["ACL2____REMOVE1-ASSOC-EQUAL","Remove1-assoc-equal","REMOVE1-ASSOC-EQUAL",[321],"See <see topic=\"ACL2____REMOVE1-ASSOC\">remove1-assoc</see>."],
 ["ACL2____REMOVE1-ASSOC-EQ","Remove1-assoc-eq","REMOVE1-ASSOC-EQ",[321],"See <see topic=\"ACL2____REMOVE1-ASSOC\">remove1-assoc</see>."],
 ["ACL2____REMOVE-DUPLICATES-EQUAL","Remove-duplicates-equal","REMOVE-DUPLICATES-EQUAL",[321],"See <see topic=\"COMMON-LISP____REMOVE-DUPLICATES\">remove-duplicates</see>."],
 ["ACL2____REMOVE-DUPLICATES-EQ","Remove-duplicates-eq","REMOVE-DUPLICATES-EQ",[321],"See <see topic=\"COMMON-LISP____REMOVE-DUPLICATES\">remove-duplicates</see>."],
 ["ACL2____REMOVE-ASSOC-EQUAL","Remove-assoc-equal","REMOVE-ASSOC-EQUAL",[321],"See <see topic=\"ACL2____REMOVE-ASSOC\">remove-assoc</see>."],
 ["ACL2____REMOVE-ASSOC-EQ","Remove-assoc-eq","REMOVE-ASSOC-EQ",[321],"See <see topic=\"ACL2____REMOVE-ASSOC\">remove-assoc</see>."],
 ["ACL2____READ-OBJECT","Read-object","READ-OBJECT",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____PUT-ASSOC-EQ","Put-assoc-eq","PUT-ASSOC-EQ",[321],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PROOF-SUPPORTERS-ALIST","Proof-supporters-alist","PROOF-SUPPORTERS-ALIST",[321],"See <see topic=\"ACL2____DEAD-EVENTS\">dead-events</see>."],
 ["ACL2____PROGRAMP","Programp","PROGRAMP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PRINT-OBJECT_42-PRESERVING-CASE","Print-object$-preserving-case","PRINT-OBJECT$-PRESERVING-CASE",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____PLIST-WORLDP","Plist-worldp","PLIST-WORLDP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PARTITION-REST-AND-KEYWORD-ARGS","Partition-rest-and-keyword-args","PARTITION-REST-AND-KEYWORD-ARGS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____NVARIABLEP","Nvariablep","NVARIABLEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____NONLINEARP","Nonlinearp","NONLINEARP",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:nonlinearp</v>."],
 ["ACL2____NO-THANKS","No-thanks","NO-THANKS",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:no-thanks</v>."],
 ["ACL2____NO-OP","No-op","NO-OP",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:no-op</v>."],
 ["ACL2____MODE","Mode","MODE",[321],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:mode</v>."],
 ["ACL2____MFC-UNIFY-SUBST","Mfc-unify-subst","MFC-UNIFY-SUBST",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-TYPE-ALIST","Mfc-type-alist","MFC-TYPE-ALIST",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RELIEVE-HYP","Mfc-relieve-hyp","MFC-RELIEVE-HYP",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-CLAUSE","Mfc-clause","MFC-CLAUSE",[321],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MAKE-LAMBDA-TERM","Make-lambda-term","MAKE-LAMBDA-TERM",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____MAKE-LAMBDA-APPLICATION","Make-lambda-application","MAKE-LAMBDA-APPLICATION",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____MAKE-LAMBDA","Make-lambda","MAKE-LAMBDA",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LISP-PROGRAMMER-INTRODUCTION","Lisp-programmer-introduction","LISP-PROGRAMMER-INTRODUCTION",[321],"See <see topic=\"ACL2____INTRODUCTION-TO-PROGRAMMING-IN-ACL2-FOR-THOSE-WHO-KNOW-LISP\">introduction-to-programming-in-ACL2-for-those-who-know-lisp</see>."],
 ["ACL2____LET-MBE","Let-mbe","LET-MBE",[321],"See <see topic=\"ACL2____EQUALITY-VARIANTS-DETAILS\">equality-variants-details</see>."],
 ["ACL2____LEGAL-VARIABLEP","Legal-variablep","LEGAL-VARIABLEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LEGAL-CONSTANTP","Legal-constantp","LEGAL-CONSTANTP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LD-HISTORY-ENTRY-VALUE","Ld-history-entry-value","LD-HISTORY-ENTRY-VALUE",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LD-HISTORY-ENTRY-STOBJS-OUT_F2VALUE","Ld-history-entry-stobjs-out/value","LD-HISTORY-ENTRY-STOBJS-OUT/VALUE",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LD-HISTORY-ENTRY-STOBJS-OUT","Ld-history-entry-stobjs-out","LD-HISTORY-ENTRY-STOBJS-OUT",[321],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LAMBDA-FORMALS","Lambda-formals","LAMBDA-FORMALS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LAMBDA-BODY","Lambda-body","LAMBDA-BODY",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LAMBDA-APPLICATIONP","Lambda-applicationp","LAMBDA-APPLICATIONP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____KNOWN-PACKAGE-ALIST","Known-package-alist","KNOWN-PACKAGE-ALIST",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____IO_F3","Io?","IO?",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____INTERSECTION-EQUAL","Intersection-equal","INTERSECTION-EQUAL",[321],"See <see topic=\"ACL2____INTERSECTION_42\">intersection$</see>."],
 ["ACL2____IMPLICATE","Implicate","IMPLICATE",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____IF-INTRO","If-intro","IF-INTRO",[321],"See <see topic=\"ACL2____SPLITTER\">splitter</see>."],
 ["ACL2____HANDS-OFF","Hands-off","HANDS-OFF",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:hands-off</v>."],
 ["ACL2____GUARDS","Guards","GUARDS",[321],"See <see topic=\"ACL2____GUARD\">guard</see>."],
 ["ACL2____GUARD-HOLDER","Guard-holder","GUARD-HOLDER",[321],"See <see topic=\"ACL2____GUARD-HOLDERS\">guard-holders</see>."],
 ["ACL2____GUARD-CHECKING","Guard-checking","GUARD-CHECKING",[321],"See <see topic=\"ACL2____SET-GUARD-CHECKING\">set-guard-checking</see>."],
 ["ACL2____GET-SERIALIZE-CHARACTER","Get-serialize-character","GET-SERIALIZE-CHARACTER",[321],"See <see topic=\"ACL2____WITH-SERIALIZE-CHARACTER\">with-serialize-character</see>."],
 ["ACL2____GET-OUTPUT-STREAM-STRING_42","Get-output-stream-string$","GET-OUTPUT-STREAM-STRING$",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____GET-EVENT","Get-event","GET-EVENT",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GET-DEFUN-EVENT","Get-defun-event","GET-DEFUN-EVENT",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GET-BRR-LOCAL","Get-brr-local","GET-BRR-LOCAL",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GENVAR","Genvar","GENVAR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GCS","Gcs","GCS",[321],"See <see topic=\"ACL2____GET-COMMAND-SEQUENCE\">get-command-sequence</see>."],
 ["ACL2____FUNCTION-SYMBOLP","Function-symbolp","FUNCTION-SYMBOLP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FSUBCOR-VAR","Fsubcor-var","FSUBCOR-VAR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FQUOTEP","Fquotep","FQUOTEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FORMALS","Formals","FORMALS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FNCALL-TERM","Fncall-term","FNCALL-TERM",[321],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____FN-SYMB","Fn-symb","FN-SYMB",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FN-RUNE-NUME","Fn-rune-nume","FN-RUNE-NUME",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FMX_12-CW","Fmx!-cw","FMX!-CW",[321],"See <see topic=\"ACL2____FMX-CW\">fmx-cw</see>."],
 ["ACL2____FMT-HARD-RIGHT-MARGIN","Fmt-hard-right-margin","FMT-HARD-RIGHT-MARGIN",[321],"See <see topic=\"ACL2____SET-FMT-HARD-RIGHT-MARGIN\">set-fmt-hard-right-margin</see>."],
 ["ACL2____FLAMBDAP","Flambdap","FLAMBDAP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FLAMBDA-APPLICATIONP","Flambda-applicationp","FLAMBDA-APPLICATIONP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FIX-PKG","Fix-pkg","FIX-PKG",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFNNAMEP-LST","Ffnnamep-lst","FFNNAMEP-LST",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFNNAMEP","Ffnnamep","FFNNAMEP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFN-SYMB-P","Ffn-symb-p","FFN-SYMB-P",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FDEFUN-MODE","Fdefun-mode","FDEFUN-MODE",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FCONS-TERM_A2","Fcons-term*","FCONS-TERM*",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FCONS-TERM","Fcons-term","FCONS-TERM",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FARGN","Fargn","FARGN",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FAKE-RUNE","Fake-rune","FAKE-RUNE",[321],"See <see topic=\"ACL2____RUNE\">rune</see>."],
 ["ACL2____ER-PROGN-CMP","Er-progn-cmp","ER-PROGN-CMP",[321],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____ER-LET_A2-CMP","Er-let*-cmp","ER-LET*-CMP",[321],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____ER-LET_A2","Er-let*","ER-LET*",[321],"See <see topic=\"ACL2____PROGRAMMING-WITH-STATE\">programming-with-state</see>."],
 ["ACL2____ER-CMP","Er-cmp","ER-CMP",[321],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____DUMB-OCCUR-VAR","Dumb-occur-var","DUMB-OCCUR-VAR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DUMB-OCCUR","Dumb-occur","DUMB-OCCUR",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DUMB-NEGATE-LIT","Dumb-negate-lit","DUMB-NEGATE-LIT",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DOUBLET-LISTP","Doublet-listp","DOUBLET-LISTP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DO-NOT-INDUCT","Do-not-induct","DO-NOT-INDUCT",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:do-not-induct</v>."],
 ["ACL2____DISJOIN2","Disjoin2","DISJOIN2",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DEFINED-CONSTANT","Defined-constant","DEFINED-CONSTANT",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DEFAULT-STATE-VARS","Default-state-vars","DEFAULT-STATE-VARS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CONS-TERM_A2","Cons-term*","CONS-TERM*",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CONJOIN2","Conjoin2","CONJOIN2",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CONJOIN","Conjoin","CONJOIN",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____COLLECT_42_B2","Collect$+","COLLECT$+",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____CHECK-INVARIANT-RISK","Check-invariant-risk","CHECK-INVARIANT-RISK",[321],"See <see topic=\"ACL2____SET-CHECK-INVARIANT-RISK\">set-check-invariant-risk</see>."],
 ["ACL2____CCL-UPDATES","Ccl-updates","CCL-UPDATES",[321],"See <see topic=\"ACL2____CCL-INSTALLATION\">ccl-installation</see>."],
 ["ACL2____BY","By","BY",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:by</v>."],
 ["ACL2____BACKTRACK","Backtrack","BACKTRACK",[321],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:backtrack</v>."],
 ["ACL2____ALWAYS_42_B2","Always$+","ALWAYS$+",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____ALL-VARS","All-vars","ALL-VARS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-FNNAMES-LST","All-fnnames-lst","ALL-FNNAMES-LST",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-FNNAMES","All-fnnames","ALL-FNNAMES",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-CALLS","All-calls","ALL-CALLS",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-TO-SET-EQUAL","Add-to-set-equal","ADD-TO-SET-EQUAL",[321],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ADD-TO-SET-EQL","Add-to-set-eql","ADD-TO-SET-EQL",[321],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ACL2S","ACL2s","ACL2S",[321],"See <see topic=\"ACL2____ACL2-SEDAN\">ACL2-sedan</see>."],
 ["ACL2____ACL2-UNWIND-PROTECT","ACL2-unwind-protect","ACL2-UNWIND-PROTECT",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["COMMON-LISP_____62WHOLE","&amp;whole","&WHOLE",[321],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62REST","&amp;rest","&REST",[321],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62OPTIONAL","&amp;optional","&OPTIONAL",[321],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62KEY","&amp;key","&KEY",[321],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62BODY","&amp;body","&BODY",[321],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62ALLOW-OTHER-KEYS","&amp;allow-other-keys","&ALLOW-OTHER-KEYS",[321],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP____APROPOS","Apropos","APROPOS",[321],"See <see topic=\"ACL2____FINDING-DOCUMENTATION\">finding-documentation</see>."],
 ["ACL2____WITH-PROVER-STEP-LIMIT_12","With-prover-step-limit!","WITH-PROVER-STEP-LIMIT!",[321],"See <see topic=\"ACL2____WITH-PROVER-STEP-LIMIT\">with-prover-step-limit</see>."],
 ["ACL2____WITH-OUTPUT_12","With-output!","WITH-OUTPUT!",[321],"See <see topic=\"ACL2____WITH-OUTPUT\">with-output</see>."],
 ["ACL2____WHEN_42_B2","When$+","WHEN$+",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____WHEN_42","When$","WHEN$",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____UNTOUCHABLE-MARKER","Untouchable-marker","UNTOUCHABLE-MARKER",[321],"See <see topic=\"ACL2____DEFMACRO-UNTOUCHABLE\">defmacro-untouchable</see>."],
 ["ACL2____UNTIL_42_B2","Until$+","UNTIL$+",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____UNTIL_42","Until$","UNTIL$",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____TTAG","Ttag","TTAG",[321],"See <see topic=\"ACL2____DEFTTAG\">defttag</see>."],
 ["ACL2____TRANSLATE11","Translate11","TRANSLATE11",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE1-CMP","Translate1-cmp","TRANSLATE1-CMP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE1","Translate1","TRANSLATE1",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE-CMP","Translate-cmp","TRANSLATE-CMP",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE","Translate","TRANSLATE",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TIME-LIMIT","Time-limit","TIME-LIMIT",[321],"See <see topic=\"ACL2____WITH-PROVER-TIME-LIMIT\">with-prover-time-limit</see>."],
 ["ACL2____THEREIS_42_B2","Thereis$+","THEREIS$+",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____THEREIS_42","Thereis$","THEREIS$",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____TAG-TREE","Tag-tree","TAG-TREE",[321],"See <see topic=\"ACL2____TTREE\">ttree</see>."],
 ["ACL2____SUM_42","Sum$","SUM$",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____STEP-LIMIT","Step-limit","STEP-LIMIT",[321],"See <see topic=\"ACL2____WITH-PROVER-STEP-LIMIT\">with-prover-step-limit</see>."],
 ["ACL2____STABLE-UNDER-SIMPLIFICATIONP","Stable-under-simplificationp","STABLE-UNDER-SIMPLIFICATIONP",[321],"See <see topic=\"ACL2____COMPUTED-HINTS\">computed-hints</see>."],
 ["ACL2____SINGLE-THREADED-OBJECTS","Single-threaded-objects","SINGLE-THREADED-OBJECTS",[321],"See <see topic=\"ACL2____STOBJ\">stobj</see>."],
 ["ACL2____SET-TEMP-TOUCHABLE-VARS","Set-temp-touchable-vars","SET-TEMP-TOUCHABLE-VARS",[321],"See <see topic=\"ACL2____REMOVE-UNTOUCHABLE\">remove-untouchable</see>."],
 ["ACL2____SET-TEMP-TOUCHABLE-FNS","Set-temp-touchable-fns","SET-TEMP-TOUCHABLE-FNS",[321],"See <see topic=\"ACL2____REMOVE-UNTOUCHABLE\">remove-untouchable</see>."],
 ["ACL2____SET-PRINT-RIGHT-MARGIN","Set-print-right-margin","SET-PRINT-RIGHT-MARGIN",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-READABLY","Set-print-readably","SET-PRINT-READABLY",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LINES","Set-print-lines","SET-PRINT-LINES",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LEVEL","Set-print-level","SET-PRINT-LEVEL",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LENGTH","Set-print-length","SET-PRINT-LENGTH",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-ESCAPE","Set-print-escape","SET-PRINT-ESCAPE",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-CIRCLE","Set-print-circle","SET-PRINT-CIRCLE",[321],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____RW-CACHE","Rw-cache","RW-CACHE",[321],"See <see topic=\"ACL2____SET-RW-CACHE-STATE\">set-rw-cache-state</see>."],
 ["ACL2____RULER","Ruler","RULER",[321],"See <see topic=\"ACL2____RULERS\">rulers</see>."],
 ["ACL2____REWRITE-CACHE","Rewrite-cache","REWRITE-CACHE",[321],"See <see topic=\"ACL2____SET-RW-CACHE-STATE\">set-rw-cache-state</see>."],
 ["ACL2____REMOVE-GUARD-HOLDERS","Remove-guard-holders","REMOVE-GUARD-HOLDERS",[321],"See <see topic=\"ACL2____GUARD-HOLDERS\">guard-holders</see>."],
 ["ACL2____REDEFINING","Redefining","REDEFINING",[321],"See <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>."],
 ["ACL2____REDEFINE","Redefine","REDEFINE",[321],"See <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>."],
 ["ACL2____READ-OBJECT-WITH-CASE","Read-object-with-case","READ-OBJECT-WITH-CASE",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-OBJECT-SUPPRESS","Read-object-suppress","READ-OBJECT-SUPPRESS",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-CHAR_42","Read-char$","READ-CHAR$",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-BYTE_42","Read-byte$","READ-BYTE$",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____PUT-ASSOC-EQL","Put-assoc-eql","PUT-ASSOC-EQL",[321],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PRINT-SUMMARY-USER","Print-summary-user","PRINT-SUMMARY-USER",[321],"See <see topic=\"ACL2____FINALIZE-EVENT-USER\">finalize-event-user</see>."],
 ["ACL2____POUND-U-READER","Pound-u-reader","POUND-U-READER",[321],"See <see topic=\"ACL2____SHARP-U-READER\">sharp-u-reader</see>."],
 ["ACL2____POUND-DOT-READER","Pound-dot-reader","POUND-DOT-READER",[321],"See <see topic=\"ACL2____SHARP-DOT-READER\">sharp-dot-reader</see>."],
 ["ACL2____POUND-BANG-READER","Pound-bang-reader","POUND-BANG-READER",[321],"See <see topic=\"ACL2____SHARP-BANG-READER\">sharp-bang-reader</see>."],
 ["ACL2____PEEK-CHAR_42","Peek-char$","PEEK-CHAR$",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-OUTPUT-CHANNEL-P","Open-output-channel-p","OPEN-OUTPUT-CHANNEL-P",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-INPUT-CHANNEL-P","Open-input-channel-p","OPEN-INPUT-CHANNEL-P",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____NOTE9","Note9","NOTE9",[321],"See <see topic=\"ACL2____NOTE-1-9\">note-1-9</see>."],
 ["ACL2____NOTE8-UPDATE","Note8-update","NOTE8-UPDATE",[321],"See <see topic=\"ACL2____NOTE-1-8-UPDATE\">note-1-8-update</see>."],
 ["ACL2____NOTE8","Note8","NOTE8",[321],"See <see topic=\"ACL2____NOTE-1-8\">note-1-8</see>."],
 ["ACL2____NOTE7","Note7","NOTE7",[321],"See <see topic=\"ACL2____NOTE-1-7\">note-1-7</see>."],
 ["ACL2____NOTE6","Note6","NOTE6",[321],"See <see topic=\"ACL2____NOTE-1-6\">note-1-6</see>."],
 ["ACL2____NOTE5","Note5","NOTE5",[321],"See <see topic=\"ACL2____NOTE-1-5\">note-1-5</see>."],
 ["ACL2____NOTE4","Note4","NOTE4",[321],"See <see topic=\"ACL2____NOTE-1-4\">note-1-4</see>."],
 ["ACL2____NOTE3","Note3","NOTE3",[321],"See <see topic=\"ACL2____NOTE-1-3\">note-1-3</see>."],
 ["ACL2____NOTE2","Note2","NOTE2",[321],"See <see topic=\"ACL2____NOTE-1-2\">note-1-2</see>."],
 ["ACL2____NOTE1","Note1","NOTE1",[321],"See <see topic=\"ACL2____NOTE-1-1\">note-1-1</see>."],
 ["ACL2____NFIX-LIST","Nfix-list","NFIX-LIST",[321],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____META-EXTRACT-RW_B2-TERM","Meta-extract-rw+-term","META-EXTRACT-RW+-TERM",[321],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____META-EXTRACT-GLOBAL-FACT_B2","Meta-extract-global-fact+","META-EXTRACT-GLOBAL-FACT+",[321],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____MEASURE-THEOREM","Measure-theorem","MEASURE-THEOREM",[321],"See <see topic=\"ACL2____TERMINATION-THEOREM\">termination-theorem</see>."],
 ["ACL2____MATCH-FREE","Match-free","MATCH-FREE",[321],"See <see topic=\"ACL2____FREE-VARIABLES\">free-variables</see>."],
 ["ACL2____MAKE-LIST-AC","Make-list-ac","MAKE-LIST-AC",[321],"See <see topic=\"COMMON-LISP____MAKE-LIST\">make-list</see>."],
 ["ACL2____LOOP_42-FOR","Loop$-for","LOOP$-FOR",[321],"See <see topic=\"ACL2____FOR-LOOP_42\">for-loop$</see>."],
 ["ACL2____LOOP_42-DO","Loop$-do","LOOP$-DO",[321],"See <see topic=\"ACL2____DO-LOOP_42\">do-loop$</see>."],
 ["ACL2____LEXP","Lexp","LEXP",[321],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____LEX-FIX","Lex-fix","LEX-FIX",[321],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____INTERRUPTS","Interrupts","INTERRUPTS",[321],"See <see topic=\"ACL2____ABORT-SOFT\">abort-soft</see>."],
 ["ACL2____IMMED-FORCED","Immed-forced","IMMED-FORCED",[321],"See <see topic=\"ACL2____SPLITTER\">splitter</see>."],
 ["ACL2____ILKS","Ilks","ILKS",[321],"See <see topic=\"ACL2____ILK\">ilk</see>."],
 ["ACL2____GUARD-MSG-TABLE","Guard-msg-table","GUARD-MSG-TABLE",[321],"See <see topic=\"ACL2____SET-GUARD-MSG\">set-guard-msg</see>."],
 ["ACL2____GETTING-STARTED","Getting-started","GETTING-STARTED",[321],"See <see topic=\"ACL2____ACL2-TUTORIAL\">ACL2-tutorial</see>."],
 ["ACL2____FORCED","Forced","FORCED",[321],"See <see topic=\"ACL2____FORCE\">force</see>."],
 ["ACL2____FMT_12-TO-STRING","Fmt!-to-string","FMT!-TO-STRING",[321],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT1_12-TO-STRING","Fmt1!-to-string","FMT1!-TO-STRING",[321],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT1-TO-STRING","Fmt1-to-string","FMT1-TO-STRING",[321],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMS_12-TO-STRING","Fms!-to-string","FMS!-TO-STRING",[321],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMS-TO-STRING","Fms-to-string","FMS-TO-STRING",[321],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FIRST-N-AC","First-n-ac","FIRST-N-AC",[321],"See <see topic=\"ACL2____TAKE\">take</see>."],
 ["ACL2____FIRST-KEYWORD","First-keyword","FIRST-KEYWORD",[321],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FAST-ALIST-DISCIPLINE","Fast-alist-discipline","FAST-ALIST-DISCIPLINE",[321],"See <see topic=\"ACL2____SLOW-ALIST-WARNING\">slow-alist-warning</see>."],
 ["ACL2____EXTERNAL-FORMAT","External-format","EXTERNAL-FORMAT",[321],"See <see topic=\"ACL2____CHARACTER-ENCODING\">character-encoding</see>."],
 ["ACL2____EXTENDED-SYNTAXP","Extended-syntaxp","EXTENDED-SYNTAXP",[321],"See <see topic=\"ACL2____SYNTAXP\">syntaxp</see>."],
 ["ACL2____EXECUTION","Execution","EXECUTION",[321],"See <see topic=\"ACL2____EVALUATION\">evaluation</see>."],
 ["ACL2____D_C3","D&lt;","D<",[321],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____DYNAMICALLY-MONITOR-REWRITES","Dynamically-monitor-rewrites","DYNAMICALLY-MONITOR-REWRITES",[321],"See <see topic=\"ACL2____DMR\">dmr</see>."],
 ["ACL2____DO_42","Do$","DO$",[321],"See <see topic=\"ACL2____DO-LOOP_42\">do-loop$</see>."],
 ["ACL2____CONTEXT","Context","CONTEXT",[321],"See <see topic=\"ACL2____CTX\">ctx</see>."],
 ["ACL2____COMPUTED-HINT","Computed-hint","COMPUTED-HINT",[321],"See <see topic=\"ACL2____COMPUTED-HINTS\">computed-hints</see>."],
 ["ACL2____COMMA-ATSIGN","Comma-atsign","COMMA-ATSIGN",[321],"See <see topic=\"ACL2____BACKQUOTE\">backquote</see>."],
 ["ACL2____COMMA","Comma","COMMA",[321],"See <see topic=\"ACL2____BACKQUOTE\">backquote</see>."],
 ["ACL2____COLLECT_42","Collect$","COLLECT$",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____CLOSE-INPUT-CHANNEL","Close-input-channel","CLOSE-INPUT-CHANNEL",[321],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____CHECK-SUM","Check-sum","CHECK-SUM",[321],"See <see topic=\"ACL2____CHECKSUM\">checksum</see>."],
 ["ACL2____CERTIFYING-BOOKS","Certifying-books","CERTIFYING-BOOKS",[321],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____CERTIFY-BOOK-FAILURE","Certify-book-failure","CERTIFY-BOOK-FAILURE",[321],"See <see topic=\"ACL2____CERTIFY-BOOK-DEBUG\">certify-book-debug</see>."],
 ["ACL2____BOOK-MAKEFILES","Book-makefiles","BOOK-MAKEFILES",[321],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____AUTO-INSTANCE","Auto-instance","AUTO-INSTANCE",[321],"See <see topic=\"ACL2____DEFTHM_C3W\">defthm&lt;w</see>."],
 ["ACL2____ASSERTIONS","Assertions","ASSERTIONS",[321],"See <see topic=\"ACL2____ERRORS\">errors</see>."],
 ["ACL2____APPEND_42_B2","Append$+","APPEND$+",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____APPEND_42","Append$","APPEND$",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____ALWAYS_42","Always$","ALWAYS$",[321],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____ABSTRACT-STOBJ","Abstract-stobj","ABSTRACT-STOBJ",[321],"See <see topic=\"ACL2____DEFABSSTOBJ\">defabsstobj</see>."]];